import { defineComponent as he, resolveComponent as ta, openBlock as F, createElementBlock as V, createElementVNode as B, Fragment as We, renderList as Kt, normalizeClass as ve, createBlock as na, withCtx as sa, createTextVNode as vs, toDisplayString as X, renderSlot as He, h as Oi, getCurrentInstance as Vs, inject as ra, onMounted as ia, onUnmounted as oa, shallowRef as Ci, ref as we, computed as Xe, onBeforeMount as aa, watch as dr, createVNode as la, Text as ca, createCommentVNode as te, mergeProps as gn, resolveDirective as ua, withDirectives as fa, pushScopeId as da, popScopeId as _a } from "vue";
const ha = he({
  name: "BsBreadcrumb",
  props: {
    /**
     * List of breadcrumb items.
     */
    items: {
      type: Array,
      required: !0
    }
  },
  methods: {
    /**
     * Is route available
     *
     * @param item
     * @returns {boolean}
     */
    isRouteAvailable(t) {
      return t.route !== void 0;
    }
  }
}), Re = (t, e) => {
  const n = t.__vccOpts || t;
  for (const [s, r] of e)
    n[s] = r;
  return n;
}, ma = { "aria-label": "breadcrumb" }, pa = { class: "breadcrumb" }, ga = ["textContent"];
function Ea(t, e, n, s, r, i) {
  const o = ta("router-link");
  return F(), V("nav", ma, [
    B("ol", pa, [
      (F(!0), V(We, null, Kt(t.items, (a, l) => (F(), V("li", {
        key: l,
        class: ve(["breadcrumb-item", { active: !t.isRouteAvailable(a) }])
      }, [
        t.isRouteAvailable(a) ? (F(), na(o, {
          key: 0,
          to: a.route
        }, {
          default: sa(() => [
            vs(X(a.title), 1)
          ]),
          _: 2
        }, 1032, ["to"])) : (F(), V("span", {
          key: 1,
          textContent: X(a.title)
        }, null, 8, ga))
      ], 2))), 128))
    ])
  ]);
}
const Rm = /* @__PURE__ */ Re(ha, [["render", Ea]]), va = he({
  name: "BsForm",
  emits: ["submit"],
  data() {
    return {
      submitClicked: !1
    };
  },
  methods: {
    /**
     * On submit event.
     *
     * @param event
     */
    onSubmit(t) {
      t.preventDefault(), this.submitClicked = !0, this.$emit("submit", t);
    }
  }
});
function ba(t, e, n, s, r, i) {
  return F(), V("form", {
    class: ve(["needs-validation", {
      "was-validated": t.submitClicked
    }]),
    novalidate: "",
    onSubmit: e[0] || (e[0] = (...o) => t.onSubmit && t.onSubmit(...o))
  }, [
    He(t.$slots, "default")
  ], 34);
}
const Mm = /* @__PURE__ */ Re(va, [["render", ba]]);
/*!
  * shared v9.9.0
  * (c) 2024 kazuya kawaguchi
  * Released under the MIT License.
  */
const it = typeof window < "u";
let Ae, It;
if (process.env.NODE_ENV !== "production") {
  const t = it && window.performance;
  t && t.mark && t.measure && t.clearMarks && // @ts-ignore browser compat
  t.clearMeasures && (Ae = (e) => {
    t.mark(e);
  }, It = (e, n, s) => {
    t.measure(e, n, s), t.clearMarks(n), t.clearMarks(s);
  });
}
const Ta = /\{([0-9a-zA-Z]+)\}/g;
function Us(t, ...e) {
  return e.length === 1 && Y(e[0]) && (e = e[0]), (!e || !e.hasOwnProperty) && (e = {}), t.replace(Ta, (n, s) => e.hasOwnProperty(s) ? e[s] : "");
}
const at = (t, e = !1) => e ? Symbol.for(t) : Symbol(t), Na = (t, e, n) => Aa({ l: t, k: e, s: n }), Aa = (t) => JSON.stringify(t).replace(/\u2028/g, "\\u2028").replace(/\u2029/g, "\\u2029").replace(/\u0027/g, "\\u0027"), oe = (t) => typeof t == "number" && isFinite(t), ya = (t) => Ii(t) === "[object Date]", jt = (t) => Ii(t) === "[object RegExp]", Kn = (t) => H(t) && Object.keys(t).length === 0, ae = Object.assign;
let _r;
const nt = () => _r || (_r = typeof globalThis < "u" ? globalThis : typeof self < "u" ? self : typeof window < "u" ? window : typeof global < "u" ? global : {});
function hr(t) {
  return t.replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;").replace(/'/g, "&apos;");
}
const Oa = Object.prototype.hasOwnProperty;
function Un(t, e) {
  return Oa.call(t, e);
}
const ne = Array.isArray, Q = (t) => typeof t == "function", P = (t) => typeof t == "string", q = (t) => typeof t == "boolean", Y = (t) => t !== null && typeof t == "object", Ca = (t) => Y(t) && Q(t.then) && Q(t.catch), Li = Object.prototype.toString, Ii = (t) => Li.call(t), H = (t) => {
  if (!Y(t))
    return !1;
  const e = Object.getPrototypeOf(t);
  return e === null || e.constructor === Object;
}, La = (t) => t == null ? "" : ne(t) || H(t) && t.toString === Li ? JSON.stringify(t, null, 2) : String(t);
function Ia(t, e = "") {
  return t.reduce((n, s, r) => r === 0 ? n + s : n + e + s, "");
}
const mr = 2;
function Sa(t, e = 0, n = t.length) {
  const s = t.split(/\r?\n/);
  let r = 0;
  const i = [];
  for (let o = 0; o < s.length; o++)
    if (r += s[o].length + 1, r >= e) {
      for (let a = o - mr; a <= o + mr || n > r; a++) {
        if (a < 0 || a >= s.length)
          continue;
        const l = a + 1;
        i.push(`${l}${" ".repeat(3 - String(l).length)}|  ${s[a]}`);
        const d = s[a].length;
        if (a === o) {
          const f = e - (r - d) + 1, v = Math.max(1, n > r ? d - f : n - e);
          i.push("   |  " + " ".repeat(f) + "^".repeat(v));
        } else if (a > o) {
          if (n > r) {
            const f = Math.max(Math.min(n - r, d), 1);
            i.push("   |  " + "^".repeat(f));
          }
          r += d + 1;
        }
      }
      break;
    }
  return i.join(`
`);
}
function Hs(t) {
  let e = t;
  return () => ++e;
}
function pt(t, e) {
  typeof console < "u" && (console.warn("[intlify] " + t), e && console.warn(e.stack));
}
const pr = {};
function Da(t) {
  pr[t] || (pr[t] = !0, pt(t));
}
function wa() {
  const t = /* @__PURE__ */ new Map();
  return {
    events: t,
    on(n, s) {
      const r = t.get(n);
      r && r.push(s) || t.set(n, [s]);
    },
    off(n, s) {
      const r = t.get(n);
      r && r.splice(r.indexOf(s) >>> 0, 1);
    },
    emit(n, s) {
      (t.get(n) || []).slice().map((r) => r(s)), (t.get("*") || []).slice().map((r) => r(n, s));
    }
  };
}
const Ln = (t) => !Y(t) || ne(t);
function Rn(t, e) {
  if (Ln(t) || Ln(e))
    throw new Error("Invalid value");
  const n = [{ src: t, des: e }];
  for (; n.length; ) {
    const { src: s, des: r } = n.pop();
    Object.keys(s).forEach((i) => {
      Ln(s[i]) || Ln(r[i]) ? r[i] = s[i] : n.push({ src: s[i], des: r[i] });
    });
  }
}
/*!
  * message-compiler v9.9.0
  * (c) 2024 kazuya kawaguchi
  * Released under the MIT License.
  */
function Pa(t, e, n) {
  return { line: t, column: e, offset: n };
}
function bs(t, e, n) {
  const s = { start: t, end: e };
  return n != null && (s.source = n), s;
}
const $a = /\{([0-9a-zA-Z]+)\}/g;
function ka(t, ...e) {
  return e.length === 1 && Ra(e[0]) && (e = e[0]), (!e || !e.hasOwnProperty) && (e = {}), t.replace($a, (n, s) => e.hasOwnProperty(s) ? e[s] : "");
}
const Si = Object.assign, gr = (t) => typeof t == "string", Ra = (t) => t !== null && typeof t == "object";
function Di(t, e = "") {
  return t.reduce((n, s, r) => r === 0 ? n + s : n + e + s, "");
}
const M = {
  // tokenizer error codes
  EXPECTED_TOKEN: 1,
  INVALID_TOKEN_IN_PLACEHOLDER: 2,
  UNTERMINATED_SINGLE_QUOTE_IN_PLACEHOLDER: 3,
  UNKNOWN_ESCAPE_SEQUENCE: 4,
  INVALID_UNICODE_ESCAPE_SEQUENCE: 5,
  UNBALANCED_CLOSING_BRACE: 6,
  UNTERMINATED_CLOSING_BRACE: 7,
  EMPTY_PLACEHOLDER: 8,
  NOT_ALLOW_NEST_PLACEHOLDER: 9,
  INVALID_LINKED_FORMAT: 10,
  // parser error codes
  MUST_HAVE_MESSAGES_IN_PLURAL: 11,
  UNEXPECTED_EMPTY_LINKED_MODIFIER: 12,
  UNEXPECTED_EMPTY_LINKED_KEY: 13,
  UNEXPECTED_LEXICAL_ANALYSIS: 14,
  // generator error codes
  UNHANDLED_CODEGEN_NODE_TYPE: 15,
  // minifier error codes
  UNHANDLED_MINIFIER_NODE_TYPE: 16,
  // Special value for higher-order compilers to pick up the last code
  // to avoid collision of error codes. This should always be kept as the last
  // item.
  __EXTEND_POINT__: 17
}, Ma = {
  // tokenizer error messages
  [M.EXPECTED_TOKEN]: "Expected token: '{0}'",
  [M.INVALID_TOKEN_IN_PLACEHOLDER]: "Invalid token in placeholder: '{0}'",
  [M.UNTERMINATED_SINGLE_QUOTE_IN_PLACEHOLDER]: "Unterminated single quote in placeholder",
  [M.UNKNOWN_ESCAPE_SEQUENCE]: "Unknown escape sequence: \\{0}",
  [M.INVALID_UNICODE_ESCAPE_SEQUENCE]: "Invalid unicode escape sequence: {0}",
  [M.UNBALANCED_CLOSING_BRACE]: "Unbalanced closing brace",
  [M.UNTERMINATED_CLOSING_BRACE]: "Unterminated closing brace",
  [M.EMPTY_PLACEHOLDER]: "Empty placeholder",
  [M.NOT_ALLOW_NEST_PLACEHOLDER]: "Not allowed nest placeholder",
  [M.INVALID_LINKED_FORMAT]: "Invalid linked format",
  // parser error messages
  [M.MUST_HAVE_MESSAGES_IN_PLURAL]: "Plural must have messages",
  [M.UNEXPECTED_EMPTY_LINKED_MODIFIER]: "Unexpected empty linked modifier",
  [M.UNEXPECTED_EMPTY_LINKED_KEY]: "Unexpected empty linked key",
  [M.UNEXPECTED_LEXICAL_ANALYSIS]: "Unexpected lexical analysis in token: '{0}'",
  // generator error messages
  [M.UNHANDLED_CODEGEN_NODE_TYPE]: "unhandled codegen node type: '{0}'",
  // minimizer error messages
  [M.UNHANDLED_MINIFIER_NODE_TYPE]: "unhandled mimifier node type: '{0}'"
};
function tn(t, e, n = {}) {
  const { domain: s, messages: r, args: i } = n, o = ka((r || Ma)[t] || "", ...i || []), a = new SyntaxError(String(o));
  return a.code = t, e && (a.location = e), a.domain = s, a;
}
function Fa(t) {
  throw t;
}
const Va = /<\/?[\w\s="/.':;#-\/]+>/, Ua = (t) => Va.test(t), tt = " ", Ha = "\r", ue = `
`, Wa = "\u2028", xa = "\u2029";
function Ba(t) {
  const e = t;
  let n = 0, s = 1, r = 1, i = 0;
  const o = (S) => e[S] === Ha && e[S + 1] === ue, a = (S) => e[S] === ue, l = (S) => e[S] === xa, d = (S) => e[S] === Wa, f = (S) => o(S) || a(S) || l(S) || d(S), v = () => n, p = () => s, T = () => r, D = () => i, C = (S) => o(S) || l(S) || d(S) ? ue : e[S], L = () => C(n), _ = () => C(n + i);
  function m() {
    return i = 0, f(n) && (s++, r = 0), o(n) && n++, n++, r++, e[n];
  }
  function b() {
    return o(n + i) && i++, i++, e[n + i];
  }
  function h() {
    n = 0, s = 1, r = 1, i = 0;
  }
  function O(S = 0) {
    i = S;
  }
  function N() {
    const S = n + i;
    for (; S !== n; )
      m();
    i = 0;
  }
  return {
    index: v,
    line: p,
    column: T,
    peekOffset: D,
    charAt: C,
    currentChar: L,
    currentPeek: _,
    next: m,
    peek: b,
    reset: h,
    resetPeek: O,
    skipToPeek: N
  };
}
const ct = void 0, Ya = ".", Er = "'", Ka = "tokenizer";
function ja(t, e = {}) {
  const n = e.location !== !1, s = Ba(t), r = () => s.index(), i = () => Pa(s.line(), s.column(), s.index()), o = i(), a = r(), l = {
    currentType: 14,
    offset: a,
    startLoc: o,
    endLoc: o,
    lastType: 14,
    lastOffset: a,
    lastStartLoc: o,
    lastEndLoc: o,
    braceNest: 0,
    inLinked: !1,
    text: ""
  }, d = () => l, { onError: f } = e;
  function v(u, c, g, ...w) {
    const R = d();
    if (c.column += g, c.offset += g, f) {
      const x = n ? bs(R.startLoc, c) : null, Ie = tn(u, x, {
        domain: Ka,
        args: w
      });
      f(Ie);
    }
  }
  function p(u, c, g) {
    u.endLoc = i(), u.currentType = c;
    const w = { type: c };
    return n && (w.loc = bs(u.startLoc, u.endLoc)), g != null && (w.value = g), w;
  }
  const T = (u) => p(
    u,
    14
    /* TokenTypes.EOF */
  );
  function D(u, c) {
    return u.currentChar() === c ? (u.next(), c) : (v(M.EXPECTED_TOKEN, i(), 0, c), "");
  }
  function C(u) {
    let c = "";
    for (; u.currentPeek() === tt || u.currentPeek() === ue; )
      c += u.currentPeek(), u.peek();
    return c;
  }
  function L(u) {
    const c = C(u);
    return u.skipToPeek(), c;
  }
  function _(u) {
    if (u === ct)
      return !1;
    const c = u.charCodeAt(0);
    return c >= 97 && c <= 122 || // a-z
    c >= 65 && c <= 90 || // A-Z
    c === 95;
  }
  function m(u) {
    if (u === ct)
      return !1;
    const c = u.charCodeAt(0);
    return c >= 48 && c <= 57;
  }
  function b(u, c) {
    const { currentType: g } = c;
    if (g !== 2)
      return !1;
    C(u);
    const w = _(u.currentPeek());
    return u.resetPeek(), w;
  }
  function h(u, c) {
    const { currentType: g } = c;
    if (g !== 2)
      return !1;
    C(u);
    const w = u.currentPeek() === "-" ? u.peek() : u.currentPeek(), R = m(w);
    return u.resetPeek(), R;
  }
  function O(u, c) {
    const { currentType: g } = c;
    if (g !== 2)
      return !1;
    C(u);
    const w = u.currentPeek() === Er;
    return u.resetPeek(), w;
  }
  function N(u, c) {
    const { currentType: g } = c;
    if (g !== 8)
      return !1;
    C(u);
    const w = u.currentPeek() === ".";
    return u.resetPeek(), w;
  }
  function S(u, c) {
    const { currentType: g } = c;
    if (g !== 9)
      return !1;
    C(u);
    const w = _(u.currentPeek());
    return u.resetPeek(), w;
  }
  function y(u, c) {
    const { currentType: g } = c;
    if (!(g === 8 || g === 12))
      return !1;
    C(u);
    const w = u.currentPeek() === ":";
    return u.resetPeek(), w;
  }
  function k(u, c) {
    const { currentType: g } = c;
    if (g !== 10)
      return !1;
    const w = () => {
      const x = u.currentPeek();
      return x === "{" ? _(u.peek()) : x === "@" || x === "%" || x === "|" || x === ":" || x === "." || x === tt || !x ? !1 : x === ue ? (u.peek(), w()) : _(x);
    }, R = w();
    return u.resetPeek(), R;
  }
  function U(u) {
    C(u);
    const c = u.currentPeek() === "|";
    return u.resetPeek(), c;
  }
  function j(u) {
    const c = C(u), g = u.currentPeek() === "%" && u.peek() === "{";
    return u.resetPeek(), {
      isModulo: g,
      hasSpace: c.length > 0
    };
  }
  function K(u, c = !0) {
    const g = (R = !1, x = "", Ie = !1) => {
      const ie = u.currentPeek();
      return ie === "{" ? x === "%" ? !1 : R : ie === "@" || !ie ? x === "%" ? !0 : R : ie === "%" ? (u.peek(), g(R, "%", !0)) : ie === "|" ? x === "%" || Ie ? !0 : !(x === tt || x === ue) : ie === tt ? (u.peek(), g(!0, tt, Ie)) : ie === ue ? (u.peek(), g(!0, ue, Ie)) : !0;
    }, w = g();
    return c && u.resetPeek(), w;
  }
  function G(u, c) {
    const g = u.currentChar();
    return g === ct ? ct : c(g) ? (u.next(), g) : null;
  }
  function me(u) {
    return G(u, (g) => {
      const w = g.charCodeAt(0);
      return w >= 97 && w <= 122 || // a-z
      w >= 65 && w <= 90 || // A-Z
      w >= 48 && w <= 57 || // 0-9
      w === 95 || // _
      w === 36;
    });
  }
  function Te(u) {
    return G(u, (g) => {
      const w = g.charCodeAt(0);
      return w >= 48 && w <= 57;
    });
  }
  function J(u) {
    return G(u, (g) => {
      const w = g.charCodeAt(0);
      return w >= 48 && w <= 57 || // 0-9
      w >= 65 && w <= 70 || // A-F
      w >= 97 && w <= 102;
    });
  }
  function se(u) {
    let c = "", g = "";
    for (; c = Te(u); )
      g += c;
    return g;
  }
  function Be(u) {
    L(u);
    const c = u.currentChar();
    return c !== "%" && v(M.EXPECTED_TOKEN, i(), 0, c), u.next(), "%";
  }
  function pe(u) {
    let c = "";
    for (; ; ) {
      const g = u.currentChar();
      if (g === "{" || g === "}" || g === "@" || g === "|" || !g)
        break;
      if (g === "%")
        if (K(u))
          c += g, u.next();
        else
          break;
      else if (g === tt || g === ue)
        if (K(u))
          c += g, u.next();
        else {
          if (U(u))
            break;
          c += g, u.next();
        }
      else
        c += g, u.next();
    }
    return c;
  }
  function Ye(u) {
    L(u);
    let c = "", g = "";
    for (; c = me(u); )
      g += c;
    return u.currentChar() === ct && v(M.UNTERMINATED_CLOSING_BRACE, i(), 0), g;
  }
  function le(u) {
    L(u);
    let c = "";
    return u.currentChar() === "-" ? (u.next(), c += `-${se(u)}`) : c += se(u), u.currentChar() === ct && v(M.UNTERMINATED_CLOSING_BRACE, i(), 0), c;
  }
  function Le(u) {
    L(u), D(u, "'");
    let c = "", g = "";
    const w = (x) => x !== Er && x !== ue;
    for (; c = G(u, w); )
      c === "\\" ? g += Ke(u) : g += c;
    const R = u.currentChar();
    return R === ue || R === ct ? (v(M.UNTERMINATED_SINGLE_QUOTE_IN_PLACEHOLDER, i(), 0), R === ue && (u.next(), D(u, "'")), g) : (D(u, "'"), g);
  }
  function Ke(u) {
    const c = u.currentChar();
    switch (c) {
      case "\\":
      case "'":
        return u.next(), `\\${c}`;
      case "u":
        return Ne(u, c, 4);
      case "U":
        return Ne(u, c, 6);
      default:
        return v(M.UNKNOWN_ESCAPE_SEQUENCE, i(), 0, c), "";
    }
  }
  function Ne(u, c, g) {
    D(u, c);
    let w = "";
    for (let R = 0; R < g; R++) {
      const x = J(u);
      if (!x) {
        v(M.INVALID_UNICODE_ESCAPE_SEQUENCE, i(), 0, `\\${c}${w}${u.currentChar()}`);
        break;
      }
      w += x;
    }
    return `\\${c}${w}`;
  }
  function ge(u) {
    L(u);
    let c = "", g = "";
    const w = (R) => R !== "{" && R !== "}" && R !== tt && R !== ue;
    for (; c = G(u, w); )
      g += c;
    return g;
  }
  function Fe(u) {
    let c = "", g = "";
    for (; c = me(u); )
      g += c;
    return g;
  }
  function et(u) {
    const c = (g = !1, w) => {
      const R = u.currentChar();
      return R === "{" || R === "%" || R === "@" || R === "|" || R === "(" || R === ")" || !R || R === tt ? w : R === ue || R === Ya ? (w += R, u.next(), c(g, w)) : (w += R, u.next(), c(!0, w));
    };
    return c(!1, "");
  }
  function ce(u) {
    L(u);
    const c = D(
      u,
      "|"
      /* TokenChars.Pipe */
    );
    return L(u), c;
  }
  function Ve(u, c) {
    let g = null;
    switch (u.currentChar()) {
      case "{":
        return c.braceNest >= 1 && v(M.NOT_ALLOW_NEST_PLACEHOLDER, i(), 0), u.next(), g = p(
          c,
          2,
          "{"
          /* TokenChars.BraceLeft */
        ), L(u), c.braceNest++, g;
      case "}":
        return c.braceNest > 0 && c.currentType === 2 && v(M.EMPTY_PLACEHOLDER, i(), 0), u.next(), g = p(
          c,
          3,
          "}"
          /* TokenChars.BraceRight */
        ), c.braceNest--, c.braceNest > 0 && L(u), c.inLinked && c.braceNest === 0 && (c.inLinked = !1), g;
      case "@":
        return c.braceNest > 0 && v(M.UNTERMINATED_CLOSING_BRACE, i(), 0), g = je(u, c) || T(c), c.braceNest = 0, g;
      default:
        let R = !0, x = !0, Ie = !0;
        if (U(u))
          return c.braceNest > 0 && v(M.UNTERMINATED_CLOSING_BRACE, i(), 0), g = p(c, 1, ce(u)), c.braceNest = 0, c.inLinked = !1, g;
        if (c.braceNest > 0 && (c.currentType === 5 || c.currentType === 6 || c.currentType === 7))
          return v(M.UNTERMINATED_CLOSING_BRACE, i(), 0), c.braceNest = 0, Ue(u, c);
        if (R = b(u, c))
          return g = p(c, 5, Ye(u)), L(u), g;
        if (x = h(u, c))
          return g = p(c, 6, le(u)), L(u), g;
        if (Ie = O(u, c))
          return g = p(c, 7, Le(u)), L(u), g;
        if (!R && !x && !Ie)
          return g = p(c, 13, ge(u)), v(M.INVALID_TOKEN_IN_PLACEHOLDER, i(), 0, g.value), L(u), g;
        break;
    }
    return g;
  }
  function je(u, c) {
    const { currentType: g } = c;
    let w = null;
    const R = u.currentChar();
    switch ((g === 8 || g === 9 || g === 12 || g === 10) && (R === ue || R === tt) && v(M.INVALID_LINKED_FORMAT, i(), 0), R) {
      case "@":
        return u.next(), w = p(
          c,
          8,
          "@"
          /* TokenChars.LinkedAlias */
        ), c.inLinked = !0, w;
      case ".":
        return L(u), u.next(), p(
          c,
          9,
          "."
          /* TokenChars.LinkedDot */
        );
      case ":":
        return L(u), u.next(), p(
          c,
          10,
          ":"
          /* TokenChars.LinkedDelimiter */
        );
      default:
        return U(u) ? (w = p(c, 1, ce(u)), c.braceNest = 0, c.inLinked = !1, w) : N(u, c) || y(u, c) ? (L(u), je(u, c)) : S(u, c) ? (L(u), p(c, 12, Fe(u))) : k(u, c) ? (L(u), R === "{" ? Ve(u, c) || w : p(c, 11, et(u))) : (g === 8 && v(M.INVALID_LINKED_FORMAT, i(), 0), c.braceNest = 0, c.inLinked = !1, Ue(u, c));
    }
  }
  function Ue(u, c) {
    let g = {
      type: 14
      /* TokenTypes.EOF */
    };
    if (c.braceNest > 0)
      return Ve(u, c) || T(c);
    if (c.inLinked)
      return je(u, c) || T(c);
    switch (u.currentChar()) {
      case "{":
        return Ve(u, c) || T(c);
      case "}":
        return v(M.UNBALANCED_CLOSING_BRACE, i(), 0), u.next(), p(
          c,
          3,
          "}"
          /* TokenChars.BraceRight */
        );
      case "@":
        return je(u, c) || T(c);
      default:
        if (U(u))
          return g = p(c, 1, ce(u)), c.braceNest = 0, c.inLinked = !1, g;
        const { isModulo: R, hasSpace: x } = j(u);
        if (R)
          return x ? p(c, 0, pe(u)) : p(c, 4, Be(u));
        if (K(u))
          return p(c, 0, pe(u));
        break;
    }
    return g;
  }
  function Tt() {
    const { currentType: u, offset: c, startLoc: g, endLoc: w } = l;
    return l.lastType = u, l.lastOffset = c, l.lastStartLoc = g, l.lastEndLoc = w, l.offset = r(), l.startLoc = i(), s.currentChar() === ct ? p(
      l,
      14
      /* TokenTypes.EOF */
    ) : Ue(s, l);
  }
  return {
    nextToken: Tt,
    currentOffset: r,
    currentPosition: i,
    context: d
  };
}
const Ga = "parser", Xa = /(?:\\\\|\\'|\\u([0-9a-fA-F]{4})|\\U([0-9a-fA-F]{6}))/g;
function qa(t, e, n) {
  switch (t) {
    case "\\\\":
      return "\\";
    case "\\'":
      return "'";
    default: {
      const s = parseInt(e || n, 16);
      return s <= 55295 || s >= 57344 ? String.fromCodePoint(s) : "�";
    }
  }
}
function Qa(t = {}) {
  const e = t.location !== !1, { onError: n } = t;
  function s(_, m, b, h, ...O) {
    const N = _.currentPosition();
    if (N.offset += h, N.column += h, n) {
      const S = e ? bs(b, N) : null, y = tn(m, S, {
        domain: Ga,
        args: O
      });
      n(y);
    }
  }
  function r(_, m, b) {
    const h = { type: _ };
    return e && (h.start = m, h.end = m, h.loc = { start: b, end: b }), h;
  }
  function i(_, m, b, h) {
    h && (_.type = h), e && (_.end = m, _.loc && (_.loc.end = b));
  }
  function o(_, m) {
    const b = _.context(), h = r(3, b.offset, b.startLoc);
    return h.value = m, i(h, _.currentOffset(), _.currentPosition()), h;
  }
  function a(_, m) {
    const b = _.context(), { lastOffset: h, lastStartLoc: O } = b, N = r(5, h, O);
    return N.index = parseInt(m, 10), _.nextToken(), i(N, _.currentOffset(), _.currentPosition()), N;
  }
  function l(_, m) {
    const b = _.context(), { lastOffset: h, lastStartLoc: O } = b, N = r(4, h, O);
    return N.key = m, _.nextToken(), i(N, _.currentOffset(), _.currentPosition()), N;
  }
  function d(_, m) {
    const b = _.context(), { lastOffset: h, lastStartLoc: O } = b, N = r(9, h, O);
    return N.value = m.replace(Xa, qa), _.nextToken(), i(N, _.currentOffset(), _.currentPosition()), N;
  }
  function f(_) {
    const m = _.nextToken(), b = _.context(), { lastOffset: h, lastStartLoc: O } = b, N = r(8, h, O);
    return m.type !== 12 ? (s(_, M.UNEXPECTED_EMPTY_LINKED_MODIFIER, b.lastStartLoc, 0), N.value = "", i(N, h, O), {
      nextConsumeToken: m,
      node: N
    }) : (m.value == null && s(_, M.UNEXPECTED_LEXICAL_ANALYSIS, b.lastStartLoc, 0, Ge(m)), N.value = m.value || "", i(N, _.currentOffset(), _.currentPosition()), {
      node: N
    });
  }
  function v(_, m) {
    const b = _.context(), h = r(7, b.offset, b.startLoc);
    return h.value = m, i(h, _.currentOffset(), _.currentPosition()), h;
  }
  function p(_) {
    const m = _.context(), b = r(6, m.offset, m.startLoc);
    let h = _.nextToken();
    if (h.type === 9) {
      const O = f(_);
      b.modifier = O.node, h = O.nextConsumeToken || _.nextToken();
    }
    switch (h.type !== 10 && s(_, M.UNEXPECTED_LEXICAL_ANALYSIS, m.lastStartLoc, 0, Ge(h)), h = _.nextToken(), h.type === 2 && (h = _.nextToken()), h.type) {
      case 11:
        h.value == null && s(_, M.UNEXPECTED_LEXICAL_ANALYSIS, m.lastStartLoc, 0, Ge(h)), b.key = v(_, h.value || "");
        break;
      case 5:
        h.value == null && s(_, M.UNEXPECTED_LEXICAL_ANALYSIS, m.lastStartLoc, 0, Ge(h)), b.key = l(_, h.value || "");
        break;
      case 6:
        h.value == null && s(_, M.UNEXPECTED_LEXICAL_ANALYSIS, m.lastStartLoc, 0, Ge(h)), b.key = a(_, h.value || "");
        break;
      case 7:
        h.value == null && s(_, M.UNEXPECTED_LEXICAL_ANALYSIS, m.lastStartLoc, 0, Ge(h)), b.key = d(_, h.value || "");
        break;
      default:
        s(_, M.UNEXPECTED_EMPTY_LINKED_KEY, m.lastStartLoc, 0);
        const O = _.context(), N = r(7, O.offset, O.startLoc);
        return N.value = "", i(N, O.offset, O.startLoc), b.key = N, i(b, O.offset, O.startLoc), {
          nextConsumeToken: h,
          node: b
        };
    }
    return i(b, _.currentOffset(), _.currentPosition()), {
      node: b
    };
  }
  function T(_) {
    const m = _.context(), b = m.currentType === 1 ? _.currentOffset() : m.offset, h = m.currentType === 1 ? m.endLoc : m.startLoc, O = r(2, b, h);
    O.items = [];
    let N = null;
    do {
      const k = N || _.nextToken();
      switch (N = null, k.type) {
        case 0:
          k.value == null && s(_, M.UNEXPECTED_LEXICAL_ANALYSIS, m.lastStartLoc, 0, Ge(k)), O.items.push(o(_, k.value || ""));
          break;
        case 6:
          k.value == null && s(_, M.UNEXPECTED_LEXICAL_ANALYSIS, m.lastStartLoc, 0, Ge(k)), O.items.push(a(_, k.value || ""));
          break;
        case 5:
          k.value == null && s(_, M.UNEXPECTED_LEXICAL_ANALYSIS, m.lastStartLoc, 0, Ge(k)), O.items.push(l(_, k.value || ""));
          break;
        case 7:
          k.value == null && s(_, M.UNEXPECTED_LEXICAL_ANALYSIS, m.lastStartLoc, 0, Ge(k)), O.items.push(d(_, k.value || ""));
          break;
        case 8:
          const U = p(_);
          O.items.push(U.node), N = U.nextConsumeToken || null;
          break;
      }
    } while (m.currentType !== 14 && m.currentType !== 1);
    const S = m.currentType === 1 ? m.lastOffset : _.currentOffset(), y = m.currentType === 1 ? m.lastEndLoc : _.currentPosition();
    return i(O, S, y), O;
  }
  function D(_, m, b, h) {
    const O = _.context();
    let N = h.items.length === 0;
    const S = r(1, m, b);
    S.cases = [], S.cases.push(h);
    do {
      const y = T(_);
      N || (N = y.items.length === 0), S.cases.push(y);
    } while (O.currentType !== 14);
    return N && s(_, M.MUST_HAVE_MESSAGES_IN_PLURAL, b, 0), i(S, _.currentOffset(), _.currentPosition()), S;
  }
  function C(_) {
    const m = _.context(), { offset: b, startLoc: h } = m, O = T(_);
    return m.currentType === 14 ? O : D(_, b, h, O);
  }
  function L(_) {
    const m = ja(_, Si({}, t)), b = m.context(), h = r(0, b.offset, b.startLoc);
    return e && h.loc && (h.loc.source = _), h.body = C(m), t.onCacheKey && (h.cacheKey = t.onCacheKey(_)), b.currentType !== 14 && s(m, M.UNEXPECTED_LEXICAL_ANALYSIS, b.lastStartLoc, 0, _[b.offset] || ""), i(h, m.currentOffset(), m.currentPosition()), h;
  }
  return { parse: L };
}
function Ge(t) {
  if (t.type === 14)
    return "EOF";
  const e = (t.value || "").replace(/\r?\n/gu, "\\n");
  return e.length > 10 ? e.slice(0, 9) + "…" : e;
}
function Ja(t, e = {}) {
  const n = {
    ast: t,
    helpers: /* @__PURE__ */ new Set()
  };
  return { context: () => n, helper: (i) => (n.helpers.add(i), i) };
}
function vr(t, e) {
  for (let n = 0; n < t.length; n++)
    Ws(t[n], e);
}
function Ws(t, e) {
  switch (t.type) {
    case 1:
      vr(t.cases, e), e.helper(
        "plural"
        /* HelperNameMap.PLURAL */
      );
      break;
    case 2:
      vr(t.items, e);
      break;
    case 6:
      Ws(t.key, e), e.helper(
        "linked"
        /* HelperNameMap.LINKED */
      ), e.helper(
        "type"
        /* HelperNameMap.TYPE */
      );
      break;
    case 5:
      e.helper(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      ), e.helper(
        "list"
        /* HelperNameMap.LIST */
      );
      break;
    case 4:
      e.helper(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      ), e.helper(
        "named"
        /* HelperNameMap.NAMED */
      );
      break;
  }
}
function za(t, e = {}) {
  const n = Ja(t);
  n.helper(
    "normalize"
    /* HelperNameMap.NORMALIZE */
  ), t.body && Ws(t.body, n);
  const s = n.context();
  t.helpers = Array.from(s.helpers);
}
function Za(t) {
  const e = t.body;
  return e.type === 2 ? br(e) : e.cases.forEach((n) => br(n)), t;
}
function br(t) {
  if (t.items.length === 1) {
    const e = t.items[0];
    (e.type === 3 || e.type === 9) && (t.static = e.value, delete e.value);
  } else {
    const e = [];
    for (let n = 0; n < t.items.length; n++) {
      const s = t.items[n];
      if (!(s.type === 3 || s.type === 9) || s.value == null)
        break;
      e.push(s.value);
    }
    if (e.length === t.items.length) {
      t.static = Di(e);
      for (let n = 0; n < t.items.length; n++) {
        const s = t.items[n];
        (s.type === 3 || s.type === 9) && delete s.value;
      }
    }
  }
}
const el = "minifier";
function Ut(t) {
  switch (t.t = t.type, t.type) {
    case 0:
      const e = t;
      Ut(e.body), e.b = e.body, delete e.body;
      break;
    case 1:
      const n = t, s = n.cases;
      for (let f = 0; f < s.length; f++)
        Ut(s[f]);
      n.c = s, delete n.cases;
      break;
    case 2:
      const r = t, i = r.items;
      for (let f = 0; f < i.length; f++)
        Ut(i[f]);
      r.i = i, delete r.items, r.static && (r.s = r.static, delete r.static);
      break;
    case 3:
    case 9:
    case 8:
    case 7:
      const o = t;
      o.value && (o.v = o.value, delete o.value);
      break;
    case 6:
      const a = t;
      Ut(a.key), a.k = a.key, delete a.key, a.modifier && (Ut(a.modifier), a.m = a.modifier, delete a.modifier);
      break;
    case 5:
      const l = t;
      l.i = l.index, delete l.index;
      break;
    case 4:
      const d = t;
      d.k = d.key, delete d.key;
      break;
    default:
      throw tn(M.UNHANDLED_MINIFIER_NODE_TYPE, null, {
        domain: el,
        args: [t.type]
      });
  }
  delete t.type;
}
const tl = "parser";
function nl(t, e) {
  const { sourceMap: n, filename: s, breakLineCode: r, needIndent: i } = e, o = e.location !== !1, a = {
    filename: s,
    code: "",
    column: 1,
    line: 1,
    offset: 0,
    map: void 0,
    breakLineCode: r,
    needIndent: i,
    indentLevel: 0
  };
  o && t.loc && (a.source = t.loc.source);
  const l = () => a;
  function d(L, _) {
    a.code += L;
  }
  function f(L, _ = !0) {
    const m = _ ? r : "";
    d(i ? m + "  ".repeat(L) : m);
  }
  function v(L = !0) {
    const _ = ++a.indentLevel;
    L && f(_);
  }
  function p(L = !0) {
    const _ = --a.indentLevel;
    L && f(_);
  }
  function T() {
    f(a.indentLevel);
  }
  return {
    context: l,
    push: d,
    indent: v,
    deindent: p,
    newline: T,
    helper: (L) => `_${L}`,
    needIndent: () => a.needIndent
  };
}
function sl(t, e) {
  const { helper: n } = t;
  t.push(`${n(
    "linked"
    /* HelperNameMap.LINKED */
  )}(`), Gt(t, e.key), e.modifier ? (t.push(", "), Gt(t, e.modifier), t.push(", _type")) : t.push(", undefined, _type"), t.push(")");
}
function rl(t, e) {
  const { helper: n, needIndent: s } = t;
  t.push(`${n(
    "normalize"
    /* HelperNameMap.NORMALIZE */
  )}([`), t.indent(s());
  const r = e.items.length;
  for (let i = 0; i < r && (Gt(t, e.items[i]), i !== r - 1); i++)
    t.push(", ");
  t.deindent(s()), t.push("])");
}
function il(t, e) {
  const { helper: n, needIndent: s } = t;
  if (e.cases.length > 1) {
    t.push(`${n(
      "plural"
      /* HelperNameMap.PLURAL */
    )}([`), t.indent(s());
    const r = e.cases.length;
    for (let i = 0; i < r && (Gt(t, e.cases[i]), i !== r - 1); i++)
      t.push(", ");
    t.deindent(s()), t.push("])");
  }
}
function ol(t, e) {
  e.body ? Gt(t, e.body) : t.push("null");
}
function Gt(t, e) {
  const { helper: n } = t;
  switch (e.type) {
    case 0:
      ol(t, e);
      break;
    case 1:
      il(t, e);
      break;
    case 2:
      rl(t, e);
      break;
    case 6:
      sl(t, e);
      break;
    case 8:
      t.push(JSON.stringify(e.value), e);
      break;
    case 7:
      t.push(JSON.stringify(e.value), e);
      break;
    case 5:
      t.push(`${n(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      )}(${n(
        "list"
        /* HelperNameMap.LIST */
      )}(${e.index}))`, e);
      break;
    case 4:
      t.push(`${n(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      )}(${n(
        "named"
        /* HelperNameMap.NAMED */
      )}(${JSON.stringify(e.key)}))`, e);
      break;
    case 9:
      t.push(JSON.stringify(e.value), e);
      break;
    case 3:
      t.push(JSON.stringify(e.value), e);
      break;
    default:
      throw tn(M.UNHANDLED_CODEGEN_NODE_TYPE, null, {
        domain: tl,
        args: [e.type]
      });
  }
}
const al = (t, e = {}) => {
  const n = gr(e.mode) ? e.mode : "normal", s = gr(e.filename) ? e.filename : "message.intl", r = !!e.sourceMap, i = e.breakLineCode != null ? e.breakLineCode : n === "arrow" ? ";" : `
`, o = e.needIndent ? e.needIndent : n !== "arrow", a = t.helpers || [], l = nl(t, {
    mode: n,
    filename: s,
    sourceMap: r,
    breakLineCode: i,
    needIndent: o
  });
  l.push(n === "normal" ? "function __msg__ (ctx) {" : "(ctx) => {"), l.indent(o), a.length > 0 && (l.push(`const { ${Di(a.map((v) => `${v}: _${v}`), ", ")} } = ctx`), l.newline()), l.push("return "), Gt(l, t), l.deindent(o), l.push("}"), delete t.helpers;
  const { code: d, map: f } = l.context();
  return {
    ast: t,
    code: d,
    map: f ? f.toJSON() : void 0
    // eslint-disable-line @typescript-eslint/no-explicit-any
  };
};
function ll(t, e = {}) {
  const n = Si({}, e), s = !!n.jit, r = !!n.minify, i = n.optimize == null ? !0 : n.optimize, a = Qa(n).parse(t);
  return s ? (i && Za(a), r && Ut(a), { ast: a, code: "" }) : (za(a, n), al(a, n));
}
/*!
  * core-base v9.9.0
  * (c) 2024 kazuya kawaguchi
  * Released under the MIT License.
  */
function cl() {
  typeof __INTLIFY_PROD_DEVTOOLS__ != "boolean" && (nt().__INTLIFY_PROD_DEVTOOLS__ = !1), typeof __INTLIFY_JIT_COMPILATION__ != "boolean" && (nt().__INTLIFY_JIT_COMPILATION__ = !1), typeof __INTLIFY_DROP_MESSAGE_COMPILER__ != "boolean" && (nt().__INTLIFY_DROP_MESSAGE_COMPILER__ = !1);
}
const gt = [];
gt[
  0
  /* States.BEFORE_PATH */
] = {
  w: [
    0
    /* States.BEFORE_PATH */
  ],
  i: [
    3,
    0
    /* Actions.APPEND */
  ],
  "[": [
    4
    /* States.IN_SUB_PATH */
  ],
  o: [
    7
    /* States.AFTER_PATH */
  ]
};
gt[
  1
  /* States.IN_PATH */
] = {
  w: [
    1
    /* States.IN_PATH */
  ],
  ".": [
    2
    /* States.BEFORE_IDENT */
  ],
  "[": [
    4
    /* States.IN_SUB_PATH */
  ],
  o: [
    7
    /* States.AFTER_PATH */
  ]
};
gt[
  2
  /* States.BEFORE_IDENT */
] = {
  w: [
    2
    /* States.BEFORE_IDENT */
  ],
  i: [
    3,
    0
    /* Actions.APPEND */
  ],
  0: [
    3,
    0
    /* Actions.APPEND */
  ]
};
gt[
  3
  /* States.IN_IDENT */
] = {
  i: [
    3,
    0
    /* Actions.APPEND */
  ],
  0: [
    3,
    0
    /* Actions.APPEND */
  ],
  w: [
    1,
    1
    /* Actions.PUSH */
  ],
  ".": [
    2,
    1
    /* Actions.PUSH */
  ],
  "[": [
    4,
    1
    /* Actions.PUSH */
  ],
  o: [
    7,
    1
    /* Actions.PUSH */
  ]
};
gt[
  4
  /* States.IN_SUB_PATH */
] = {
  "'": [
    5,
    0
    /* Actions.APPEND */
  ],
  '"': [
    6,
    0
    /* Actions.APPEND */
  ],
  "[": [
    4,
    2
    /* Actions.INC_SUB_PATH_DEPTH */
  ],
  "]": [
    1,
    3
    /* Actions.PUSH_SUB_PATH */
  ],
  o: 8,
  l: [
    4,
    0
    /* Actions.APPEND */
  ]
};
gt[
  5
  /* States.IN_SINGLE_QUOTE */
] = {
  "'": [
    4,
    0
    /* Actions.APPEND */
  ],
  o: 8,
  l: [
    5,
    0
    /* Actions.APPEND */
  ]
};
gt[
  6
  /* States.IN_DOUBLE_QUOTE */
] = {
  '"': [
    4,
    0
    /* Actions.APPEND */
  ],
  o: 8,
  l: [
    6,
    0
    /* Actions.APPEND */
  ]
};
const ul = /^\s?(?:true|false|-?[\d.]+|'[^']*'|"[^"]*")\s?$/;
function fl(t) {
  return ul.test(t);
}
function dl(t) {
  const e = t.charCodeAt(0), n = t.charCodeAt(t.length - 1);
  return e === n && (e === 34 || e === 39) ? t.slice(1, -1) : t;
}
function _l(t) {
  if (t == null)
    return "o";
  switch (t.charCodeAt(0)) {
    case 91:
    case 93:
    case 46:
    case 34:
    case 39:
      return t;
    case 95:
    case 36:
    case 45:
      return "i";
    case 9:
    case 10:
    case 13:
    case 160:
    case 65279:
    case 8232:
    case 8233:
      return "w";
  }
  return "i";
}
function hl(t) {
  const e = t.trim();
  return t.charAt(0) === "0" && isNaN(parseInt(t)) ? !1 : fl(e) ? dl(e) : "*" + e;
}
function ml(t) {
  const e = [];
  let n = -1, s = 0, r = 0, i, o, a, l, d, f, v;
  const p = [];
  p[
    0
    /* Actions.APPEND */
  ] = () => {
    o === void 0 ? o = a : o += a;
  }, p[
    1
    /* Actions.PUSH */
  ] = () => {
    o !== void 0 && (e.push(o), o = void 0);
  }, p[
    2
    /* Actions.INC_SUB_PATH_DEPTH */
  ] = () => {
    p[
      0
      /* Actions.APPEND */
    ](), r++;
  }, p[
    3
    /* Actions.PUSH_SUB_PATH */
  ] = () => {
    if (r > 0)
      r--, s = 4, p[
        0
        /* Actions.APPEND */
      ]();
    else {
      if (r = 0, o === void 0 || (o = hl(o), o === !1))
        return !1;
      p[
        1
        /* Actions.PUSH */
      ]();
    }
  };
  function T() {
    const D = t[n + 1];
    if (s === 5 && D === "'" || s === 6 && D === '"')
      return n++, a = "\\" + D, p[
        0
        /* Actions.APPEND */
      ](), !0;
  }
  for (; s !== null; )
    if (n++, i = t[n], !(i === "\\" && T())) {
      if (l = _l(i), v = gt[s], d = v[l] || v.l || 8, d === 8 || (s = d[0], d[1] !== void 0 && (f = p[d[1]], f && (a = i, f() === !1))))
        return;
      if (s === 7)
        return e;
    }
}
const Tr = /* @__PURE__ */ new Map();
function pl(t, e) {
  return Y(t) ? t[e] : null;
}
function gl(t, e) {
  if (!Y(t))
    return null;
  let n = Tr.get(e);
  if (n || (n = ml(e), n && Tr.set(e, n)), !n)
    return null;
  const s = n.length;
  let r = t, i = 0;
  for (; i < s; ) {
    const o = r[n[i]];
    if (o === void 0 || Q(r))
      return null;
    r = o, i++;
  }
  return r;
}
const El = (t) => t, vl = (t) => "", bl = "text", Tl = (t) => t.length === 0 ? "" : Ia(t), Nl = La;
function Nr(t, e) {
  return t = Math.abs(t), e === 2 ? t ? t > 1 ? 1 : 0 : 1 : t ? Math.min(t, 2) : 0;
}
function Al(t) {
  const e = oe(t.pluralIndex) ? t.pluralIndex : -1;
  return t.named && (oe(t.named.count) || oe(t.named.n)) ? oe(t.named.count) ? t.named.count : oe(t.named.n) ? t.named.n : e : e;
}
function yl(t, e) {
  e.count || (e.count = t), e.n || (e.n = t);
}
function Ol(t = {}) {
  const e = t.locale, n = Al(t), s = Y(t.pluralRules) && P(e) && Q(t.pluralRules[e]) ? t.pluralRules[e] : Nr, r = Y(t.pluralRules) && P(e) && Q(t.pluralRules[e]) ? Nr : void 0, i = (_) => _[s(n, _.length, r)], o = t.list || [], a = (_) => o[_], l = t.named || {};
  oe(t.pluralIndex) && yl(n, l);
  const d = (_) => l[_];
  function f(_) {
    const m = Q(t.messages) ? t.messages(_) : Y(t.messages) ? t.messages[_] : !1;
    return m || (t.parent ? t.parent.message(_) : vl);
  }
  const v = (_) => t.modifiers ? t.modifiers[_] : El, p = H(t.processor) && Q(t.processor.normalize) ? t.processor.normalize : Tl, T = H(t.processor) && Q(t.processor.interpolate) ? t.processor.interpolate : Nl, D = H(t.processor) && P(t.processor.type) ? t.processor.type : bl, L = {
    list: a,
    named: d,
    plural: i,
    linked: (_, ...m) => {
      const [b, h] = m;
      let O = "text", N = "";
      m.length === 1 ? Y(b) ? (N = b.modifier || N, O = b.type || O) : P(b) && (N = b || N) : m.length === 2 && (P(b) && (N = b || N), P(h) && (O = h || O));
      const S = f(_)(L), y = (
        // The message in vnode resolved with linked are returned as an array by processor.nomalize
        O === "vnode" && ne(S) && N ? S[0] : S
      );
      return N ? v(N)(y, O) : y;
    },
    message: f,
    type: D,
    interpolate: T,
    normalize: p,
    values: ae({}, o, l)
  };
  return L;
}
let _n = null;
function Cl(t) {
  _n = t;
}
function Ll(t, e, n) {
  _n && _n.emit("i18n:init", {
    timestamp: Date.now(),
    i18n: t,
    version: e,
    meta: n
  });
}
const Il = /* @__PURE__ */ Sl(
  "function:translate"
  /* IntlifyDevToolsHooks.FunctionTranslate */
);
function Sl(t) {
  return (e) => _n && _n.emit(t, e);
}
const fe = {
  NOT_FOUND_KEY: 1,
  FALLBACK_TO_TRANSLATE: 2,
  CANNOT_FORMAT_NUMBER: 3,
  FALLBACK_TO_NUMBER_FORMAT: 4,
  CANNOT_FORMAT_DATE: 5,
  FALLBACK_TO_DATE_FORMAT: 6,
  EXPERIMENTAL_CUSTOM_MESSAGE_COMPILER: 7,
  __EXTEND_POINT__: 8
}, Dl = {
  [fe.NOT_FOUND_KEY]: "Not found '{key}' key in '{locale}' locale messages.",
  [fe.FALLBACK_TO_TRANSLATE]: "Fall back to translate '{key}' key with '{target}' locale.",
  [fe.CANNOT_FORMAT_NUMBER]: "Cannot format a number value due to not supported Intl.NumberFormat.",
  [fe.FALLBACK_TO_NUMBER_FORMAT]: "Fall back to number format '{key}' key with '{target}' locale.",
  [fe.CANNOT_FORMAT_DATE]: "Cannot format a date value due to not supported Intl.DateTimeFormat.",
  [fe.FALLBACK_TO_DATE_FORMAT]: "Fall back to datetime format '{key}' key with '{target}' locale.",
  [fe.EXPERIMENTAL_CUSTOM_MESSAGE_COMPILER]: "This project is using Custom Message Compiler, which is an experimental feature. It may receive breaking changes or be removed in the future."
};
function St(t, ...e) {
  return Us(Dl[t], ...e);
}
const wi = M.__EXTEND_POINT__, yt = Hs(wi), re = {
  INVALID_ARGUMENT: wi,
  INVALID_DATE_ARGUMENT: yt(),
  INVALID_ISO_DATE_ARGUMENT: yt(),
  NOT_SUPPORT_NON_STRING_MESSAGE: yt(),
  NOT_SUPPORT_LOCALE_PROMISE_VALUE: yt(),
  NOT_SUPPORT_LOCALE_ASYNC_FUNCTION: yt(),
  NOT_SUPPORT_LOCALE_TYPE: yt(),
  __EXTEND_POINT__: yt()
  // 25
};
function qe(t) {
  return tn(t, null, process.env.NODE_ENV !== "production" ? { messages: wl } : void 0);
}
const wl = {
  [re.INVALID_ARGUMENT]: "Invalid arguments",
  [re.INVALID_DATE_ARGUMENT]: "The date provided is an invalid Date object.Make sure your Date represents a valid date.",
  [re.INVALID_ISO_DATE_ARGUMENT]: "The argument provided is not a valid ISO date string",
  [re.NOT_SUPPORT_NON_STRING_MESSAGE]: "Not support non-string message",
  [re.NOT_SUPPORT_LOCALE_PROMISE_VALUE]: "cannot support promise value",
  [re.NOT_SUPPORT_LOCALE_ASYNC_FUNCTION]: "cannot support async function",
  [re.NOT_SUPPORT_LOCALE_TYPE]: "cannot support locale type"
};
function xs(t, e) {
  return e.locale != null ? Ar(e.locale) : Ar(t.locale);
}
let ns;
function Ar(t) {
  if (P(t))
    return t;
  if (Q(t)) {
    if (t.resolvedOnce && ns != null)
      return ns;
    if (t.constructor.name === "Function") {
      const e = t();
      if (Ca(e))
        throw qe(re.NOT_SUPPORT_LOCALE_PROMISE_VALUE);
      return ns = e;
    } else
      throw qe(re.NOT_SUPPORT_LOCALE_ASYNC_FUNCTION);
  } else
    throw qe(re.NOT_SUPPORT_LOCALE_TYPE);
}
function Pl(t, e, n) {
  return [.../* @__PURE__ */ new Set([
    n,
    ...ne(e) ? e : Y(e) ? Object.keys(e) : P(e) ? [e] : [n]
  ])];
}
function Pi(t, e, n) {
  const s = P(n) ? n : hn, r = t;
  r.__localeChainCache || (r.__localeChainCache = /* @__PURE__ */ new Map());
  let i = r.__localeChainCache.get(s);
  if (!i) {
    i = [];
    let o = [n];
    for (; ne(o); )
      o = yr(i, o, e);
    const a = ne(e) || !H(e) ? e : e.default ? e.default : null;
    o = P(a) ? [a] : a, ne(o) && yr(i, o, !1), r.__localeChainCache.set(s, i);
  }
  return i;
}
function yr(t, e, n) {
  let s = !0;
  for (let r = 0; r < e.length && q(s); r++) {
    const i = e[r];
    P(i) && (s = $l(t, e[r], n));
  }
  return s;
}
function $l(t, e, n) {
  let s;
  const r = e.split("-");
  do {
    const i = r.join("-");
    s = kl(t, i, n), r.splice(-1, 1);
  } while (r.length && s === !0);
  return s;
}
function kl(t, e, n) {
  let s = !1;
  if (!t.includes(e) && (s = !0, e)) {
    s = e[e.length - 1] !== "!";
    const r = e.replace(/!/g, "");
    t.push(r), (ne(n) || H(n)) && n[r] && (s = n[r]);
  }
  return s;
}
const Rl = "9.9.0", jn = -1, hn = "en-US", Hn = "", Or = (t) => `${t.charAt(0).toLocaleUpperCase()}${t.substr(1)}`;
function Ml() {
  return {
    upper: (t, e) => e === "text" && P(t) ? t.toUpperCase() : e === "vnode" && Y(t) && "__v_isVNode" in t ? t.children.toUpperCase() : t,
    lower: (t, e) => e === "text" && P(t) ? t.toLowerCase() : e === "vnode" && Y(t) && "__v_isVNode" in t ? t.children.toLowerCase() : t,
    capitalize: (t, e) => e === "text" && P(t) ? Or(t) : e === "vnode" && Y(t) && "__v_isVNode" in t ? Or(t.children) : t
  };
}
let $i;
function Cr(t) {
  $i = t;
}
let ki;
function Fl(t) {
  ki = t;
}
let Ri;
function Vl(t) {
  Ri = t;
}
let Mi = null;
const Ul = /* @__NO_SIDE_EFFECTS__ */ (t) => {
  Mi = t;
}, Hl = /* @__NO_SIDE_EFFECTS__ */ () => Mi;
let Fi = null;
const Lr = (t) => {
  Fi = t;
}, Wl = () => Fi;
let Ir = 0;
function xl(t = {}) {
  const e = Q(t.onWarn) ? t.onWarn : pt, n = P(t.version) ? t.version : Rl, s = P(t.locale) || Q(t.locale) ? t.locale : hn, r = Q(s) ? hn : s, i = ne(t.fallbackLocale) || H(t.fallbackLocale) || P(t.fallbackLocale) || t.fallbackLocale === !1 ? t.fallbackLocale : r, o = H(t.messages) ? t.messages : { [r]: {} }, a = H(t.datetimeFormats) ? t.datetimeFormats : { [r]: {} }, l = H(t.numberFormats) ? t.numberFormats : { [r]: {} }, d = ae({}, t.modifiers || {}, Ml()), f = t.pluralRules || {}, v = Q(t.missing) ? t.missing : null, p = q(t.missingWarn) || jt(t.missingWarn) ? t.missingWarn : !0, T = q(t.fallbackWarn) || jt(t.fallbackWarn) ? t.fallbackWarn : !0, D = !!t.fallbackFormat, C = !!t.unresolving, L = Q(t.postTranslation) ? t.postTranslation : null, _ = H(t.processor) ? t.processor : null, m = q(t.warnHtmlMessage) ? t.warnHtmlMessage : !0, b = !!t.escapeParameter, h = Q(t.messageCompiler) ? t.messageCompiler : $i;
  process.env.NODE_ENV !== "production" && Q(t.messageCompiler) && Da(St(fe.EXPERIMENTAL_CUSTOM_MESSAGE_COMPILER));
  const O = Q(t.messageResolver) ? t.messageResolver : ki || pl, N = Q(t.localeFallbacker) ? t.localeFallbacker : Ri || Pl, S = Y(t.fallbackContext) ? t.fallbackContext : void 0, y = t, k = Y(y.__datetimeFormatters) ? y.__datetimeFormatters : /* @__PURE__ */ new Map(), U = Y(y.__numberFormatters) ? y.__numberFormatters : /* @__PURE__ */ new Map(), j = Y(y.__meta) ? y.__meta : {};
  Ir++;
  const K = {
    version: n,
    cid: Ir,
    locale: s,
    fallbackLocale: i,
    messages: o,
    modifiers: d,
    pluralRules: f,
    missing: v,
    missingWarn: p,
    fallbackWarn: T,
    fallbackFormat: D,
    unresolving: C,
    postTranslation: L,
    processor: _,
    warnHtmlMessage: m,
    escapeParameter: b,
    messageCompiler: h,
    messageResolver: O,
    localeFallbacker: N,
    fallbackContext: S,
    onWarn: e,
    __meta: j
  };
  return K.datetimeFormats = a, K.numberFormats = l, K.__datetimeFormatters = k, K.__numberFormatters = U, process.env.NODE_ENV !== "production" && (K.__v_emitter = y.__v_emitter != null ? y.__v_emitter : void 0), (process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__) && Ll(K, n, j), K;
}
function Gn(t, e) {
  return t instanceof RegExp ? t.test(e) : t;
}
function Vi(t, e) {
  return t instanceof RegExp ? t.test(e) : t;
}
function Bs(t, e, n, s, r) {
  const { missing: i, onWarn: o } = t;
  if (process.env.NODE_ENV !== "production") {
    const a = t.__v_emitter;
    a && a.emit("missing", {
      locale: n,
      key: e,
      type: r,
      groupId: `${r}:${e}`
    });
  }
  if (i !== null) {
    const a = i(t, n, e, r);
    return P(a) ? a : e;
  } else
    return process.env.NODE_ENV !== "production" && Vi(s, e) && o(St(fe.NOT_FOUND_KEY, { key: e, locale: n })), e;
}
function ln(t, e, n) {
  const s = t;
  s.__localeChainCache = /* @__PURE__ */ new Map(), t.localeFallbacker(t, n, e);
}
function ss(t) {
  return (n) => Bl(n, t);
}
function Bl(t, e) {
  const n = e.b || e.body;
  if ((n.t || n.type) === 1) {
    const s = n, r = s.c || s.cases;
    return t.plural(r.reduce((i, o) => [
      ...i,
      Sr(t, o)
    ], []));
  } else
    return Sr(t, n);
}
function Sr(t, e) {
  const n = e.s || e.static;
  if (n)
    return t.type === "text" ? n : t.normalize([n]);
  {
    const s = (e.i || e.items).reduce((r, i) => [...r, Ts(t, i)], []);
    return t.normalize(s);
  }
}
function Ts(t, e) {
  const n = e.t || e.type;
  switch (n) {
    case 3:
      const s = e;
      return s.v || s.value;
    case 9:
      const r = e;
      return r.v || r.value;
    case 4:
      const i = e;
      return t.interpolate(t.named(i.k || i.key));
    case 5:
      const o = e;
      return t.interpolate(t.list(o.i != null ? o.i : o.index));
    case 6:
      const a = e, l = a.m || a.modifier;
      return t.linked(Ts(t, a.k || a.key), l ? Ts(t, l) : void 0, t.type);
    case 7:
      const d = e;
      return d.v || d.value;
    case 8:
      const f = e;
      return f.v || f.value;
    default:
      throw new Error(`unhandled node type on format message part: ${n}`);
  }
}
const Yl = "Detected HTML in '{source}' message. Recommend not using HTML messages to avoid XSS.";
function Ui(t, e) {
  e && Ua(t) && pt(Us(Yl, { source: t }));
}
const Hi = (t) => t;
let Bt = /* @__PURE__ */ Object.create(null);
const Dt = (t) => Y(t) && (t.t === 0 || t.type === 0) && ("b" in t || "body" in t);
function Wi(t, e = {}) {
  let n = !1;
  const s = e.onError || Fa;
  return e.onError = (r) => {
    n = !0, s(r);
  }, { ...ll(t, e), detectError: n };
}
const Kl = /* @__NO_SIDE_EFFECTS__ */ (t, e) => {
  if (!P(t))
    throw qe(re.NOT_SUPPORT_NON_STRING_MESSAGE);
  {
    const n = q(e.warnHtmlMessage) ? e.warnHtmlMessage : !0;
    process.env.NODE_ENV !== "production" && Ui(t, n);
    const r = (e.onCacheKey || Hi)(t), i = Bt[r];
    if (i)
      return i;
    const { code: o, detectError: a } = Wi(t, e), l = new Function(`return ${o}`)();
    return a ? l : Bt[r] = l;
  }
};
function jl(t, e) {
  if (__INTLIFY_JIT_COMPILATION__ && !__INTLIFY_DROP_MESSAGE_COMPILER__ && P(t)) {
    const n = q(e.warnHtmlMessage) ? e.warnHtmlMessage : !0;
    process.env.NODE_ENV !== "production" && Ui(t, n);
    const r = (e.onCacheKey || Hi)(t), i = Bt[r];
    if (i)
      return i;
    const { ast: o, detectError: a } = Wi(t, {
      ...e,
      location: process.env.NODE_ENV !== "production",
      jit: !0
    }), l = ss(o);
    return a ? l : Bt[r] = l;
  } else {
    if (process.env.NODE_ENV !== "production" && !Dt(t))
      return pt(`the message that is resolve with key '${e.key}' is not supported for jit compilation`), () => t;
    const n = t.cacheKey;
    if (n) {
      const s = Bt[n];
      return s || (Bt[n] = ss(t));
    } else
      return ss(t);
  }
}
const Dr = () => "", De = (t) => Q(t);
function wr(t, ...e) {
  const { fallbackFormat: n, postTranslation: s, unresolving: r, messageCompiler: i, fallbackLocale: o, messages: a } = t, [l, d] = Ns(...e), f = q(d.missingWarn) ? d.missingWarn : t.missingWarn, v = q(d.fallbackWarn) ? d.fallbackWarn : t.fallbackWarn, p = q(d.escapeParameter) ? d.escapeParameter : t.escapeParameter, T = !!d.resolvedMessage, D = P(d.default) || q(d.default) ? q(d.default) ? i ? l : () => l : d.default : n ? i ? l : () => l : "", C = n || D !== "", L = xs(t, d);
  p && Gl(d);
  let [_, m, b] = T ? [
    l,
    L,
    a[L] || {}
  ] : xi(t, l, L, o, v, f), h = _, O = l;
  if (!T && !(P(h) || Dt(h) || De(h)) && C && (h = D, O = h), !T && (!(P(h) || Dt(h) || De(h)) || !P(m)))
    return r ? jn : l;
  if (process.env.NODE_ENV !== "production" && P(h) && t.messageCompiler == null)
    return pt(`The message format compilation is not supported in this build. Because message compiler isn't included. You need to pre-compilation all message format. So translate function return '${l}'.`), l;
  let N = !1;
  const S = () => {
    N = !0;
  }, y = De(h) ? h : Bi(t, l, m, h, O, S);
  if (N)
    return h;
  const k = Jl(t, m, b, d), U = Ol(k), j = Xl(t, y, U), K = s ? s(j, l) : j;
  if (process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__) {
    const G = {
      timestamp: Date.now(),
      key: P(l) ? l : De(h) ? h.key : "",
      locale: m || (De(h) ? h.locale : ""),
      format: P(h) ? h : De(h) ? h.source : "",
      message: K
    };
    G.meta = ae({}, t.__meta, /* @__PURE__ */ Hl() || {}), Il(G);
  }
  return K;
}
function Gl(t) {
  ne(t.list) ? t.list = t.list.map((e) => P(e) ? hr(e) : e) : Y(t.named) && Object.keys(t.named).forEach((e) => {
    P(t.named[e]) && (t.named[e] = hr(t.named[e]));
  });
}
function xi(t, e, n, s, r, i) {
  const { messages: o, onWarn: a, messageResolver: l, localeFallbacker: d } = t, f = d(t, s, n);
  let v = {}, p, T = null, D = n, C = null;
  const L = "translate";
  for (let _ = 0; _ < f.length; _++) {
    if (p = C = f[_], process.env.NODE_ENV !== "production" && n !== p && Gn(r, e) && a(St(fe.FALLBACK_TO_TRANSLATE, {
      key: e,
      target: p
    })), process.env.NODE_ENV !== "production" && n !== p) {
      const N = t.__v_emitter;
      N && N.emit("fallback", {
        type: L,
        key: e,
        from: D,
        to: C,
        groupId: `${L}:${e}`
      });
    }
    v = o[p] || {};
    let m = null, b, h;
    if (process.env.NODE_ENV !== "production" && it && (m = window.performance.now(), b = "intlify-message-resolve-start", h = "intlify-message-resolve-end", Ae && Ae(b)), (T = l(v, e)) === null && (T = v[e]), process.env.NODE_ENV !== "production" && it) {
      const N = window.performance.now(), S = t.__v_emitter;
      S && m && T && S.emit("message-resolve", {
        type: "message-resolve",
        key: e,
        message: T,
        time: N - m,
        groupId: `${L}:${e}`
      }), b && h && Ae && It && (Ae(h), It("intlify message resolve", b, h));
    }
    if (P(T) || Dt(T) || De(T))
      break;
    const O = Bs(
      t,
      // eslint-disable-line @typescript-eslint/no-explicit-any
      e,
      p,
      i,
      L
    );
    O !== e && (T = O), D = C;
  }
  return [T, p, v];
}
function Bi(t, e, n, s, r, i) {
  const { messageCompiler: o, warnHtmlMessage: a } = t;
  if (De(s)) {
    const p = s;
    return p.locale = p.locale || n, p.key = p.key || e, p;
  }
  if (o == null) {
    const p = () => s;
    return p.locale = n, p.key = e, p;
  }
  let l = null, d, f;
  process.env.NODE_ENV !== "production" && it && (l = window.performance.now(), d = "intlify-message-compilation-start", f = "intlify-message-compilation-end", Ae && Ae(d));
  const v = o(s, ql(t, n, r, s, a, i));
  if (process.env.NODE_ENV !== "production" && it) {
    const p = window.performance.now(), T = t.__v_emitter;
    T && l && T.emit("message-compilation", {
      type: "message-compilation",
      message: s,
      time: p - l,
      groupId: `translate:${e}`
    }), d && f && Ae && It && (Ae(f), It("intlify message compilation", d, f));
  }
  return v.locale = n, v.key = e, v.source = s, v;
}
function Xl(t, e, n) {
  let s = null, r, i;
  process.env.NODE_ENV !== "production" && it && (s = window.performance.now(), r = "intlify-message-evaluation-start", i = "intlify-message-evaluation-end", Ae && Ae(r));
  const o = e(n);
  if (process.env.NODE_ENV !== "production" && it) {
    const a = window.performance.now(), l = t.__v_emitter;
    l && s && l.emit("message-evaluation", {
      type: "message-evaluation",
      value: o,
      time: a - s,
      groupId: `translate:${e.key}`
    }), r && i && Ae && It && (Ae(i), It("intlify message evaluation", r, i));
  }
  return o;
}
function Ns(...t) {
  const [e, n, s] = t, r = {};
  if (!P(e) && !oe(e) && !De(e) && !Dt(e))
    throw qe(re.INVALID_ARGUMENT);
  const i = oe(e) ? String(e) : (De(e), e);
  return oe(n) ? r.plural = n : P(n) ? r.default = n : H(n) && !Kn(n) ? r.named = n : ne(n) && (r.list = n), oe(s) ? r.plural = s : P(s) ? r.default = s : H(s) && ae(r, s), [i, r];
}
function ql(t, e, n, s, r, i) {
  return {
    locale: e,
    key: n,
    warnHtmlMessage: r,
    onError: (o) => {
      if (i && i(o), process.env.NODE_ENV !== "production") {
        const a = Ql(s), l = `Message compilation error: ${o.message}`, d = o.location && a && Sa(a, o.location.start.offset, o.location.end.offset), f = t.__v_emitter;
        f && a && f.emit("compile-error", {
          message: a,
          error: o.message,
          start: o.location && o.location.start.offset,
          end: o.location && o.location.end.offset,
          groupId: `translate:${n}`
        }), console.error(d ? `${l}
${d}` : l);
      } else
        throw o;
    },
    onCacheKey: (o) => Na(e, n, o)
  };
}
function Ql(t) {
  if (P(t))
    return t;
  if (t.loc && t.loc.source)
    return t.loc.source;
}
function Jl(t, e, n, s) {
  const { modifiers: r, pluralRules: i, messageResolver: o, fallbackLocale: a, fallbackWarn: l, missingWarn: d, fallbackContext: f } = t, p = {
    locale: e,
    modifiers: r,
    pluralRules: i,
    messages: (T) => {
      let D = o(n, T);
      if (D == null && f) {
        const [, , C] = xi(f, T, e, a, l, d);
        D = o(C, T);
      }
      if (P(D) || Dt(D)) {
        let C = !1;
        const _ = Bi(t, T, e, D, T, () => {
          C = !0;
        });
        return C ? Dr : _;
      } else
        return De(D) ? D : Dr;
    }
  };
  return t.processor && (p.processor = t.processor), s.list && (p.list = s.list), s.named && (p.named = s.named), oe(s.plural) && (p.pluralIndex = s.plural), p;
}
const Pr = typeof Intl < "u", Yi = {
  dateTimeFormat: Pr && typeof Intl.DateTimeFormat < "u",
  numberFormat: Pr && typeof Intl.NumberFormat < "u"
};
function $r(t, ...e) {
  const { datetimeFormats: n, unresolving: s, fallbackLocale: r, onWarn: i, localeFallbacker: o } = t, { __datetimeFormatters: a } = t;
  if (process.env.NODE_ENV !== "production" && !Yi.dateTimeFormat)
    return i(St(fe.CANNOT_FORMAT_DATE)), Hn;
  const [l, d, f, v] = As(...e), p = q(f.missingWarn) ? f.missingWarn : t.missingWarn, T = q(f.fallbackWarn) ? f.fallbackWarn : t.fallbackWarn, D = !!f.part, C = xs(t, f), L = o(
    t,
    // eslint-disable-line @typescript-eslint/no-explicit-any
    r,
    C
  );
  if (!P(l) || l === "")
    return new Intl.DateTimeFormat(C, v).format(d);
  let _ = {}, m, b = null, h = C, O = null;
  const N = "datetime format";
  for (let k = 0; k < L.length; k++) {
    if (m = O = L[k], process.env.NODE_ENV !== "production" && C !== m && Gn(T, l) && i(St(fe.FALLBACK_TO_DATE_FORMAT, {
      key: l,
      target: m
    })), process.env.NODE_ENV !== "production" && C !== m) {
      const U = t.__v_emitter;
      U && U.emit("fallback", {
        type: N,
        key: l,
        from: h,
        to: O,
        groupId: `${N}:${l}`
      });
    }
    if (_ = n[m] || {}, b = _[l], H(b))
      break;
    Bs(t, l, m, p, N), h = O;
  }
  if (!H(b) || !P(m))
    return s ? jn : l;
  let S = `${m}__${l}`;
  Kn(v) || (S = `${S}__${JSON.stringify(v)}`);
  let y = a.get(S);
  return y || (y = new Intl.DateTimeFormat(m, ae({}, b, v)), a.set(S, y)), D ? y.formatToParts(d) : y.format(d);
}
const Ki = [
  "localeMatcher",
  "weekday",
  "era",
  "year",
  "month",
  "day",
  "hour",
  "minute",
  "second",
  "timeZoneName",
  "formatMatcher",
  "hour12",
  "timeZone",
  "dateStyle",
  "timeStyle",
  "calendar",
  "dayPeriod",
  "numberingSystem",
  "hourCycle",
  "fractionalSecondDigits"
];
function As(...t) {
  const [e, n, s, r] = t, i = {};
  let o = {}, a;
  if (P(e)) {
    const l = e.match(/(\d{4}-\d{2}-\d{2})(T|\s)?(.*)/);
    if (!l)
      throw qe(re.INVALID_ISO_DATE_ARGUMENT);
    const d = l[3] ? l[3].trim().startsWith("T") ? `${l[1].trim()}${l[3].trim()}` : `${l[1].trim()}T${l[3].trim()}` : l[1].trim();
    a = new Date(d);
    try {
      a.toISOString();
    } catch {
      throw qe(re.INVALID_ISO_DATE_ARGUMENT);
    }
  } else if (ya(e)) {
    if (isNaN(e.getTime()))
      throw qe(re.INVALID_DATE_ARGUMENT);
    a = e;
  } else if (oe(e))
    a = e;
  else
    throw qe(re.INVALID_ARGUMENT);
  return P(n) ? i.key = n : H(n) && Object.keys(n).forEach((l) => {
    Ki.includes(l) ? o[l] = n[l] : i[l] = n[l];
  }), P(s) ? i.locale = s : H(s) && (o = s), H(r) && (o = r), [i.key || "", a, i, o];
}
function kr(t, e, n) {
  const s = t;
  for (const r in n) {
    const i = `${e}__${r}`;
    s.__datetimeFormatters.has(i) && s.__datetimeFormatters.delete(i);
  }
}
function Rr(t, ...e) {
  const { numberFormats: n, unresolving: s, fallbackLocale: r, onWarn: i, localeFallbacker: o } = t, { __numberFormatters: a } = t;
  if (process.env.NODE_ENV !== "production" && !Yi.numberFormat)
    return i(St(fe.CANNOT_FORMAT_NUMBER)), Hn;
  const [l, d, f, v] = ys(...e), p = q(f.missingWarn) ? f.missingWarn : t.missingWarn, T = q(f.fallbackWarn) ? f.fallbackWarn : t.fallbackWarn, D = !!f.part, C = xs(t, f), L = o(
    t,
    // eslint-disable-line @typescript-eslint/no-explicit-any
    r,
    C
  );
  if (!P(l) || l === "")
    return new Intl.NumberFormat(C, v).format(d);
  let _ = {}, m, b = null, h = C, O = null;
  const N = "number format";
  for (let k = 0; k < L.length; k++) {
    if (m = O = L[k], process.env.NODE_ENV !== "production" && C !== m && Gn(T, l) && i(St(fe.FALLBACK_TO_NUMBER_FORMAT, {
      key: l,
      target: m
    })), process.env.NODE_ENV !== "production" && C !== m) {
      const U = t.__v_emitter;
      U && U.emit("fallback", {
        type: N,
        key: l,
        from: h,
        to: O,
        groupId: `${N}:${l}`
      });
    }
    if (_ = n[m] || {}, b = _[l], H(b))
      break;
    Bs(t, l, m, p, N), h = O;
  }
  if (!H(b) || !P(m))
    return s ? jn : l;
  let S = `${m}__${l}`;
  Kn(v) || (S = `${S}__${JSON.stringify(v)}`);
  let y = a.get(S);
  return y || (y = new Intl.NumberFormat(m, ae({}, b, v)), a.set(S, y)), D ? y.formatToParts(d) : y.format(d);
}
const ji = [
  "localeMatcher",
  "style",
  "currency",
  "currencyDisplay",
  "currencySign",
  "useGrouping",
  "minimumIntegerDigits",
  "minimumFractionDigits",
  "maximumFractionDigits",
  "minimumSignificantDigits",
  "maximumSignificantDigits",
  "compactDisplay",
  "notation",
  "signDisplay",
  "unit",
  "unitDisplay",
  "roundingMode",
  "roundingPriority",
  "roundingIncrement",
  "trailingZeroDisplay"
];
function ys(...t) {
  const [e, n, s, r] = t, i = {};
  let o = {};
  if (!oe(e))
    throw qe(re.INVALID_ARGUMENT);
  const a = e;
  return P(n) ? i.key = n : H(n) && Object.keys(n).forEach((l) => {
    ji.includes(l) ? o[l] = n[l] : i[l] = n[l];
  }), P(s) ? i.locale = s : H(s) && (o = s), H(r) && (o = r), [i.key || "", a, i, o];
}
function Mr(t, e, n) {
  const s = t;
  for (const r in n) {
    const i = `${e}__${r}`;
    s.__numberFormatters.has(i) && s.__numberFormatters.delete(i);
  }
}
cl();
/*!
  * vue-i18n v9.9.0
  * (c) 2024 kazuya kawaguchi
  * Released under the MIT License.
  */
const zl = "9.9.0";
function Zl() {
  typeof __VUE_I18N_FULL_INSTALL__ != "boolean" && (nt().__VUE_I18N_FULL_INSTALL__ = !0), typeof __VUE_I18N_LEGACY_API__ != "boolean" && (nt().__VUE_I18N_LEGACY_API__ = !0), typeof __INTLIFY_JIT_COMPILATION__ != "boolean" && (nt().__INTLIFY_JIT_COMPILATION__ = !1), typeof __INTLIFY_DROP_MESSAGE_COMPILER__ != "boolean" && (nt().__INTLIFY_DROP_MESSAGE_COMPILER__ = !1), typeof __INTLIFY_PROD_DEVTOOLS__ != "boolean" && (nt().__INTLIFY_PROD_DEVTOOLS__ = !1);
}
const Gi = fe.__EXTEND_POINT__, ut = Hs(Gi), Se = {
  FALLBACK_TO_ROOT: Gi,
  NOT_SUPPORTED_PRESERVE: ut(),
  NOT_SUPPORTED_FORMATTER: ut(),
  NOT_SUPPORTED_PRESERVE_DIRECTIVE: ut(),
  NOT_SUPPORTED_GET_CHOICE_INDEX: ut(),
  COMPONENT_NAME_LEGACY_COMPATIBLE: ut(),
  NOT_FOUND_PARENT_SCOPE: ut(),
  IGNORE_OBJ_FLATTEN: ut(),
  NOTICE_DROP_ALLOW_COMPOSITION: ut()
  // 17
}, ec = {
  [Se.FALLBACK_TO_ROOT]: "Fall back to {type} '{key}' with root locale.",
  [Se.NOT_SUPPORTED_PRESERVE]: "Not supported 'preserve'.",
  [Se.NOT_SUPPORTED_FORMATTER]: "Not supported 'formatter'.",
  [Se.NOT_SUPPORTED_PRESERVE_DIRECTIVE]: "Not supported 'preserveDirectiveContent'.",
  [Se.NOT_SUPPORTED_GET_CHOICE_INDEX]: "Not supported 'getChoiceIndex'.",
  [Se.COMPONENT_NAME_LEGACY_COMPATIBLE]: "Component name legacy compatible: '{name}' -> 'i18n'",
  [Se.NOT_FOUND_PARENT_SCOPE]: "Not found parent scope. use the global scope.",
  [Se.IGNORE_OBJ_FLATTEN]: "Ignore object flatten: '{key}' key has an string value",
  [Se.NOTICE_DROP_ALLOW_COMPOSITION]: "'allowComposition' option will be dropped in the next major version. For more information, please see 👉 https://tinyurl.com/2p97mcze"
};
function Ys(t, ...e) {
  return Us(ec[t], ...e);
}
const Xi = re.__EXTEND_POINT__, Ee = Hs(Xi), Z = {
  // composer module errors
  UNEXPECTED_RETURN_TYPE: Xi,
  // legacy module errors
  INVALID_ARGUMENT: Ee(),
  // i18n module errors
  MUST_BE_CALL_SETUP_TOP: Ee(),
  NOT_INSTALLED: Ee(),
  NOT_AVAILABLE_IN_LEGACY_MODE: Ee(),
  // directive module errors
  REQUIRED_VALUE: Ee(),
  INVALID_VALUE: Ee(),
  // vue-devtools errors
  CANNOT_SETUP_VUE_DEVTOOLS_PLUGIN: Ee(),
  NOT_INSTALLED_WITH_PROVIDE: Ee(),
  // unexpected error
  UNEXPECTED_ERROR: Ee(),
  // not compatible legacy vue-i18n constructor
  NOT_COMPATIBLE_LEGACY_VUE_I18N: Ee(),
  // bridge support vue 2.x only
  BRIDGE_SUPPORT_VUE_2_ONLY: Ee(),
  // need to define `i18n` option in `allowComposition: true` and `useScope: 'local' at `useI18n``
  MUST_DEFINE_I18N_OPTION_IN_ALLOW_COMPOSITION: Ee(),
  // Not available Compostion API in Legacy API mode. Please make sure that the legacy API mode is working properly
  NOT_AVAILABLE_COMPOSITION_IN_LEGACY: Ee(),
  // for enhancement
  __EXTEND_POINT__: Ee()
  // 40
};
function dt(t, ...e) {
  return tn(t, null, process.env.NODE_ENV !== "production" ? { messages: tc, args: e } : void 0);
}
const tc = {
  [Z.UNEXPECTED_RETURN_TYPE]: "Unexpected return type in composer",
  [Z.INVALID_ARGUMENT]: "Invalid argument",
  [Z.MUST_BE_CALL_SETUP_TOP]: "Must be called at the top of a `setup` function",
  [Z.NOT_INSTALLED]: "Need to install with `app.use` function",
  [Z.UNEXPECTED_ERROR]: "Unexpected error",
  [Z.NOT_AVAILABLE_IN_LEGACY_MODE]: "Not available in legacy mode",
  [Z.REQUIRED_VALUE]: "Required in value: {0}",
  [Z.INVALID_VALUE]: "Invalid value",
  [Z.CANNOT_SETUP_VUE_DEVTOOLS_PLUGIN]: "Cannot setup vue-devtools plugin",
  [Z.NOT_INSTALLED_WITH_PROVIDE]: "Need to install with `provide` function",
  [Z.NOT_COMPATIBLE_LEGACY_VUE_I18N]: "Not compatible legacy VueI18n.",
  [Z.BRIDGE_SUPPORT_VUE_2_ONLY]: "vue-i18n-bridge support Vue 2.x only",
  [Z.MUST_DEFINE_I18N_OPTION_IN_ALLOW_COMPOSITION]: "Must define ‘i18n’ option or custom block in Composition API with using local scope in Legacy API mode",
  [Z.NOT_AVAILABLE_COMPOSITION_IN_LEGACY]: "Not available Compostion API in Legacy API mode. Please make sure that the legacy API mode is working properly"
}, Os = /* @__PURE__ */ at("__translateVNode"), Cs = /* @__PURE__ */ at("__datetimeParts"), Ls = /* @__PURE__ */ at("__numberParts"), Is = /* @__PURE__ */ at("__enableEmitter"), Ss = /* @__PURE__ */ at("__disableEmitter"), nc = at("__setPluralRules"), qi = /* @__PURE__ */ at("__injectWithOption"), Ds = /* @__PURE__ */ at("__dispose");
function mn(t) {
  if (!Y(t))
    return t;
  for (const e in t)
    if (Un(t, e))
      if (!e.includes("."))
        Y(t[e]) && mn(t[e]);
      else {
        const n = e.split("."), s = n.length - 1;
        let r = t, i = !1;
        for (let o = 0; o < s; o++) {
          if (n[o] in r || (r[n[o]] = {}), !Y(r[n[o]])) {
            process.env.NODE_ENV !== "production" && pt(Ys(Se.IGNORE_OBJ_FLATTEN, {
              key: n[o]
            })), i = !0;
            break;
          }
          r = r[n[o]];
        }
        i || (r[n[s]] = t[e], delete t[e]), Y(r[n[s]]) && mn(r[n[s]]);
      }
  return t;
}
function Ks(t, e) {
  const { messages: n, __i18n: s, messageResolver: r, flatJson: i } = e, o = H(n) ? n : ne(s) ? {} : { [t]: {} };
  if (ne(s) && s.forEach((a) => {
    if ("locale" in a && "resource" in a) {
      const { locale: l, resource: d } = a;
      l ? (o[l] = o[l] || {}, Rn(d, o[l])) : Rn(d, o);
    } else
      P(a) && Rn(JSON.parse(a), o);
  }), r == null && i)
    for (const a in o)
      Un(o, a) && mn(o[a]);
  return o;
}
function Qi(t) {
  return t.type;
}
function sc(t, e, n) {
  let s = Y(e.messages) ? e.messages : {};
  "__i18nGlobal" in n && (s = Ks(t.locale.value, {
    messages: s,
    __i18n: n.__i18nGlobal
  }));
  const r = Object.keys(s);
  r.length && r.forEach((i) => {
    t.mergeLocaleMessage(i, s[i]);
  });
  {
    if (Y(e.datetimeFormats)) {
      const i = Object.keys(e.datetimeFormats);
      i.length && i.forEach((o) => {
        t.mergeDateTimeFormat(o, e.datetimeFormats[o]);
      });
    }
    if (Y(e.numberFormats)) {
      const i = Object.keys(e.numberFormats);
      i.length && i.forEach((o) => {
        t.mergeNumberFormat(o, e.numberFormats[o]);
      });
    }
  }
}
function Fr(t) {
  return la(ca, null, t, 0);
}
const Vr = "__INTLIFY_META__", Ur = () => [], rc = () => !1;
let Hr = 0;
function Wr(t) {
  return (e, n, s, r) => t(n, s, Vs() || void 0, r);
}
const ic = /* @__NO_SIDE_EFFECTS__ */ () => {
  const t = Vs();
  let e = null;
  return t && (e = Qi(t)[Vr]) ? { [Vr]: e } : null;
};
function oc(t = {}, e) {
  const { __root: n, __injectWithOption: s } = t, r = n === void 0, i = t.flatJson, o = it ? we : Ci;
  let a = q(t.inheritLocale) ? t.inheritLocale : !0;
  const l = o(
    // prettier-ignore
    n && a ? n.locale.value : P(t.locale) ? t.locale : hn
  ), d = o(
    // prettier-ignore
    n && a ? n.fallbackLocale.value : P(t.fallbackLocale) || ne(t.fallbackLocale) || H(t.fallbackLocale) || t.fallbackLocale === !1 ? t.fallbackLocale : l.value
  ), f = o(Ks(l.value, t)), v = o(H(t.datetimeFormats) ? t.datetimeFormats : { [l.value]: {} }), p = o(H(t.numberFormats) ? t.numberFormats : { [l.value]: {} });
  let T = n ? n.missingWarn : q(t.missingWarn) || jt(t.missingWarn) ? t.missingWarn : !0, D = n ? n.fallbackWarn : q(t.fallbackWarn) || jt(t.fallbackWarn) ? t.fallbackWarn : !0, C = n ? n.fallbackRoot : q(t.fallbackRoot) ? t.fallbackRoot : !0, L = !!t.fallbackFormat, _ = Q(t.missing) ? t.missing : null, m = Q(t.missing) ? Wr(t.missing) : null, b = Q(t.postTranslation) ? t.postTranslation : null, h = n ? n.warnHtmlMessage : q(t.warnHtmlMessage) ? t.warnHtmlMessage : !0, O = !!t.escapeParameter;
  const N = n ? n.modifiers : H(t.modifiers) ? t.modifiers : {};
  let S = t.pluralRules || n && n.pluralRules, y;
  y = (() => {
    r && Lr(null);
    const E = {
      version: zl,
      locale: l.value,
      fallbackLocale: d.value,
      messages: f.value,
      modifiers: N,
      pluralRules: S,
      missing: m === null ? void 0 : m,
      missingWarn: T,
      fallbackWarn: D,
      fallbackFormat: L,
      unresolving: !0,
      postTranslation: b === null ? void 0 : b,
      warnHtmlMessage: h,
      escapeParameter: O,
      messageResolver: t.messageResolver,
      messageCompiler: t.messageCompiler,
      __meta: { framework: "vue" }
    };
    E.datetimeFormats = v.value, E.numberFormats = p.value, E.__datetimeFormatters = H(y) ? y.__datetimeFormatters : void 0, E.__numberFormatters = H(y) ? y.__numberFormatters : void 0, process.env.NODE_ENV !== "production" && (E.__v_emitter = H(y) ? y.__v_emitter : void 0);
    const I = xl(E);
    return r && Lr(I), I;
  })(), ln(y, l.value, d.value);
  function U() {
    return [
      l.value,
      d.value,
      f.value,
      v.value,
      p.value
    ];
  }
  const j = Xe({
    get: () => l.value,
    set: (E) => {
      l.value = E, y.locale = l.value;
    }
  }), K = Xe({
    get: () => d.value,
    set: (E) => {
      d.value = E, y.fallbackLocale = d.value, ln(y, l.value, E);
    }
  }), G = Xe(() => f.value), me = /* @__PURE__ */ Xe(() => v.value), Te = /* @__PURE__ */ Xe(() => p.value);
  function J() {
    return Q(b) ? b : null;
  }
  function se(E) {
    b = E, y.postTranslation = E;
  }
  function Be() {
    return _;
  }
  function pe(E) {
    E !== null && (m = Wr(E)), _ = E, y.missing = m;
  }
  function Ye(E, I) {
    return E !== "translate" || !I.resolvedMessage;
  }
  const le = (E, I, W, ee, Nt, Cn) => {
    U();
    let Mt;
    try {
      process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__, r || (y.fallbackContext = n ? Wl() : void 0), Mt = E(y);
    } finally {
      process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__, r || (y.fallbackContext = void 0);
    }
    if (W !== "translate exists" && // for not `te` (e.g `t`)
    oe(Mt) && Mt === jn || W === "translate exists" && !Mt) {
      const [At, ea] = I();
      if (process.env.NODE_ENV !== "production" && n && P(At) && Ye(W, ea) && (C && (Gn(D, At) || Vi(T, At)) && pt(Ys(Se.FALLBACK_TO_ROOT, {
        key: At,
        type: W
      })), process.env.NODE_ENV !== "production")) {
        const { __v_emitter: fr } = y;
        fr && C && fr.emit("fallback", {
          type: W,
          key: At,
          to: "global",
          groupId: `${W}:${At}`
        });
      }
      return n && C ? ee(n) : Nt(At);
    } else {
      if (Cn(Mt))
        return Mt;
      throw dt(Z.UNEXPECTED_RETURN_TYPE);
    }
  };
  function Le(...E) {
    return le((I) => Reflect.apply(wr, null, [I, ...E]), () => Ns(...E), "translate", (I) => Reflect.apply(I.t, I, [...E]), (I) => I, (I) => P(I));
  }
  function Ke(...E) {
    const [I, W, ee] = E;
    if (ee && !Y(ee))
      throw dt(Z.INVALID_ARGUMENT);
    return Le(I, W, ae({ resolvedMessage: !0 }, ee || {}));
  }
  function Ne(...E) {
    return le((I) => Reflect.apply($r, null, [I, ...E]), () => As(...E), "datetime format", (I) => Reflect.apply(I.d, I, [...E]), () => Hn, (I) => P(I));
  }
  function ge(...E) {
    return le((I) => Reflect.apply(Rr, null, [I, ...E]), () => ys(...E), "number format", (I) => Reflect.apply(I.n, I, [...E]), () => Hn, (I) => P(I));
  }
  function Fe(E) {
    return E.map((I) => P(I) || oe(I) || q(I) ? Fr(String(I)) : I);
  }
  const ce = {
    normalize: Fe,
    interpolate: (E) => E,
    type: "vnode"
  };
  function Ve(...E) {
    return le(
      (I) => {
        let W;
        const ee = I;
        try {
          ee.processor = ce, W = Reflect.apply(wr, null, [ee, ...E]);
        } finally {
          ee.processor = null;
        }
        return W;
      },
      () => Ns(...E),
      "translate",
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      (I) => I[Os](...E),
      (I) => [Fr(I)],
      (I) => ne(I)
    );
  }
  function je(...E) {
    return le(
      (I) => Reflect.apply(Rr, null, [I, ...E]),
      () => ys(...E),
      "number format",
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      (I) => I[Ls](...E),
      Ur,
      (I) => P(I) || ne(I)
    );
  }
  function Ue(...E) {
    return le(
      (I) => Reflect.apply($r, null, [I, ...E]),
      () => As(...E),
      "datetime format",
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      (I) => I[Cs](...E),
      Ur,
      (I) => P(I) || ne(I)
    );
  }
  function Tt(E) {
    S = E, y.pluralRules = S;
  }
  function u(E, I) {
    return le(() => {
      if (!E)
        return !1;
      const W = P(I) ? I : l.value, ee = w(W), Nt = y.messageResolver(ee, E);
      return Dt(Nt) || De(Nt) || P(Nt);
    }, () => [E], "translate exists", (W) => Reflect.apply(W.te, W, [E, I]), rc, (W) => q(W));
  }
  function c(E) {
    let I = null;
    const W = Pi(y, d.value, l.value);
    for (let ee = 0; ee < W.length; ee++) {
      const Nt = f.value[W[ee]] || {}, Cn = y.messageResolver(Nt, E);
      if (Cn != null) {
        I = Cn;
        break;
      }
    }
    return I;
  }
  function g(E) {
    const I = c(E);
    return I ?? (n ? n.tm(E) || {} : {});
  }
  function w(E) {
    return f.value[E] || {};
  }
  function R(E, I) {
    if (i) {
      const W = { [E]: I };
      for (const ee in W)
        Un(W, ee) && mn(W[ee]);
      I = W[E];
    }
    f.value[E] = I, y.messages = f.value;
  }
  function x(E, I) {
    f.value[E] = f.value[E] || {};
    const W = { [E]: I };
    for (const ee in W)
      Un(W, ee) && mn(W[ee]);
    I = W[E], Rn(I, f.value[E]), y.messages = f.value;
  }
  function Ie(E) {
    return v.value[E] || {};
  }
  function ie(E, I) {
    v.value[E] = I, y.datetimeFormats = v.value, kr(y, E, I);
  }
  function Rt(E, I) {
    v.value[E] = ae(v.value[E] || {}, I), y.datetimeFormats = v.value, kr(y, E, I);
  }
  function yn(E) {
    return p.value[E] || {};
  }
  function On(E, I) {
    p.value[E] = I, y.numberFormats = p.value, Mr(y, E, I);
  }
  function an(E, I) {
    p.value[E] = ae(p.value[E] || {}, I), y.numberFormats = p.value, Mr(y, E, I);
  }
  Hr++, n && it && (dr(n.locale, (E) => {
    a && (l.value = E, y.locale = E, ln(y, l.value, d.value));
  }), dr(n.fallbackLocale, (E) => {
    a && (d.value = E, y.fallbackLocale = E, ln(y, l.value, d.value));
  }));
  const z = {
    id: Hr,
    locale: j,
    fallbackLocale: K,
    get inheritLocale() {
      return a;
    },
    set inheritLocale(E) {
      a = E, E && n && (l.value = n.locale.value, d.value = n.fallbackLocale.value, ln(y, l.value, d.value));
    },
    get availableLocales() {
      return Object.keys(f.value).sort();
    },
    messages: G,
    get modifiers() {
      return N;
    },
    get pluralRules() {
      return S || {};
    },
    get isGlobal() {
      return r;
    },
    get missingWarn() {
      return T;
    },
    set missingWarn(E) {
      T = E, y.missingWarn = T;
    },
    get fallbackWarn() {
      return D;
    },
    set fallbackWarn(E) {
      D = E, y.fallbackWarn = D;
    },
    get fallbackRoot() {
      return C;
    },
    set fallbackRoot(E) {
      C = E;
    },
    get fallbackFormat() {
      return L;
    },
    set fallbackFormat(E) {
      L = E, y.fallbackFormat = L;
    },
    get warnHtmlMessage() {
      return h;
    },
    set warnHtmlMessage(E) {
      h = E, y.warnHtmlMessage = E;
    },
    get escapeParameter() {
      return O;
    },
    set escapeParameter(E) {
      O = E, y.escapeParameter = E;
    },
    t: Le,
    getLocaleMessage: w,
    setLocaleMessage: R,
    mergeLocaleMessage: x,
    getPostTranslationHandler: J,
    setPostTranslationHandler: se,
    getMissingHandler: Be,
    setMissingHandler: pe,
    [nc]: Tt
  };
  return z.datetimeFormats = me, z.numberFormats = Te, z.rt = Ke, z.te = u, z.tm = g, z.d = Ne, z.n = ge, z.getDateTimeFormat = Ie, z.setDateTimeFormat = ie, z.mergeDateTimeFormat = Rt, z.getNumberFormat = yn, z.setNumberFormat = On, z.mergeNumberFormat = an, z[qi] = s, z[Os] = Ve, z[Cs] = Ue, z[Ls] = je, process.env.NODE_ENV !== "production" && (z[Is] = (E) => {
    y.__v_emitter = E;
  }, z[Ss] = () => {
    y.__v_emitter = void 0;
  }), z;
}
const js = {
  tag: {
    type: [String, Object]
  },
  locale: {
    type: String
  },
  scope: {
    type: String,
    // NOTE: avoid https://github.com/microsoft/rushstack/issues/1050
    validator: (t) => t === "parent" || t === "global",
    default: "parent"
    /* ComponentI18nScope */
  },
  i18n: {
    type: Object
  }
};
function ac({ slots: t }, e) {
  return e.length === 1 && e[0] === "default" ? (t.default ? t.default() : []).reduce((s, r) => [
    ...s,
    // prettier-ignore
    ...r.type === We ? r.children : [r]
  ], []) : e.reduce((n, s) => {
    const r = t[s];
    return r && (n[s] = r()), n;
  }, {});
}
function Ji(t) {
  return We;
}
ae({
  keypath: {
    type: String,
    required: !0
  },
  plural: {
    type: [Number, String],
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    validator: (t) => oe(t) || !isNaN(t)
  }
}, js);
function lc(t) {
  return ne(t) && !P(t[0]);
}
function zi(t, e, n, s) {
  const { slots: r, attrs: i } = e;
  return () => {
    const o = { part: !0 };
    let a = {};
    t.locale && (o.locale = t.locale), P(t.format) ? o.key = t.format : Y(t.format) && (P(t.format.key) && (o.key = t.format.key), a = Object.keys(t.format).reduce((p, T) => n.includes(T) ? ae({}, p, { [T]: t.format[T] }) : p, {}));
    const l = s(t.value, o, a);
    let d = [o.key];
    ne(l) ? d = l.map((p, T) => {
      const D = r[p.type], C = D ? D({ [p.type]: p.value, index: T, parts: l }) : [p.value];
      return lc(C) && (C[0].key = `${p.type}-${T}`), C;
    }) : P(l) && (d = [l]);
    const f = ae({}, i), v = P(t.tag) || Y(t.tag) ? t.tag : Ji();
    return Oi(v, f, d);
  };
}
ae({
  value: {
    type: Number,
    required: !0
  },
  format: {
    type: [String, Object]
  }
}, js);
ae({
  value: {
    type: [Number, Date],
    required: !0
  },
  format: {
    type: [String, Object]
  }
}, js);
function xr(t, e) {
}
const cc = /* @__PURE__ */ at("global-vue-i18n");
function Xn(t = {}) {
  const e = Vs();
  if (e == null)
    throw dt(Z.MUST_BE_CALL_SETUP_TOP);
  if (!e.isCE && e.appContext.app != null && !e.appContext.app.__VUE_I18N_SYMBOL__)
    throw dt(Z.NOT_INSTALLED);
  const n = uc(e), s = dc(n), r = Qi(e), i = fc(t, r);
  if (__VUE_I18N_LEGACY_API__ && n.mode === "legacy" && !t.__useComponent) {
    if (!n.allowComposition)
      throw dt(Z.NOT_AVAILABLE_IN_LEGACY_MODE);
    return pc(e, i, s, t);
  }
  if (i === "global")
    return sc(s, t, r), s;
  if (i === "parent") {
    let l = _c(n, e, t.__useComponent);
    return l == null && (process.env.NODE_ENV !== "production" && pt(Ys(Se.NOT_FOUND_PARENT_SCOPE)), l = s), l;
  }
  const o = n;
  let a = o.__getInstance(e);
  if (a == null) {
    const l = ae({}, t);
    "__i18n" in r && (l.__i18n = r.__i18n), s && (l.__root = s), a = oc(l), o.__composerExtend && (a[Ds] = o.__composerExtend(a)), mc(o, e, a), o.__setInstance(e, a);
  }
  return a;
}
function uc(t) {
  {
    const e = ra(t.isCE ? cc : t.appContext.app.__VUE_I18N_SYMBOL__);
    if (!e)
      throw dt(t.isCE ? Z.NOT_INSTALLED_WITH_PROVIDE : Z.UNEXPECTED_ERROR);
    return e;
  }
}
function fc(t, e) {
  return Kn(t) ? "__i18n" in e ? "local" : "global" : t.useScope ? t.useScope : "local";
}
function dc(t) {
  return t.mode === "composition" ? t.global : t.global.__composer;
}
function _c(t, e, n = !1) {
  let s = null;
  const r = e.root;
  let i = hc(e, n);
  for (; i != null; ) {
    const o = t;
    if (t.mode === "composition")
      s = o.__getInstance(i);
    else if (__VUE_I18N_LEGACY_API__) {
      const a = o.__getInstance(i);
      a != null && (s = a.__composer, n && s && !s[qi] && (s = null));
    }
    if (s != null || r === i)
      break;
    i = i.parent;
  }
  return s;
}
function hc(t, e = !1) {
  return t == null ? null : e && t.vnode.ctx || t.parent;
}
function mc(t, e, n) {
  let s = null;
  ia(() => {
    if (process.env.NODE_ENV !== "production" && e.vnode.el) {
      e.vnode.el.__VUE_I18N__ = n, s = wa();
      const r = n;
      r[Is] && r[Is](s), s.on("*", xr);
    }
  }, e), oa(() => {
    const r = n;
    process.env.NODE_ENV !== "production" && e.vnode.el && e.vnode.el.__VUE_I18N__ && (s && s.off("*", xr), r[Ss] && r[Ss](), delete e.vnode.el.__VUE_I18N__), t.__deleteInstance(e);
    const i = r[Ds];
    i && (i(), delete r[Ds]);
  }, e);
}
function pc(t, e, n, s = {}) {
  const r = e === "local", i = Ci(null);
  if (r && t.proxy && !(t.proxy.$options.i18n || t.proxy.$options.__i18n))
    throw dt(Z.MUST_DEFINE_I18N_OPTION_IN_ALLOW_COMPOSITION);
  const o = q(s.inheritLocale) ? s.inheritLocale : !P(s.locale), a = we(
    // prettier-ignore
    !r || o ? n.locale.value : P(s.locale) ? s.locale : hn
  ), l = we(
    // prettier-ignore
    !r || o ? n.fallbackLocale.value : P(s.fallbackLocale) || ne(s.fallbackLocale) || H(s.fallbackLocale) || s.fallbackLocale === !1 ? s.fallbackLocale : a.value
  ), d = we(Ks(a.value, s)), f = we(H(s.datetimeFormats) ? s.datetimeFormats : { [a.value]: {} }), v = we(H(s.numberFormats) ? s.numberFormats : { [a.value]: {} }), p = r ? n.missingWarn : q(s.missingWarn) || jt(s.missingWarn) ? s.missingWarn : !0, T = r ? n.fallbackWarn : q(s.fallbackWarn) || jt(s.fallbackWarn) ? s.fallbackWarn : !0, D = r ? n.fallbackRoot : q(s.fallbackRoot) ? s.fallbackRoot : !0, C = !!s.fallbackFormat, L = Q(s.missing) ? s.missing : null, _ = Q(s.postTranslation) ? s.postTranslation : null, m = r ? n.warnHtmlMessage : q(s.warnHtmlMessage) ? s.warnHtmlMessage : !0, b = !!s.escapeParameter, h = r ? n.modifiers : H(s.modifiers) ? s.modifiers : {}, O = s.pluralRules || r && n.pluralRules;
  function N() {
    return [
      a.value,
      l.value,
      d.value,
      f.value,
      v.value
    ];
  }
  const S = Xe({
    get: () => i.value ? i.value.locale.value : a.value,
    set: (c) => {
      i.value && (i.value.locale.value = c), a.value = c;
    }
  }), y = Xe({
    get: () => i.value ? i.value.fallbackLocale.value : l.value,
    set: (c) => {
      i.value && (i.value.fallbackLocale.value = c), l.value = c;
    }
  }), k = Xe(() => i.value ? i.value.messages.value : d.value), U = Xe(() => f.value), j = Xe(() => v.value);
  function K() {
    return i.value ? i.value.getPostTranslationHandler() : _;
  }
  function G(c) {
    i.value && i.value.setPostTranslationHandler(c);
  }
  function me() {
    return i.value ? i.value.getMissingHandler() : L;
  }
  function Te(c) {
    i.value && i.value.setMissingHandler(c);
  }
  function J(c) {
    return N(), c();
  }
  function se(...c) {
    return i.value ? J(() => Reflect.apply(i.value.t, null, [...c])) : J(() => "");
  }
  function Be(...c) {
    return i.value ? Reflect.apply(i.value.rt, null, [...c]) : "";
  }
  function pe(...c) {
    return i.value ? J(() => Reflect.apply(i.value.d, null, [...c])) : J(() => "");
  }
  function Ye(...c) {
    return i.value ? J(() => Reflect.apply(i.value.n, null, [...c])) : J(() => "");
  }
  function le(c) {
    return i.value ? i.value.tm(c) : {};
  }
  function Le(c, g) {
    return i.value ? i.value.te(c, g) : !1;
  }
  function Ke(c) {
    return i.value ? i.value.getLocaleMessage(c) : {};
  }
  function Ne(c, g) {
    i.value && (i.value.setLocaleMessage(c, g), d.value[c] = g);
  }
  function ge(c, g) {
    i.value && i.value.mergeLocaleMessage(c, g);
  }
  function Fe(c) {
    return i.value ? i.value.getDateTimeFormat(c) : {};
  }
  function et(c, g) {
    i.value && (i.value.setDateTimeFormat(c, g), f.value[c] = g);
  }
  function ce(c, g) {
    i.value && i.value.mergeDateTimeFormat(c, g);
  }
  function Ve(c) {
    return i.value ? i.value.getNumberFormat(c) : {};
  }
  function je(c, g) {
    i.value && (i.value.setNumberFormat(c, g), v.value[c] = g);
  }
  function Ue(c, g) {
    i.value && i.value.mergeNumberFormat(c, g);
  }
  const Tt = {
    get id() {
      return i.value ? i.value.id : -1;
    },
    locale: S,
    fallbackLocale: y,
    messages: k,
    datetimeFormats: U,
    numberFormats: j,
    get inheritLocale() {
      return i.value ? i.value.inheritLocale : o;
    },
    set inheritLocale(c) {
      i.value && (i.value.inheritLocale = c);
    },
    get availableLocales() {
      return i.value ? i.value.availableLocales : Object.keys(d.value);
    },
    get modifiers() {
      return i.value ? i.value.modifiers : h;
    },
    get pluralRules() {
      return i.value ? i.value.pluralRules : O;
    },
    get isGlobal() {
      return i.value ? i.value.isGlobal : !1;
    },
    get missingWarn() {
      return i.value ? i.value.missingWarn : p;
    },
    set missingWarn(c) {
      i.value && (i.value.missingWarn = c);
    },
    get fallbackWarn() {
      return i.value ? i.value.fallbackWarn : T;
    },
    set fallbackWarn(c) {
      i.value && (i.value.missingWarn = c);
    },
    get fallbackRoot() {
      return i.value ? i.value.fallbackRoot : D;
    },
    set fallbackRoot(c) {
      i.value && (i.value.fallbackRoot = c);
    },
    get fallbackFormat() {
      return i.value ? i.value.fallbackFormat : C;
    },
    set fallbackFormat(c) {
      i.value && (i.value.fallbackFormat = c);
    },
    get warnHtmlMessage() {
      return i.value ? i.value.warnHtmlMessage : m;
    },
    set warnHtmlMessage(c) {
      i.value && (i.value.warnHtmlMessage = c);
    },
    get escapeParameter() {
      return i.value ? i.value.escapeParameter : b;
    },
    set escapeParameter(c) {
      i.value && (i.value.escapeParameter = c);
    },
    t: se,
    getPostTranslationHandler: K,
    setPostTranslationHandler: G,
    getMissingHandler: me,
    setMissingHandler: Te,
    rt: Be,
    d: pe,
    n: Ye,
    tm: le,
    te: Le,
    getLocaleMessage: Ke,
    setLocaleMessage: Ne,
    mergeLocaleMessage: ge,
    getDateTimeFormat: Fe,
    setDateTimeFormat: et,
    mergeDateTimeFormat: ce,
    getNumberFormat: Ve,
    setNumberFormat: je,
    mergeNumberFormat: Ue
  };
  function u(c) {
    c.locale.value = a.value, c.fallbackLocale.value = l.value, Object.keys(d.value).forEach((g) => {
      c.mergeLocaleMessage(g, d.value[g]);
    }), Object.keys(f.value).forEach((g) => {
      c.mergeDateTimeFormat(g, f.value[g]);
    }), Object.keys(v.value).forEach((g) => {
      c.mergeNumberFormat(g, v.value[g]);
    }), c.escapeParameter = b, c.fallbackFormat = C, c.fallbackRoot = D, c.fallbackWarn = T, c.missingWarn = p, c.warnHtmlMessage = m;
  }
  return aa(() => {
    if (t.proxy == null || t.proxy.$i18n == null)
      throw dt(Z.NOT_AVAILABLE_COMPOSITION_IN_LEGACY);
    const c = i.value = t.proxy.$i18n.__composer;
    e === "global" ? (a.value = c.locale.value, l.value = c.fallbackLocale.value, d.value = c.messages.value, f.value = c.datetimeFormats.value, v.value = c.numberFormats.value) : r && u(c);
  }), Tt;
}
Zl();
__INTLIFY_JIT_COMPILATION__ ? Cr(jl) : Cr(Kl);
Fl(gl);
Vl(Pi);
if (process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__) {
  const t = nt();
  t.__INTLIFY__ = !0, Cl(t.__INTLIFY_DEVTOOLS_GLOBAL_HOOK__);
}
process.env.NODE_ENV;
function En(t) {
  const { t: e } = Xn(), n = we(null);
  function s(a) {
    const l = t.value;
    l !== null && (a !== null ? l.setCustomValidity(a) : l.setCustomValidity(""), n.value = r(l));
  }
  function r(a) {
    if (a.validity.valueMissing)
      return e("validator.error.value_missing");
    if (a.validity.tooShort)
      return e("validator.error.too_short", [a.minLength]);
    if (a.validity.tooLong)
      return e("validator.error.too_long", [a.maxLength]);
    if (a.validity.rangeUnderflow)
      return e("validator.error.range_underflow", [a.min]);
    if (a.validity.rangeOverflow)
      return e("validator.error.range_overflow", [a.max]);
    if (a.validity.typeMismatch) {
      if (a.type === "email")
        return e("validator.error.type_mismatch.email");
      if (a.type === "url")
        return e("validator.error.type_mismatch.url");
    }
    if (a.validity.badInput) {
      if (a.type === "number")
        return e("validator.error.bad_input.number");
      if (a.type === "date")
        return e("validator.error.bad_input.date");
    }
    if (a.validity.patternMismatch)
      return e("validator.error.pattern_mismatch");
    if (a.validity.stepMismatch) {
      const l = Math.floor(Number(a.value) / Number(a.step)) * Number(a.step), d = Math.ceil(Number(a.value) / Number(a.step)) * Number(a.step);
      return e("validator.error.step_mismatch", [l, d]);
    }
    return a.validity.customError ? a.validationMessage : null;
  }
  function i(a) {
    a.target !== null && (n.value = r(a.target));
  }
  function o() {
    return n.value;
  }
  return {
    onInvalid: i,
    getInvalidMessage: o,
    setCustomError: s
  };
}
const gc = he({
  name: "BsInput",
  props: {
    /**
     * Value for v-model
     */
    modelValue: {
      type: [String, Number],
      default: null
    },
    /**
     * Html id
     */
    id: {
      type: String,
      required: !0
    },
    /**
     * Label for input
     */
    label: {
      type: String,
      default: void 0
    },
    /**
     * Attribute hint
     */
    hint: {
      type: String,
      default: void 0
    },
    /**
     * Enable or disable validator
     */
    validatorEnabled: {
      type: Boolean,
      default: !0
    }
  },
  emits: ["update:modelValue"],
  setup() {
    const t = we(null);
    return {
      inputRef: t,
      validator: En(t)
    };
  },
  methods: {
    /**
     * Hint id is generated
     */
    getHintId() {
      return this.id + "Hint";
    },
    /**
     * On input event
     *
     * @param event
     */
    onInput(t) {
      const e = t.target;
      this.$emit("update:modelValue", e.value);
    },
    /**
     * On invalid event
     *
     * @param event
     */
    onInvalid(t) {
      this.validatorEnabled && this.validator.onInvalid(t);
    }
  }
}), Ec = ["for", "textContent"], vc = ["id", "value", "aria-describedby"], bc = ["textContent"], Tc = ["id", "textContent"];
function Nc(t, e, n, s, r, i) {
  return F(), V(We, null, [
    t.label !== void 0 ? (F(), V("label", {
      key: 0,
      for: t.id,
      class: "form-label",
      textContent: X(t.label)
    }, null, 8, Ec)) : te("", !0),
    B("input", gn({
      id: t.id,
      ref: "inputRef",
      value: t.modelValue,
      class: "form-control"
    }, t.$attrs, {
      "aria-describedby": t.hint !== void 0 ? t.getHintId() : null,
      onInput: e[0] || (e[0] = (...o) => t.onInput && t.onInput(...o)),
      onInvalid: e[1] || (e[1] = (...o) => t.onInvalid && t.onInvalid(...o))
    }), null, 16, vc),
    t.validatorEnabled && t.validator.getInvalidMessage() !== null ? (F(), V("div", {
      key: 1,
      class: "invalid-feedback",
      textContent: X(t.validator.getInvalidMessage())
    }, null, 8, bc)) : te("", !0),
    t.hint !== void 0 ? (F(), V("div", {
      key: 2,
      id: t.getHintId(),
      class: "form-text",
      textContent: X(t.hint)
    }, null, 8, Tc)) : te("", !0)
  ], 64);
}
const Fm = /* @__PURE__ */ Re(gc, [["render", Nc]]), Ac = he({
  name: "BsCheckbox",
  props: {
    /**
     * Value for checkbox if v-model is array.
     */
    value: {
      type: String,
      default: null
    },
    /**
     * Value for v-model
     */
    modelValue: {
      type: [Array, Boolean],
      default: null
    },
    /**
     * Html id
     */
    id: {
      type: String,
      required: !0
    },
    /**
     * Label for input
     */
    label: {
      type: String,
      default: void 0
    },
    /**
     * Attribute hint
     */
    hint: {
      type: String,
      default: void 0
    },
    /**
     * Input container div class.
     */
    classContainer: {
      type: String,
      default: void 0
    },
    /**
     * Enable or disable validator
     */
    validatorEnabled: {
      type: Boolean,
      default: !0
    }
  },
  emits: ["update:modelValue"],
  setup() {
    const t = we(null);
    return {
      inputRef: t,
      validator: En(t)
    };
  },
  computed: {
    /**
     * Checkbox is checked or not.
     */
    isChecked() {
      return this.modelValue instanceof Array ? this.modelValue.includes(this.value) : this.modelValue === !0;
    }
  },
  methods: {
    /**
     * Hint id is generated
     */
    getHintId() {
      return this.id + "Hint";
    },
    /**
     * On input event
     *
     * @param event
     */
    onInput(t) {
      const n = t.target.checked;
      if (this.modelValue instanceof Array) {
        const s = [...this.modelValue];
        n ? s.push(this.value) : s.splice(s.indexOf(this.value), 1), this.$emit("update:modelValue", s);
      } else
        this.$emit("update:modelValue", n);
    },
    /**
     * On invalid event
     *
     * @param event
     */
    onInvalid(t) {
      this.validatorEnabled && this.validator.onInvalid(t);
    }
  }
}), yc = ["id", "value", "checked", "aria-describedby"], Oc = ["for", "textContent"], Cc = ["textContent"], Lc = ["id", "textContent"];
function Ic(t, e, n, s, r, i) {
  return F(), V("div", {
    class: ve(["form-check", t.classContainer])
  }, [
    B("input", gn({
      id: t.id,
      ref: "inputRef",
      value: t.modelValue
    }, t.$attrs, {
      type: "checkbox",
      class: "form-check-input",
      checked: t.isChecked,
      "aria-describedby": t.hint !== void 0 ? t.getHintId() : null,
      onInput: e[0] || (e[0] = (...o) => t.onInput && t.onInput(...o)),
      onInvalid: e[1] || (e[1] = (...o) => t.onInvalid && t.onInvalid(...o))
    }), null, 16, yc),
    t.label !== void 0 ? (F(), V("label", {
      key: 0,
      for: t.id,
      class: "form-check-label",
      textContent: X(t.label)
    }, null, 8, Oc)) : te("", !0),
    t.validatorEnabled && t.validator.getInvalidMessage() !== null ? (F(), V("div", {
      key: 1,
      class: "invalid-feedback",
      textContent: X(t.validator.getInvalidMessage())
    }, null, 8, Cc)) : te("", !0),
    t.hint !== void 0 ? (F(), V("div", {
      key: 2,
      id: t.getHintId(),
      class: "form-text",
      textContent: X(t.hint)
    }, null, 8, Lc)) : te("", !0)
  ], 2);
}
const Vm = /* @__PURE__ */ Re(Ac, [["render", Ic]]), Sc = he({
  name: "BsTextarea",
  props: {
    /**
     * Value for v-model
     */
    modelValue: {
      type: [String, Number],
      default: null
    },
    /**
     * Html id
     */
    id: {
      type: String,
      required: !0
    },
    /**
     * Label for textarea
     */
    label: {
      type: String,
      default: void 0
    },
    /**
     * Attribute hint
     */
    hint: {
      type: String,
      default: void 0
    },
    /**
     * Enable or disable validator
     */
    validatorEnabled: {
      type: Boolean,
      default: !0
    }
  },
  emits: ["update:modelValue"],
  setup() {
    const t = we(null);
    return {
      inputRef: t,
      validator: En(t)
    };
  },
  methods: {
    /**
     * Hint id is generated
     */
    getHintId() {
      return this.id + "Hint";
    },
    /**
     * On input event
     *
     * @param event
     */
    onInput(t) {
      const e = t.target;
      this.$emit("update:modelValue", e.value);
    },
    /**
     * On invalid event
     *
     * @param event
     */
    onInvalid(t) {
      this.validatorEnabled && this.validator.onInvalid(t);
    }
  }
}), Dc = ["for", "textContent"], wc = ["id", "value", "aria-describedby"], Pc = ["textContent"], $c = ["id", "textContent"];
function kc(t, e, n, s, r, i) {
  return F(), V(We, null, [
    t.label !== void 0 ? (F(), V("label", {
      key: 0,
      for: t.id,
      class: "form-label",
      textContent: X(t.label)
    }, null, 8, Dc)) : te("", !0),
    B("textarea", gn({
      id: t.id,
      ref: "inputRef",
      value: t.modelValue
    }, t.$attrs, {
      class: "form-control",
      "aria-describedby": t.hint !== void 0 ? t.getHintId() : null,
      onInput: e[0] || (e[0] = (...o) => t.onInput && t.onInput(...o)),
      onInvalid: e[1] || (e[1] = (...o) => t.onInvalid && t.onInvalid(...o))
    }), null, 16, wc),
    t.validatorEnabled && t.validator.getInvalidMessage() !== null ? (F(), V("div", {
      key: 1,
      class: "invalid-feedback",
      textContent: X(t.validator.getInvalidMessage())
    }, null, 8, Pc)) : te("", !0),
    t.hint !== void 0 ? (F(), V("div", {
      key: 2,
      id: t.getHintId(),
      class: "form-text",
      textContent: X(t.hint)
    }, null, 8, $c)) : te("", !0)
  ], 64);
}
const Um = /* @__PURE__ */ Re(Sc, [["render", kc]]), Rc = he({
  name: "BsPaginator",
  props: {
    /**
     * Total count of items.
     */
    totalCount: {
      type: Number,
      required: !0
    },
    /**
     * Page size
     */
    pageSize: {
      type: Number,
      required: !0
    },
    /**
     * Current page
     */
    currentPage: {
      type: Number,
      required: !0
    },
    /**
     * Max visible page
     */
    maxVisiblePage: {
      type: Number,
      default: 5
    },
    /**
     * First page label
     */
    firstPageLabel: {
      type: String,
      default: "«"
    },
    /**
     * Previous page label
     */
    previousPageLabel: {
      type: String,
      default: "‹"
    },
    /**
     * Next page label
     */
    nextPageLabel: {
      type: String,
      default: "›"
    },
    /**
     * Last page label
     */
    lastPageLabel: {
      type: String,
      default: "»"
    }
  },
  emits: ["pageChanged"],
  methods: {
    /**
     * Count of pages
     *
     * @returns {number}
     */
    getPageCount() {
      return Math.ceil(this.totalCount / this.pageSize);
    },
    /**
     * Visible page list
     *
     * @returns {*[]}
     */
    getVisiblePages() {
      const t = [], e = this.getPageRange();
      for (let n = e.beginPage; n <= e.endPage; n += 1)
        t.push(n + 1);
      return t;
    },
    /**
     * Is page active, or not
     *
     * @param page
     * @returns {boolean}
     */
    isPageActive(t) {
      return t === this.currentPage;
    },
    /**
     * On page click
     */
    onPageClick(t) {
      this.isPageActive(t) || this.$emit("pageChanged", t);
    },
    /**
     * Page range, example: 3 available page, current page 3, range is: [1, 3] (zero-based)
     *
     * @returns {{beginPage: number, endPage: number}}
     */
    getPageRange() {
      let t = Math.max(0, this.currentPage - this.maxVisiblePage / 2), e = t + this.maxVisiblePage - 1;
      return e >= this.getPageCount() && (e = this.getPageCount() - 1, t = Math.max(0, e - this.maxVisiblePage + 1)), {
        beginPage: Math.floor(t),
        endPage: Math.floor(e)
      };
    }
  }
}), Mc = { class: "pagination" }, Fc = ["textContent"], Vc = ["textContent"], Uc = ["onClick", "textContent"], Hc = ["textContent"], Wc = ["textContent"];
function xc(t, e, n, s, r, i) {
  return F(), V("nav", null, [
    B("ul", Mc, [
      B("li", {
        class: ve(["page-item page-item-first", { disabled: t.isPageActive(1) }])
      }, [
        B("div", {
          class: "page-link",
          onClick: e[0] || (e[0] = (o) => t.onPageClick(1)),
          textContent: X(t.firstPageLabel)
        }, null, 8, Fc)
      ], 2),
      B("li", {
        class: ve(["page-item page-item-previous", { disabled: t.isPageActive(1) }])
      }, [
        B("div", {
          class: "page-link",
          onClick: e[1] || (e[1] = (o) => t.onPageClick(t.currentPage - 1)),
          textContent: X(t.previousPageLabel)
        }, null, 8, Vc)
      ], 2),
      (F(!0), V(We, null, Kt(t.getVisiblePages(), (o, a) => (F(), V("li", {
        key: a,
        class: ve(["page-item page-item-number", {
          active: t.isPageActive(o)
        }])
      }, [
        B("div", {
          class: "page-link",
          onClick: (l) => t.onPageClick(o),
          textContent: X(o)
        }, null, 8, Uc)
      ], 2))), 128)),
      B("li", {
        class: ve(["page-item page-item-next", { disabled: t.isPageActive(t.getPageCount()) }])
      }, [
        B("div", {
          class: "page-link",
          onClick: e[2] || (e[2] = (o) => t.onPageClick(t.currentPage + 1)),
          textContent: X(t.nextPageLabel)
        }, null, 8, Hc)
      ], 2),
      B("li", {
        class: ve(["page-item page-item-last", { disabled: t.isPageActive(t.getPageCount()) }])
      }, [
        B("div", {
          class: "page-link",
          onClick: e[3] || (e[3] = (o) => t.onPageClick(t.getPageCount())),
          textContent: X(t.lastPageLabel)
        }, null, 8, Wc)
      ], 2)
    ])
  ]);
}
const Hm = /* @__PURE__ */ Re(Rc, [["render", xc], ["__scopeId", "data-v-ff85ae67"]]), Bc = he({
  name: "BsTable",
  props: {
    /**
     * Field list
     */
    fields: {
      type: Array,
      required: !0
    },
    /**
     * Item list
     */
    items: {
      type: Array,
      required: !0
    },
    /**
     * Items is loading
     */
    isLoading: {
      type: Boolean,
      default: !1
    },
    /**
     * Order by field name
     */
    orderBy: {
      type: String,
      default: void 0
    },
    /**
     * Sort is descending or ascending
     */
    sortDesc: {
      type: Boolean,
      default: void 0
    },
    /**
     * th element css lass
     */
    thClass: {
      type: String,
      default: void 0
    },
    /**
     * td element css class
     */
    tdClass: {
      type: String,
      default: void 0
    }
  },
  emits: ["orderChanged"],
  methods: {
    /**
     * Is order by active by field?
     *
     * @param field
     * @returns {boolean}
     */
    isActiveOrderBy(t) {
      return t === this.orderBy;
    },
    /**
     * Is field sortable?
     *
     * @param field
     * @returns {boolean}
     */
    isSortableField(t) {
      return t.sort === void 0 || t.sort;
    },
    /**
     * Sort icon class.
     *
     * @returns {string}
     */
    getSortIconClass() {
      if (this.sortDesc === void 0)
        throw new Error("Sort desc value is null, cannot calculate the sort icon!");
      return this.sortDesc ? "bi bi-caret-up-fill" : "bi bi-caret-down-fill";
    },
    /**
     * Calcuate sort desc value on click
     * Returns null if there is no sortDesc value.
     */
    calcSortDesc(t) {
      return this.sortDesc === void 0 ? null : this.isOrderByChanged(t) ? !1 : !this.sortDesc;
    },
    /**
     * Is order by changed?
     */
    isOrderByChanged(t) {
      return this.orderBy !== t;
    },
    /**
     * Table head clicked.
     */
    onHeadClick(t) {
      this.isSortableField(t) && this.$emit("orderChanged", { sortDesc: this.calcSortDesc(t.key), orderBy: t.key });
    }
  }
}), Yc = (t) => (da("data-v-e8d4b4dc"), t = t(), _a(), t), Kc = { class: "table" }, jc = ["onClick"], Gc = { key: 0 }, Xc = ["colspan"], qc = /* @__PURE__ */ Yc(() => /* @__PURE__ */ B("div", { class: "d-flex justify-content-center p-2" }, [
  /* @__PURE__ */ B("div", { class: "spinner-border spinner-border-sm" })
], -1)), Qc = { key: 1 }, Jc = ["colspan"], zc = { class: "text-center text-muted small" };
function Zc(t, e, n, s, r, i) {
  const o = ua("t");
  return F(), V("table", Kc, [
    B("thead", null, [
      B("tr", null, [
        (F(!0), V(We, null, Kt(t.fields, (a) => (F(), V("th", {
          key: a.key,
          class: ve({
            "cursor-pointer": t.isSortableField(a),
            "text-decoration-underline": t.isActiveOrderBy(a.key),
            thClass: t.thClass
          }),
          onClick: (l) => t.onHeadClick(a)
        }, [
          He(t.$slots, "tr", {}, () => [
            vs(X(a.label) + " ", 1),
            t.isActiveOrderBy(a.key) && t.sortDesc !== void 0 ? (F(), V("i", {
              key: 0,
              class: ve(t.getSortIconClass())
            }, null, 2)) : te("", !0)
          ], !0)
        ], 10, jc))), 128))
      ])
    ]),
    B("tbody", null, [
      t.isLoading ? (F(), V("tr", Gc, [
        B("td", {
          colspan: t.fields.length
        }, [
          He(t.$slots, "loading", {}, () => [
            qc
          ], !0)
        ], 8, Xc)
      ])) : t.items.length === 0 ? (F(), V("tr", Qc, [
        B("td", {
          colspan: t.fields.length
        }, [
          He(t.$slots, "empty", {}, () => [
            fa(B("div", zc, null, 512), [
              [o, "table.empty_text"]
            ])
          ], !0)
        ], 8, Jc)
      ])) : (F(!0), V(We, { key: 2 }, Kt(t.items, (a, l) => (F(), V("tr", {
        key: l,
        class: ve(a.trClass)
      }, [
        (F(!0), V(We, null, Kt(t.fields, (d) => (F(), V("td", {
          key: d.key,
          class: ve(t.tdClass)
        }, [
          He(t.$slots, "td", {
            key: l,
            field: d.key,
            row: a,
            value: d.key in a ? a[d.key] : null
          }, () => [
            vs(X(a[d.key]), 1)
          ], !0)
        ], 2))), 128))
      ], 2))), 128))
    ])
  ]);
}
const Wm = /* @__PURE__ */ Re(Bc, [["render", Zc], ["__scopeId", "data-v-e8d4b4dc"]]);
var de = "top", ye = "bottom", Oe = "right", _e = "left", qn = "auto", nn = [de, ye, Oe, _e], wt = "start", Xt = "end", Zi = "clippingParents", Gs = "viewport", Ht = "popper", eo = "reference", ws = /* @__PURE__ */ nn.reduce(function(t, e) {
  return t.concat([e + "-" + wt, e + "-" + Xt]);
}, []), Xs = /* @__PURE__ */ [].concat(nn, [qn]).reduce(function(t, e) {
  return t.concat([e, e + "-" + wt, e + "-" + Xt]);
}, []), to = "beforeRead", no = "read", so = "afterRead", ro = "beforeMain", io = "main", oo = "afterMain", ao = "beforeWrite", lo = "write", co = "afterWrite", uo = [to, no, so, ro, io, oo, ao, lo, co];
function ze(t) {
  return t ? (t.nodeName || "").toLowerCase() : null;
}
function Ce(t) {
  if (t == null)
    return window;
  if (t.toString() !== "[object Window]") {
    var e = t.ownerDocument;
    return e && e.defaultView || window;
  }
  return t;
}
function Pt(t) {
  var e = Ce(t).Element;
  return t instanceof e || t instanceof Element;
}
function Pe(t) {
  var e = Ce(t).HTMLElement;
  return t instanceof e || t instanceof HTMLElement;
}
function qs(t) {
  if (typeof ShadowRoot > "u")
    return !1;
  var e = Ce(t).ShadowRoot;
  return t instanceof e || t instanceof ShadowRoot;
}
function eu(t) {
  var e = t.state;
  Object.keys(e.elements).forEach(function(n) {
    var s = e.styles[n] || {}, r = e.attributes[n] || {}, i = e.elements[n];
    !Pe(i) || !ze(i) || (Object.assign(i.style, s), Object.keys(r).forEach(function(o) {
      var a = r[o];
      a === !1 ? i.removeAttribute(o) : i.setAttribute(o, a === !0 ? "" : a);
    }));
  });
}
function tu(t) {
  var e = t.state, n = {
    popper: {
      position: e.options.strategy,
      left: "0",
      top: "0",
      margin: "0"
    },
    arrow: {
      position: "absolute"
    },
    reference: {}
  };
  return Object.assign(e.elements.popper.style, n.popper), e.styles = n, e.elements.arrow && Object.assign(e.elements.arrow.style, n.arrow), function() {
    Object.keys(e.elements).forEach(function(s) {
      var r = e.elements[s], i = e.attributes[s] || {}, o = Object.keys(e.styles.hasOwnProperty(s) ? e.styles[s] : n[s]), a = o.reduce(function(l, d) {
        return l[d] = "", l;
      }, {});
      !Pe(r) || !ze(r) || (Object.assign(r.style, a), Object.keys(i).forEach(function(l) {
        r.removeAttribute(l);
      }));
    });
  };
}
const Qs = {
  name: "applyStyles",
  enabled: !0,
  phase: "write",
  fn: eu,
  effect: tu,
  requires: ["computeStyles"]
};
function Qe(t) {
  return t.split("-")[0];
}
var Lt = Math.max, Wn = Math.min, qt = Math.round;
function Ps() {
  var t = navigator.userAgentData;
  return t != null && t.brands && Array.isArray(t.brands) ? t.brands.map(function(e) {
    return e.brand + "/" + e.version;
  }).join(" ") : navigator.userAgent;
}
function fo() {
  return !/^((?!chrome|android).)*safari/i.test(Ps());
}
function Qt(t, e, n) {
  e === void 0 && (e = !1), n === void 0 && (n = !1);
  var s = t.getBoundingClientRect(), r = 1, i = 1;
  e && Pe(t) && (r = t.offsetWidth > 0 && qt(s.width) / t.offsetWidth || 1, i = t.offsetHeight > 0 && qt(s.height) / t.offsetHeight || 1);
  var o = Pt(t) ? Ce(t) : window, a = o.visualViewport, l = !fo() && n, d = (s.left + (l && a ? a.offsetLeft : 0)) / r, f = (s.top + (l && a ? a.offsetTop : 0)) / i, v = s.width / r, p = s.height / i;
  return {
    width: v,
    height: p,
    top: f,
    right: d + v,
    bottom: f + p,
    left: d,
    x: d,
    y: f
  };
}
function Js(t) {
  var e = Qt(t), n = t.offsetWidth, s = t.offsetHeight;
  return Math.abs(e.width - n) <= 1 && (n = e.width), Math.abs(e.height - s) <= 1 && (s = e.height), {
    x: t.offsetLeft,
    y: t.offsetTop,
    width: n,
    height: s
  };
}
function _o(t, e) {
  var n = e.getRootNode && e.getRootNode();
  if (t.contains(e))
    return !0;
  if (n && qs(n)) {
    var s = e;
    do {
      if (s && t.isSameNode(s))
        return !0;
      s = s.parentNode || s.host;
    } while (s);
  }
  return !1;
}
function ot(t) {
  return Ce(t).getComputedStyle(t);
}
function nu(t) {
  return ["table", "td", "th"].indexOf(ze(t)) >= 0;
}
function Et(t) {
  return ((Pt(t) ? t.ownerDocument : (
    // $FlowFixMe[prop-missing]
    t.document
  )) || window.document).documentElement;
}
function Qn(t) {
  return ze(t) === "html" ? t : (
    // this is a quicker (but less type safe) way to save quite some bytes from the bundle
    // $FlowFixMe[incompatible-return]
    // $FlowFixMe[prop-missing]
    t.assignedSlot || // step into the shadow DOM of the parent of a slotted node
    t.parentNode || // DOM Element detected
    (qs(t) ? t.host : null) || // ShadowRoot detected
    // $FlowFixMe[incompatible-call]: HTMLElement is a Node
    Et(t)
  );
}
function Br(t) {
  return !Pe(t) || // https://github.com/popperjs/popper-core/issues/837
  ot(t).position === "fixed" ? null : t.offsetParent;
}
function su(t) {
  var e = /firefox/i.test(Ps()), n = /Trident/i.test(Ps());
  if (n && Pe(t)) {
    var s = ot(t);
    if (s.position === "fixed")
      return null;
  }
  var r = Qn(t);
  for (qs(r) && (r = r.host); Pe(r) && ["html", "body"].indexOf(ze(r)) < 0; ) {
    var i = ot(r);
    if (i.transform !== "none" || i.perspective !== "none" || i.contain === "paint" || ["transform", "perspective"].indexOf(i.willChange) !== -1 || e && i.willChange === "filter" || e && i.filter && i.filter !== "none")
      return r;
    r = r.parentNode;
  }
  return null;
}
function vn(t) {
  for (var e = Ce(t), n = Br(t); n && nu(n) && ot(n).position === "static"; )
    n = Br(n);
  return n && (ze(n) === "html" || ze(n) === "body" && ot(n).position === "static") ? e : n || su(t) || e;
}
function zs(t) {
  return ["top", "bottom"].indexOf(t) >= 0 ? "x" : "y";
}
function fn(t, e, n) {
  return Lt(t, Wn(e, n));
}
function ru(t, e, n) {
  var s = fn(t, e, n);
  return s > n ? n : s;
}
function ho() {
  return {
    top: 0,
    right: 0,
    bottom: 0,
    left: 0
  };
}
function mo(t) {
  return Object.assign({}, ho(), t);
}
function po(t, e) {
  return e.reduce(function(n, s) {
    return n[s] = t, n;
  }, {});
}
var iu = function(e, n) {
  return e = typeof e == "function" ? e(Object.assign({}, n.rects, {
    placement: n.placement
  })) : e, mo(typeof e != "number" ? e : po(e, nn));
};
function ou(t) {
  var e, n = t.state, s = t.name, r = t.options, i = n.elements.arrow, o = n.modifiersData.popperOffsets, a = Qe(n.placement), l = zs(a), d = [_e, Oe].indexOf(a) >= 0, f = d ? "height" : "width";
  if (!(!i || !o)) {
    var v = iu(r.padding, n), p = Js(i), T = l === "y" ? de : _e, D = l === "y" ? ye : Oe, C = n.rects.reference[f] + n.rects.reference[l] - o[l] - n.rects.popper[f], L = o[l] - n.rects.reference[l], _ = vn(i), m = _ ? l === "y" ? _.clientHeight || 0 : _.clientWidth || 0 : 0, b = C / 2 - L / 2, h = v[T], O = m - p[f] - v[D], N = m / 2 - p[f] / 2 + b, S = fn(h, N, O), y = l;
    n.modifiersData[s] = (e = {}, e[y] = S, e.centerOffset = S - N, e);
  }
}
function au(t) {
  var e = t.state, n = t.options, s = n.element, r = s === void 0 ? "[data-popper-arrow]" : s;
  r != null && (typeof r == "string" && (r = e.elements.popper.querySelector(r), !r) || _o(e.elements.popper, r) && (e.elements.arrow = r));
}
const go = {
  name: "arrow",
  enabled: !0,
  phase: "main",
  fn: ou,
  effect: au,
  requires: ["popperOffsets"],
  requiresIfExists: ["preventOverflow"]
};
function Jt(t) {
  return t.split("-")[1];
}
var lu = {
  top: "auto",
  right: "auto",
  bottom: "auto",
  left: "auto"
};
function cu(t, e) {
  var n = t.x, s = t.y, r = e.devicePixelRatio || 1;
  return {
    x: qt(n * r) / r || 0,
    y: qt(s * r) / r || 0
  };
}
function Yr(t) {
  var e, n = t.popper, s = t.popperRect, r = t.placement, i = t.variation, o = t.offsets, a = t.position, l = t.gpuAcceleration, d = t.adaptive, f = t.roundOffsets, v = t.isFixed, p = o.x, T = p === void 0 ? 0 : p, D = o.y, C = D === void 0 ? 0 : D, L = typeof f == "function" ? f({
    x: T,
    y: C
  }) : {
    x: T,
    y: C
  };
  T = L.x, C = L.y;
  var _ = o.hasOwnProperty("x"), m = o.hasOwnProperty("y"), b = _e, h = de, O = window;
  if (d) {
    var N = vn(n), S = "clientHeight", y = "clientWidth";
    if (N === Ce(n) && (N = Et(n), ot(N).position !== "static" && a === "absolute" && (S = "scrollHeight", y = "scrollWidth")), N = N, r === de || (r === _e || r === Oe) && i === Xt) {
      h = ye;
      var k = v && N === O && O.visualViewport ? O.visualViewport.height : (
        // $FlowFixMe[prop-missing]
        N[S]
      );
      C -= k - s.height, C *= l ? 1 : -1;
    }
    if (r === _e || (r === de || r === ye) && i === Xt) {
      b = Oe;
      var U = v && N === O && O.visualViewport ? O.visualViewport.width : (
        // $FlowFixMe[prop-missing]
        N[y]
      );
      T -= U - s.width, T *= l ? 1 : -1;
    }
  }
  var j = Object.assign({
    position: a
  }, d && lu), K = f === !0 ? cu({
    x: T,
    y: C
  }, Ce(n)) : {
    x: T,
    y: C
  };
  if (T = K.x, C = K.y, l) {
    var G;
    return Object.assign({}, j, (G = {}, G[h] = m ? "0" : "", G[b] = _ ? "0" : "", G.transform = (O.devicePixelRatio || 1) <= 1 ? "translate(" + T + "px, " + C + "px)" : "translate3d(" + T + "px, " + C + "px, 0)", G));
  }
  return Object.assign({}, j, (e = {}, e[h] = m ? C + "px" : "", e[b] = _ ? T + "px" : "", e.transform = "", e));
}
function uu(t) {
  var e = t.state, n = t.options, s = n.gpuAcceleration, r = s === void 0 ? !0 : s, i = n.adaptive, o = i === void 0 ? !0 : i, a = n.roundOffsets, l = a === void 0 ? !0 : a, d = {
    placement: Qe(e.placement),
    variation: Jt(e.placement),
    popper: e.elements.popper,
    popperRect: e.rects.popper,
    gpuAcceleration: r,
    isFixed: e.options.strategy === "fixed"
  };
  e.modifiersData.popperOffsets != null && (e.styles.popper = Object.assign({}, e.styles.popper, Yr(Object.assign({}, d, {
    offsets: e.modifiersData.popperOffsets,
    position: e.options.strategy,
    adaptive: o,
    roundOffsets: l
  })))), e.modifiersData.arrow != null && (e.styles.arrow = Object.assign({}, e.styles.arrow, Yr(Object.assign({}, d, {
    offsets: e.modifiersData.arrow,
    position: "absolute",
    adaptive: !1,
    roundOffsets: l
  })))), e.attributes.popper = Object.assign({}, e.attributes.popper, {
    "data-popper-placement": e.placement
  });
}
const Zs = {
  name: "computeStyles",
  enabled: !0,
  phase: "beforeWrite",
  fn: uu,
  data: {}
};
var In = {
  passive: !0
};
function fu(t) {
  var e = t.state, n = t.instance, s = t.options, r = s.scroll, i = r === void 0 ? !0 : r, o = s.resize, a = o === void 0 ? !0 : o, l = Ce(e.elements.popper), d = [].concat(e.scrollParents.reference, e.scrollParents.popper);
  return i && d.forEach(function(f) {
    f.addEventListener("scroll", n.update, In);
  }), a && l.addEventListener("resize", n.update, In), function() {
    i && d.forEach(function(f) {
      f.removeEventListener("scroll", n.update, In);
    }), a && l.removeEventListener("resize", n.update, In);
  };
}
const er = {
  name: "eventListeners",
  enabled: !0,
  phase: "write",
  fn: function() {
  },
  effect: fu,
  data: {}
};
var du = {
  left: "right",
  right: "left",
  bottom: "top",
  top: "bottom"
};
function Mn(t) {
  return t.replace(/left|right|bottom|top/g, function(e) {
    return du[e];
  });
}
var _u = {
  start: "end",
  end: "start"
};
function Kr(t) {
  return t.replace(/start|end/g, function(e) {
    return _u[e];
  });
}
function tr(t) {
  var e = Ce(t), n = e.pageXOffset, s = e.pageYOffset;
  return {
    scrollLeft: n,
    scrollTop: s
  };
}
function nr(t) {
  return Qt(Et(t)).left + tr(t).scrollLeft;
}
function hu(t, e) {
  var n = Ce(t), s = Et(t), r = n.visualViewport, i = s.clientWidth, o = s.clientHeight, a = 0, l = 0;
  if (r) {
    i = r.width, o = r.height;
    var d = fo();
    (d || !d && e === "fixed") && (a = r.offsetLeft, l = r.offsetTop);
  }
  return {
    width: i,
    height: o,
    x: a + nr(t),
    y: l
  };
}
function mu(t) {
  var e, n = Et(t), s = tr(t), r = (e = t.ownerDocument) == null ? void 0 : e.body, i = Lt(n.scrollWidth, n.clientWidth, r ? r.scrollWidth : 0, r ? r.clientWidth : 0), o = Lt(n.scrollHeight, n.clientHeight, r ? r.scrollHeight : 0, r ? r.clientHeight : 0), a = -s.scrollLeft + nr(t), l = -s.scrollTop;
  return ot(r || n).direction === "rtl" && (a += Lt(n.clientWidth, r ? r.clientWidth : 0) - i), {
    width: i,
    height: o,
    x: a,
    y: l
  };
}
function sr(t) {
  var e = ot(t), n = e.overflow, s = e.overflowX, r = e.overflowY;
  return /auto|scroll|overlay|hidden/.test(n + r + s);
}
function Eo(t) {
  return ["html", "body", "#document"].indexOf(ze(t)) >= 0 ? t.ownerDocument.body : Pe(t) && sr(t) ? t : Eo(Qn(t));
}
function dn(t, e) {
  var n;
  e === void 0 && (e = []);
  var s = Eo(t), r = s === ((n = t.ownerDocument) == null ? void 0 : n.body), i = Ce(s), o = r ? [i].concat(i.visualViewport || [], sr(s) ? s : []) : s, a = e.concat(o);
  return r ? a : (
    // $FlowFixMe[incompatible-call]: isBody tells us target will be an HTMLElement here
    a.concat(dn(Qn(o)))
  );
}
function $s(t) {
  return Object.assign({}, t, {
    left: t.x,
    top: t.y,
    right: t.x + t.width,
    bottom: t.y + t.height
  });
}
function pu(t, e) {
  var n = Qt(t, !1, e === "fixed");
  return n.top = n.top + t.clientTop, n.left = n.left + t.clientLeft, n.bottom = n.top + t.clientHeight, n.right = n.left + t.clientWidth, n.width = t.clientWidth, n.height = t.clientHeight, n.x = n.left, n.y = n.top, n;
}
function jr(t, e, n) {
  return e === Gs ? $s(hu(t, n)) : Pt(e) ? pu(e, n) : $s(mu(Et(t)));
}
function gu(t) {
  var e = dn(Qn(t)), n = ["absolute", "fixed"].indexOf(ot(t).position) >= 0, s = n && Pe(t) ? vn(t) : t;
  return Pt(s) ? e.filter(function(r) {
    return Pt(r) && _o(r, s) && ze(r) !== "body";
  }) : [];
}
function Eu(t, e, n, s) {
  var r = e === "clippingParents" ? gu(t) : [].concat(e), i = [].concat(r, [n]), o = i[0], a = i.reduce(function(l, d) {
    var f = jr(t, d, s);
    return l.top = Lt(f.top, l.top), l.right = Wn(f.right, l.right), l.bottom = Wn(f.bottom, l.bottom), l.left = Lt(f.left, l.left), l;
  }, jr(t, o, s));
  return a.width = a.right - a.left, a.height = a.bottom - a.top, a.x = a.left, a.y = a.top, a;
}
function vo(t) {
  var e = t.reference, n = t.element, s = t.placement, r = s ? Qe(s) : null, i = s ? Jt(s) : null, o = e.x + e.width / 2 - n.width / 2, a = e.y + e.height / 2 - n.height / 2, l;
  switch (r) {
    case de:
      l = {
        x: o,
        y: e.y - n.height
      };
      break;
    case ye:
      l = {
        x: o,
        y: e.y + e.height
      };
      break;
    case Oe:
      l = {
        x: e.x + e.width,
        y: a
      };
      break;
    case _e:
      l = {
        x: e.x - n.width,
        y: a
      };
      break;
    default:
      l = {
        x: e.x,
        y: e.y
      };
  }
  var d = r ? zs(r) : null;
  if (d != null) {
    var f = d === "y" ? "height" : "width";
    switch (i) {
      case wt:
        l[d] = l[d] - (e[f] / 2 - n[f] / 2);
        break;
      case Xt:
        l[d] = l[d] + (e[f] / 2 - n[f] / 2);
        break;
    }
  }
  return l;
}
function zt(t, e) {
  e === void 0 && (e = {});
  var n = e, s = n.placement, r = s === void 0 ? t.placement : s, i = n.strategy, o = i === void 0 ? t.strategy : i, a = n.boundary, l = a === void 0 ? Zi : a, d = n.rootBoundary, f = d === void 0 ? Gs : d, v = n.elementContext, p = v === void 0 ? Ht : v, T = n.altBoundary, D = T === void 0 ? !1 : T, C = n.padding, L = C === void 0 ? 0 : C, _ = mo(typeof L != "number" ? L : po(L, nn)), m = p === Ht ? eo : Ht, b = t.rects.popper, h = t.elements[D ? m : p], O = Eu(Pt(h) ? h : h.contextElement || Et(t.elements.popper), l, f, o), N = Qt(t.elements.reference), S = vo({
    reference: N,
    element: b,
    strategy: "absolute",
    placement: r
  }), y = $s(Object.assign({}, b, S)), k = p === Ht ? y : N, U = {
    top: O.top - k.top + _.top,
    bottom: k.bottom - O.bottom + _.bottom,
    left: O.left - k.left + _.left,
    right: k.right - O.right + _.right
  }, j = t.modifiersData.offset;
  if (p === Ht && j) {
    var K = j[r];
    Object.keys(U).forEach(function(G) {
      var me = [Oe, ye].indexOf(G) >= 0 ? 1 : -1, Te = [de, ye].indexOf(G) >= 0 ? "y" : "x";
      U[G] += K[Te] * me;
    });
  }
  return U;
}
function vu(t, e) {
  e === void 0 && (e = {});
  var n = e, s = n.placement, r = n.boundary, i = n.rootBoundary, o = n.padding, a = n.flipVariations, l = n.allowedAutoPlacements, d = l === void 0 ? Xs : l, f = Jt(s), v = f ? a ? ws : ws.filter(function(D) {
    return Jt(D) === f;
  }) : nn, p = v.filter(function(D) {
    return d.indexOf(D) >= 0;
  });
  p.length === 0 && (p = v);
  var T = p.reduce(function(D, C) {
    return D[C] = zt(t, {
      placement: C,
      boundary: r,
      rootBoundary: i,
      padding: o
    })[Qe(C)], D;
  }, {});
  return Object.keys(T).sort(function(D, C) {
    return T[D] - T[C];
  });
}
function bu(t) {
  if (Qe(t) === qn)
    return [];
  var e = Mn(t);
  return [Kr(t), e, Kr(e)];
}
function Tu(t) {
  var e = t.state, n = t.options, s = t.name;
  if (!e.modifiersData[s]._skip) {
    for (var r = n.mainAxis, i = r === void 0 ? !0 : r, o = n.altAxis, a = o === void 0 ? !0 : o, l = n.fallbackPlacements, d = n.padding, f = n.boundary, v = n.rootBoundary, p = n.altBoundary, T = n.flipVariations, D = T === void 0 ? !0 : T, C = n.allowedAutoPlacements, L = e.options.placement, _ = Qe(L), m = _ === L, b = l || (m || !D ? [Mn(L)] : bu(L)), h = [L].concat(b).reduce(function(Ne, ge) {
      return Ne.concat(Qe(ge) === qn ? vu(e, {
        placement: ge,
        boundary: f,
        rootBoundary: v,
        padding: d,
        flipVariations: D,
        allowedAutoPlacements: C
      }) : ge);
    }, []), O = e.rects.reference, N = e.rects.popper, S = /* @__PURE__ */ new Map(), y = !0, k = h[0], U = 0; U < h.length; U++) {
      var j = h[U], K = Qe(j), G = Jt(j) === wt, me = [de, ye].indexOf(K) >= 0, Te = me ? "width" : "height", J = zt(e, {
        placement: j,
        boundary: f,
        rootBoundary: v,
        altBoundary: p,
        padding: d
      }), se = me ? G ? Oe : _e : G ? ye : de;
      O[Te] > N[Te] && (se = Mn(se));
      var Be = Mn(se), pe = [];
      if (i && pe.push(J[K] <= 0), a && pe.push(J[se] <= 0, J[Be] <= 0), pe.every(function(Ne) {
        return Ne;
      })) {
        k = j, y = !1;
        break;
      }
      S.set(j, pe);
    }
    if (y)
      for (var Ye = D ? 3 : 1, le = function(ge) {
        var Fe = h.find(function(et) {
          var ce = S.get(et);
          if (ce)
            return ce.slice(0, ge).every(function(Ve) {
              return Ve;
            });
        });
        if (Fe)
          return k = Fe, "break";
      }, Le = Ye; Le > 0; Le--) {
        var Ke = le(Le);
        if (Ke === "break")
          break;
      }
    e.placement !== k && (e.modifiersData[s]._skip = !0, e.placement = k, e.reset = !0);
  }
}
const bo = {
  name: "flip",
  enabled: !0,
  phase: "main",
  fn: Tu,
  requiresIfExists: ["offset"],
  data: {
    _skip: !1
  }
};
function Gr(t, e, n) {
  return n === void 0 && (n = {
    x: 0,
    y: 0
  }), {
    top: t.top - e.height - n.y,
    right: t.right - e.width + n.x,
    bottom: t.bottom - e.height + n.y,
    left: t.left - e.width - n.x
  };
}
function Xr(t) {
  return [de, Oe, ye, _e].some(function(e) {
    return t[e] >= 0;
  });
}
function Nu(t) {
  var e = t.state, n = t.name, s = e.rects.reference, r = e.rects.popper, i = e.modifiersData.preventOverflow, o = zt(e, {
    elementContext: "reference"
  }), a = zt(e, {
    altBoundary: !0
  }), l = Gr(o, s), d = Gr(a, r, i), f = Xr(l), v = Xr(d);
  e.modifiersData[n] = {
    referenceClippingOffsets: l,
    popperEscapeOffsets: d,
    isReferenceHidden: f,
    hasPopperEscaped: v
  }, e.attributes.popper = Object.assign({}, e.attributes.popper, {
    "data-popper-reference-hidden": f,
    "data-popper-escaped": v
  });
}
const To = {
  name: "hide",
  enabled: !0,
  phase: "main",
  requiresIfExists: ["preventOverflow"],
  fn: Nu
};
function Au(t, e, n) {
  var s = Qe(t), r = [_e, de].indexOf(s) >= 0 ? -1 : 1, i = typeof n == "function" ? n(Object.assign({}, e, {
    placement: t
  })) : n, o = i[0], a = i[1];
  return o = o || 0, a = (a || 0) * r, [_e, Oe].indexOf(s) >= 0 ? {
    x: a,
    y: o
  } : {
    x: o,
    y: a
  };
}
function yu(t) {
  var e = t.state, n = t.options, s = t.name, r = n.offset, i = r === void 0 ? [0, 0] : r, o = Xs.reduce(function(f, v) {
    return f[v] = Au(v, e.rects, i), f;
  }, {}), a = o[e.placement], l = a.x, d = a.y;
  e.modifiersData.popperOffsets != null && (e.modifiersData.popperOffsets.x += l, e.modifiersData.popperOffsets.y += d), e.modifiersData[s] = o;
}
const No = {
  name: "offset",
  enabled: !0,
  phase: "main",
  requires: ["popperOffsets"],
  fn: yu
};
function Ou(t) {
  var e = t.state, n = t.name;
  e.modifiersData[n] = vo({
    reference: e.rects.reference,
    element: e.rects.popper,
    strategy: "absolute",
    placement: e.placement
  });
}
const rr = {
  name: "popperOffsets",
  enabled: !0,
  phase: "read",
  fn: Ou,
  data: {}
};
function Cu(t) {
  return t === "x" ? "y" : "x";
}
function Lu(t) {
  var e = t.state, n = t.options, s = t.name, r = n.mainAxis, i = r === void 0 ? !0 : r, o = n.altAxis, a = o === void 0 ? !1 : o, l = n.boundary, d = n.rootBoundary, f = n.altBoundary, v = n.padding, p = n.tether, T = p === void 0 ? !0 : p, D = n.tetherOffset, C = D === void 0 ? 0 : D, L = zt(e, {
    boundary: l,
    rootBoundary: d,
    padding: v,
    altBoundary: f
  }), _ = Qe(e.placement), m = Jt(e.placement), b = !m, h = zs(_), O = Cu(h), N = e.modifiersData.popperOffsets, S = e.rects.reference, y = e.rects.popper, k = typeof C == "function" ? C(Object.assign({}, e.rects, {
    placement: e.placement
  })) : C, U = typeof k == "number" ? {
    mainAxis: k,
    altAxis: k
  } : Object.assign({
    mainAxis: 0,
    altAxis: 0
  }, k), j = e.modifiersData.offset ? e.modifiersData.offset[e.placement] : null, K = {
    x: 0,
    y: 0
  };
  if (N) {
    if (i) {
      var G, me = h === "y" ? de : _e, Te = h === "y" ? ye : Oe, J = h === "y" ? "height" : "width", se = N[h], Be = se + L[me], pe = se - L[Te], Ye = T ? -y[J] / 2 : 0, le = m === wt ? S[J] : y[J], Le = m === wt ? -y[J] : -S[J], Ke = e.elements.arrow, Ne = T && Ke ? Js(Ke) : {
        width: 0,
        height: 0
      }, ge = e.modifiersData["arrow#persistent"] ? e.modifiersData["arrow#persistent"].padding : ho(), Fe = ge[me], et = ge[Te], ce = fn(0, S[J], Ne[J]), Ve = b ? S[J] / 2 - Ye - ce - Fe - U.mainAxis : le - ce - Fe - U.mainAxis, je = b ? -S[J] / 2 + Ye + ce + et + U.mainAxis : Le + ce + et + U.mainAxis, Ue = e.elements.arrow && vn(e.elements.arrow), Tt = Ue ? h === "y" ? Ue.clientTop || 0 : Ue.clientLeft || 0 : 0, u = (G = j == null ? void 0 : j[h]) != null ? G : 0, c = se + Ve - u - Tt, g = se + je - u, w = fn(T ? Wn(Be, c) : Be, se, T ? Lt(pe, g) : pe);
      N[h] = w, K[h] = w - se;
    }
    if (a) {
      var R, x = h === "x" ? de : _e, Ie = h === "x" ? ye : Oe, ie = N[O], Rt = O === "y" ? "height" : "width", yn = ie + L[x], On = ie - L[Ie], an = [de, _e].indexOf(_) !== -1, z = (R = j == null ? void 0 : j[O]) != null ? R : 0, E = an ? yn : ie - S[Rt] - y[Rt] - z + U.altAxis, I = an ? ie + S[Rt] + y[Rt] - z - U.altAxis : On, W = T && an ? ru(E, ie, I) : fn(T ? E : yn, ie, T ? I : On);
      N[O] = W, K[O] = W - ie;
    }
    e.modifiersData[s] = K;
  }
}
const Ao = {
  name: "preventOverflow",
  enabled: !0,
  phase: "main",
  fn: Lu,
  requiresIfExists: ["offset"]
};
function Iu(t) {
  return {
    scrollLeft: t.scrollLeft,
    scrollTop: t.scrollTop
  };
}
function Su(t) {
  return t === Ce(t) || !Pe(t) ? tr(t) : Iu(t);
}
function Du(t) {
  var e = t.getBoundingClientRect(), n = qt(e.width) / t.offsetWidth || 1, s = qt(e.height) / t.offsetHeight || 1;
  return n !== 1 || s !== 1;
}
function wu(t, e, n) {
  n === void 0 && (n = !1);
  var s = Pe(e), r = Pe(e) && Du(e), i = Et(e), o = Qt(t, r, n), a = {
    scrollLeft: 0,
    scrollTop: 0
  }, l = {
    x: 0,
    y: 0
  };
  return (s || !s && !n) && ((ze(e) !== "body" || // https://github.com/popperjs/popper-core/issues/1078
  sr(i)) && (a = Su(e)), Pe(e) ? (l = Qt(e, !0), l.x += e.clientLeft, l.y += e.clientTop) : i && (l.x = nr(i))), {
    x: o.left + a.scrollLeft - l.x,
    y: o.top + a.scrollTop - l.y,
    width: o.width,
    height: o.height
  };
}
function Pu(t) {
  var e = /* @__PURE__ */ new Map(), n = /* @__PURE__ */ new Set(), s = [];
  t.forEach(function(i) {
    e.set(i.name, i);
  });
  function r(i) {
    n.add(i.name);
    var o = [].concat(i.requires || [], i.requiresIfExists || []);
    o.forEach(function(a) {
      if (!n.has(a)) {
        var l = e.get(a);
        l && r(l);
      }
    }), s.push(i);
  }
  return t.forEach(function(i) {
    n.has(i.name) || r(i);
  }), s;
}
function $u(t) {
  var e = Pu(t);
  return uo.reduce(function(n, s) {
    return n.concat(e.filter(function(r) {
      return r.phase === s;
    }));
  }, []);
}
function ku(t) {
  var e;
  return function() {
    return e || (e = new Promise(function(n) {
      Promise.resolve().then(function() {
        e = void 0, n(t());
      });
    })), e;
  };
}
function Ru(t) {
  var e = t.reduce(function(n, s) {
    var r = n[s.name];
    return n[s.name] = r ? Object.assign({}, r, s, {
      options: Object.assign({}, r.options, s.options),
      data: Object.assign({}, r.data, s.data)
    }) : s, n;
  }, {});
  return Object.keys(e).map(function(n) {
    return e[n];
  });
}
var qr = {
  placement: "bottom",
  modifiers: [],
  strategy: "absolute"
};
function Qr() {
  for (var t = arguments.length, e = new Array(t), n = 0; n < t; n++)
    e[n] = arguments[n];
  return !e.some(function(s) {
    return !(s && typeof s.getBoundingClientRect == "function");
  });
}
function Jn(t) {
  t === void 0 && (t = {});
  var e = t, n = e.defaultModifiers, s = n === void 0 ? [] : n, r = e.defaultOptions, i = r === void 0 ? qr : r;
  return function(a, l, d) {
    d === void 0 && (d = i);
    var f = {
      placement: "bottom",
      orderedModifiers: [],
      options: Object.assign({}, qr, i),
      modifiersData: {},
      elements: {
        reference: a,
        popper: l
      },
      attributes: {},
      styles: {}
    }, v = [], p = !1, T = {
      state: f,
      setOptions: function(_) {
        var m = typeof _ == "function" ? _(f.options) : _;
        C(), f.options = Object.assign({}, i, f.options, m), f.scrollParents = {
          reference: Pt(a) ? dn(a) : a.contextElement ? dn(a.contextElement) : [],
          popper: dn(l)
        };
        var b = $u(Ru([].concat(s, f.options.modifiers)));
        return f.orderedModifiers = b.filter(function(h) {
          return h.enabled;
        }), D(), T.update();
      },
      // Sync update – it will always be executed, even if not necessary. This
      // is useful for low frequency updates where sync behavior simplifies the
      // logic.
      // For high frequency updates (e.g. `resize` and `scroll` events), always
      // prefer the async Popper#update method
      forceUpdate: function() {
        if (!p) {
          var _ = f.elements, m = _.reference, b = _.popper;
          if (Qr(m, b)) {
            f.rects = {
              reference: wu(m, vn(b), f.options.strategy === "fixed"),
              popper: Js(b)
            }, f.reset = !1, f.placement = f.options.placement, f.orderedModifiers.forEach(function(U) {
              return f.modifiersData[U.name] = Object.assign({}, U.data);
            });
            for (var h = 0; h < f.orderedModifiers.length; h++) {
              if (f.reset === !0) {
                f.reset = !1, h = -1;
                continue;
              }
              var O = f.orderedModifiers[h], N = O.fn, S = O.options, y = S === void 0 ? {} : S, k = O.name;
              typeof N == "function" && (f = N({
                state: f,
                options: y,
                name: k,
                instance: T
              }) || f);
            }
          }
        }
      },
      // Async and optimistically optimized update – it will not be executed if
      // not necessary (debounced to run at most once-per-tick)
      update: ku(function() {
        return new Promise(function(L) {
          T.forceUpdate(), L(f);
        });
      }),
      destroy: function() {
        C(), p = !0;
      }
    };
    if (!Qr(a, l))
      return T;
    T.setOptions(d).then(function(L) {
      !p && d.onFirstUpdate && d.onFirstUpdate(L);
    });
    function D() {
      f.orderedModifiers.forEach(function(L) {
        var _ = L.name, m = L.options, b = m === void 0 ? {} : m, h = L.effect;
        if (typeof h == "function") {
          var O = h({
            state: f,
            name: _,
            instance: T,
            options: b
          }), N = function() {
          };
          v.push(O || N);
        }
      });
    }
    function C() {
      v.forEach(function(L) {
        return L();
      }), v = [];
    }
    return T;
  };
}
var Mu = /* @__PURE__ */ Jn(), Fu = [er, rr, Zs, Qs], Vu = /* @__PURE__ */ Jn({
  defaultModifiers: Fu
}), Uu = [er, rr, Zs, Qs, No, bo, Ao, go, To], ir = /* @__PURE__ */ Jn({
  defaultModifiers: Uu
});
const yo = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  afterMain: oo,
  afterRead: so,
  afterWrite: co,
  applyStyles: Qs,
  arrow: go,
  auto: qn,
  basePlacements: nn,
  beforeMain: ro,
  beforeRead: to,
  beforeWrite: ao,
  bottom: ye,
  clippingParents: Zi,
  computeStyles: Zs,
  createPopper: ir,
  createPopperBase: Mu,
  createPopperLite: Vu,
  detectOverflow: zt,
  end: Xt,
  eventListeners: er,
  flip: bo,
  hide: To,
  left: _e,
  main: io,
  modifierPhases: uo,
  offset: No,
  placements: Xs,
  popper: Ht,
  popperGenerator: Jn,
  popperOffsets: rr,
  preventOverflow: Ao,
  read: no,
  reference: eo,
  right: Oe,
  start: wt,
  top: de,
  variationPlacements: ws,
  viewport: Gs,
  write: lo
}, Symbol.toStringTag, { value: "Module" }));
/*!
  * Bootstrap v5.3.2 (https://getbootstrap.com/)
  * Copyright 2011-2023 The Bootstrap Authors (https://github.com/twbs/bootstrap/graphs/contributors)
  * Licensed under MIT (https://github.com/twbs/bootstrap/blob/main/LICENSE)
  */
const ft = /* @__PURE__ */ new Map(), rs = {
  set(t, e, n) {
    ft.has(t) || ft.set(t, /* @__PURE__ */ new Map());
    const s = ft.get(t);
    if (!s.has(e) && s.size !== 0) {
      console.error(`Bootstrap doesn't allow more than one instance per element. Bound instance: ${Array.from(s.keys())[0]}.`);
      return;
    }
    s.set(e, n);
  },
  get(t, e) {
    return ft.has(t) && ft.get(t).get(e) || null;
  },
  remove(t, e) {
    if (!ft.has(t))
      return;
    const n = ft.get(t);
    n.delete(e), n.size === 0 && ft.delete(t);
  }
}, Hu = 1e6, Wu = 1e3, ks = "transitionend", Oo = (t) => (t && window.CSS && window.CSS.escape && (t = t.replace(/#([^\s"#']+)/g, (e, n) => `#${CSS.escape(n)}`)), t), xu = (t) => t == null ? `${t}` : Object.prototype.toString.call(t).match(/\s([a-z]+)/i)[1].toLowerCase(), Bu = (t) => {
  do
    t += Math.floor(Math.random() * Hu);
  while (document.getElementById(t));
  return t;
}, Yu = (t) => {
  if (!t)
    return 0;
  let {
    transitionDuration: e,
    transitionDelay: n
  } = window.getComputedStyle(t);
  const s = Number.parseFloat(e), r = Number.parseFloat(n);
  return !s && !r ? 0 : (e = e.split(",")[0], n = n.split(",")[0], (Number.parseFloat(e) + Number.parseFloat(n)) * Wu);
}, Co = (t) => {
  t.dispatchEvent(new Event(ks));
}, st = (t) => !t || typeof t != "object" ? !1 : (typeof t.jquery < "u" && (t = t[0]), typeof t.nodeType < "u"), _t = (t) => st(t) ? t.jquery ? t[0] : t : typeof t == "string" && t.length > 0 ? document.querySelector(Oo(t)) : null, sn = (t) => {
  if (!st(t) || t.getClientRects().length === 0)
    return !1;
  const e = getComputedStyle(t).getPropertyValue("visibility") === "visible", n = t.closest("details:not([open])");
  if (!n)
    return e;
  if (n !== t) {
    const s = t.closest("summary");
    if (s && s.parentNode !== n || s === null)
      return !1;
  }
  return e;
}, ht = (t) => !t || t.nodeType !== Node.ELEMENT_NODE || t.classList.contains("disabled") ? !0 : typeof t.disabled < "u" ? t.disabled : t.hasAttribute("disabled") && t.getAttribute("disabled") !== "false", Lo = (t) => {
  if (!document.documentElement.attachShadow)
    return null;
  if (typeof t.getRootNode == "function") {
    const e = t.getRootNode();
    return e instanceof ShadowRoot ? e : null;
  }
  return t instanceof ShadowRoot ? t : t.parentNode ? Lo(t.parentNode) : null;
}, xn = () => {
}, bn = (t) => {
  t.offsetHeight;
}, Io = () => window.jQuery && !document.body.hasAttribute("data-bs-no-jquery") ? window.jQuery : null, is = [], Ku = (t) => {
  document.readyState === "loading" ? (is.length || document.addEventListener("DOMContentLoaded", () => {
    for (const e of is)
      e();
  }), is.push(t)) : t();
}, $e = () => document.documentElement.dir === "rtl", Me = (t) => {
  Ku(() => {
    const e = Io();
    if (e) {
      const n = t.NAME, s = e.fn[n];
      e.fn[n] = t.jQueryInterface, e.fn[n].Constructor = t, e.fn[n].noConflict = () => (e.fn[n] = s, t.jQueryInterface);
    }
  });
}, be = (t, e = [], n = t) => typeof t == "function" ? t(...e) : n, So = (t, e, n = !0) => {
  if (!n) {
    be(t);
    return;
  }
  const r = Yu(e) + 5;
  let i = !1;
  const o = ({
    target: a
  }) => {
    a === e && (i = !0, e.removeEventListener(ks, o), be(t));
  };
  e.addEventListener(ks, o), setTimeout(() => {
    i || Co(e);
  }, r);
}, or = (t, e, n, s) => {
  const r = t.length;
  let i = t.indexOf(e);
  return i === -1 ? !n && s ? t[r - 1] : t[0] : (i += n ? 1 : -1, s && (i = (i + r) % r), t[Math.max(0, Math.min(i, r - 1))]);
}, ju = /[^.]*(?=\..*)\.|.*/, Gu = /\..*/, Xu = /::\d+$/, os = {};
let Jr = 1;
const Do = {
  mouseenter: "mouseover",
  mouseleave: "mouseout"
}, qu = /* @__PURE__ */ new Set(["click", "dblclick", "mouseup", "mousedown", "contextmenu", "mousewheel", "DOMMouseScroll", "mouseover", "mouseout", "mousemove", "selectstart", "selectend", "keydown", "keypress", "keyup", "orientationchange", "touchstart", "touchmove", "touchend", "touchcancel", "pointerdown", "pointermove", "pointerup", "pointerleave", "pointercancel", "gesturestart", "gesturechange", "gestureend", "focus", "blur", "change", "reset", "select", "submit", "focusin", "focusout", "load", "unload", "beforeunload", "resize", "move", "DOMContentLoaded", "readystatechange", "error", "abort", "scroll"]);
function wo(t, e) {
  return e && `${e}::${Jr++}` || t.uidEvent || Jr++;
}
function Po(t) {
  const e = wo(t);
  return t.uidEvent = e, os[e] = os[e] || {}, os[e];
}
function Qu(t, e) {
  return function n(s) {
    return ar(s, {
      delegateTarget: t
    }), n.oneOff && A.off(t, s.type, e), e.apply(t, [s]);
  };
}
function Ju(t, e, n) {
  return function s(r) {
    const i = t.querySelectorAll(e);
    for (let {
      target: o
    } = r; o && o !== this; o = o.parentNode)
      for (const a of i)
        if (a === o)
          return ar(r, {
            delegateTarget: o
          }), s.oneOff && A.off(t, r.type, e, n), n.apply(o, [r]);
  };
}
function $o(t, e, n = null) {
  return Object.values(t).find((s) => s.callable === e && s.delegationSelector === n);
}
function ko(t, e, n) {
  const s = typeof e == "string", r = s ? n : e || n;
  let i = Ro(t);
  return qu.has(i) || (i = t), [s, r, i];
}
function zr(t, e, n, s, r) {
  if (typeof e != "string" || !t)
    return;
  let [i, o, a] = ko(e, n, s);
  e in Do && (o = ((D) => function(C) {
    if (!C.relatedTarget || C.relatedTarget !== C.delegateTarget && !C.delegateTarget.contains(C.relatedTarget))
      return D.call(this, C);
  })(o));
  const l = Po(t), d = l[a] || (l[a] = {}), f = $o(d, o, i ? n : null);
  if (f) {
    f.oneOff = f.oneOff && r;
    return;
  }
  const v = wo(o, e.replace(ju, "")), p = i ? Ju(t, n, o) : Qu(t, o);
  p.delegationSelector = i ? n : null, p.callable = o, p.oneOff = r, p.uidEvent = v, d[v] = p, t.addEventListener(a, p, i);
}
function Rs(t, e, n, s, r) {
  const i = $o(e[n], s, r);
  i && (t.removeEventListener(n, i, !!r), delete e[n][i.uidEvent]);
}
function zu(t, e, n, s) {
  const r = e[n] || {};
  for (const [i, o] of Object.entries(r))
    i.includes(s) && Rs(t, e, n, o.callable, o.delegationSelector);
}
function Ro(t) {
  return t = t.replace(Gu, ""), Do[t] || t;
}
const A = {
  on(t, e, n, s) {
    zr(t, e, n, s, !1);
  },
  one(t, e, n, s) {
    zr(t, e, n, s, !0);
  },
  off(t, e, n, s) {
    if (typeof e != "string" || !t)
      return;
    const [r, i, o] = ko(e, n, s), a = o !== e, l = Po(t), d = l[o] || {}, f = e.startsWith(".");
    if (typeof i < "u") {
      if (!Object.keys(d).length)
        return;
      Rs(t, l, o, i, r ? n : null);
      return;
    }
    if (f)
      for (const v of Object.keys(l))
        zu(t, l, v, e.slice(1));
    for (const [v, p] of Object.entries(d)) {
      const T = v.replace(Xu, "");
      (!a || e.includes(T)) && Rs(t, l, o, p.callable, p.delegationSelector);
    }
  },
  trigger(t, e, n) {
    if (typeof e != "string" || !t)
      return null;
    const s = Io(), r = Ro(e), i = e !== r;
    let o = null, a = !0, l = !0, d = !1;
    i && s && (o = s.Event(e, n), s(t).trigger(o), a = !o.isPropagationStopped(), l = !o.isImmediatePropagationStopped(), d = o.isDefaultPrevented());
    const f = ar(new Event(e, {
      bubbles: a,
      cancelable: !0
    }), n);
    return d && f.preventDefault(), l && t.dispatchEvent(f), f.defaultPrevented && o && o.preventDefault(), f;
  }
};
function ar(t, e = {}) {
  for (const [n, s] of Object.entries(e))
    try {
      t[n] = s;
    } catch {
      Object.defineProperty(t, n, {
        configurable: !0,
        get() {
          return s;
        }
      });
    }
  return t;
}
function Zr(t) {
  if (t === "true")
    return !0;
  if (t === "false")
    return !1;
  if (t === Number(t).toString())
    return Number(t);
  if (t === "" || t === "null")
    return null;
  if (typeof t != "string")
    return t;
  try {
    return JSON.parse(decodeURIComponent(t));
  } catch {
    return t;
  }
}
function as(t) {
  return t.replace(/[A-Z]/g, (e) => `-${e.toLowerCase()}`);
}
const rt = {
  setDataAttribute(t, e, n) {
    t.setAttribute(`data-bs-${as(e)}`, n);
  },
  removeDataAttribute(t, e) {
    t.removeAttribute(`data-bs-${as(e)}`);
  },
  getDataAttributes(t) {
    if (!t)
      return {};
    const e = {}, n = Object.keys(t.dataset).filter((s) => s.startsWith("bs") && !s.startsWith("bsConfig"));
    for (const s of n) {
      let r = s.replace(/^bs/, "");
      r = r.charAt(0).toLowerCase() + r.slice(1, r.length), e[r] = Zr(t.dataset[s]);
    }
    return e;
  },
  getDataAttribute(t, e) {
    return Zr(t.getAttribute(`data-bs-${as(e)}`));
  }
};
class Tn {
  // Getters
  static get Default() {
    return {};
  }
  static get DefaultType() {
    return {};
  }
  static get NAME() {
    throw new Error('You have to implement the static method "NAME", for each component!');
  }
  _getConfig(e) {
    return e = this._mergeConfigObj(e), e = this._configAfterMerge(e), this._typeCheckConfig(e), e;
  }
  _configAfterMerge(e) {
    return e;
  }
  _mergeConfigObj(e, n) {
    const s = st(n) ? rt.getDataAttribute(n, "config") : {};
    return {
      ...this.constructor.Default,
      ...typeof s == "object" ? s : {},
      ...st(n) ? rt.getDataAttributes(n) : {},
      ...typeof e == "object" ? e : {}
    };
  }
  _typeCheckConfig(e, n = this.constructor.DefaultType) {
    for (const [s, r] of Object.entries(n)) {
      const i = e[s], o = st(i) ? "element" : xu(i);
      if (!new RegExp(r).test(o))
        throw new TypeError(`${this.constructor.NAME.toUpperCase()}: Option "${s}" provided type "${o}" but expected type "${r}".`);
    }
  }
}
const Zu = "5.3.2";
class xe extends Tn {
  constructor(e, n) {
    super(), e = _t(e), e && (this._element = e, this._config = this._getConfig(n), rs.set(this._element, this.constructor.DATA_KEY, this));
  }
  // Public
  dispose() {
    rs.remove(this._element, this.constructor.DATA_KEY), A.off(this._element, this.constructor.EVENT_KEY);
    for (const e of Object.getOwnPropertyNames(this))
      this[e] = null;
  }
  _queueCallback(e, n, s = !0) {
    So(e, n, s);
  }
  _getConfig(e) {
    return e = this._mergeConfigObj(e, this._element), e = this._configAfterMerge(e), this._typeCheckConfig(e), e;
  }
  // Static
  static getInstance(e) {
    return rs.get(_t(e), this.DATA_KEY);
  }
  static getOrCreateInstance(e, n = {}) {
    return this.getInstance(e) || new this(e, typeof n == "object" ? n : null);
  }
  static get VERSION() {
    return Zu;
  }
  static get DATA_KEY() {
    return `bs.${this.NAME}`;
  }
  static get EVENT_KEY() {
    return `.${this.DATA_KEY}`;
  }
  static eventName(e) {
    return `${e}${this.EVENT_KEY}`;
  }
}
const ls = (t) => {
  let e = t.getAttribute("data-bs-target");
  if (!e || e === "#") {
    let n = t.getAttribute("href");
    if (!n || !n.includes("#") && !n.startsWith("."))
      return null;
    n.includes("#") && !n.startsWith("#") && (n = `#${n.split("#")[1]}`), e = n && n !== "#" ? Oo(n.trim()) : null;
  }
  return e;
}, $ = {
  find(t, e = document.documentElement) {
    return [].concat(...Element.prototype.querySelectorAll.call(e, t));
  },
  findOne(t, e = document.documentElement) {
    return Element.prototype.querySelector.call(e, t);
  },
  children(t, e) {
    return [].concat(...t.children).filter((n) => n.matches(e));
  },
  parents(t, e) {
    const n = [];
    let s = t.parentNode.closest(e);
    for (; s; )
      n.push(s), s = s.parentNode.closest(e);
    return n;
  },
  prev(t, e) {
    let n = t.previousElementSibling;
    for (; n; ) {
      if (n.matches(e))
        return [n];
      n = n.previousElementSibling;
    }
    return [];
  },
  // TODO: this is now unused; remove later along with prev()
  next(t, e) {
    let n = t.nextElementSibling;
    for (; n; ) {
      if (n.matches(e))
        return [n];
      n = n.nextElementSibling;
    }
    return [];
  },
  focusableChildren(t) {
    const e = ["a", "button", "input", "textarea", "select", "details", "[tabindex]", '[contenteditable="true"]'].map((n) => `${n}:not([tabindex^="-"])`).join(",");
    return this.find(e, t).filter((n) => !ht(n) && sn(n));
  },
  getSelectorFromElement(t) {
    const e = ls(t);
    return e && $.findOne(e) ? e : null;
  },
  getElementFromSelector(t) {
    const e = ls(t);
    return e ? $.findOne(e) : null;
  },
  getMultipleElementsFromSelector(t) {
    const e = ls(t);
    return e ? $.find(e) : [];
  }
}, zn = (t, e = "hide") => {
  const n = `click.dismiss${t.EVENT_KEY}`, s = t.NAME;
  A.on(document, n, `[data-bs-dismiss="${s}"]`, function(r) {
    if (["A", "AREA"].includes(this.tagName) && r.preventDefault(), ht(this))
      return;
    const i = $.getElementFromSelector(this) || this.closest(`.${s}`);
    t.getOrCreateInstance(i)[e]();
  });
}, ef = "alert", tf = "bs.alert", Mo = `.${tf}`, nf = `close${Mo}`, sf = `closed${Mo}`, rf = "fade", of = "show";
class Zn extends xe {
  // Getters
  static get NAME() {
    return ef;
  }
  // Public
  close() {
    if (A.trigger(this._element, nf).defaultPrevented)
      return;
    this._element.classList.remove(of);
    const n = this._element.classList.contains(rf);
    this._queueCallback(() => this._destroyElement(), this._element, n);
  }
  // Private
  _destroyElement() {
    this._element.remove(), A.trigger(this._element, sf), this.dispose();
  }
  // Static
  static jQueryInterface(e) {
    return this.each(function() {
      const n = Zn.getOrCreateInstance(this);
      if (typeof e == "string") {
        if (n[e] === void 0 || e.startsWith("_") || e === "constructor")
          throw new TypeError(`No method named "${e}"`);
        n[e](this);
      }
    });
  }
}
zn(Zn, "close");
Me(Zn);
const af = "button", lf = "bs.button", cf = `.${lf}`, uf = ".data-api", ff = "active", ei = '[data-bs-toggle="button"]', df = `click${cf}${uf}`;
class es extends xe {
  // Getters
  static get NAME() {
    return af;
  }
  // Public
  toggle() {
    this._element.setAttribute("aria-pressed", this._element.classList.toggle(ff));
  }
  // Static
  static jQueryInterface(e) {
    return this.each(function() {
      const n = es.getOrCreateInstance(this);
      e === "toggle" && n[e]();
    });
  }
}
A.on(document, df, ei, (t) => {
  t.preventDefault();
  const e = t.target.closest(ei);
  es.getOrCreateInstance(e).toggle();
});
Me(es);
const _f = "swipe", rn = ".bs.swipe", hf = `touchstart${rn}`, mf = `touchmove${rn}`, pf = `touchend${rn}`, gf = `pointerdown${rn}`, Ef = `pointerup${rn}`, vf = "touch", bf = "pen", Tf = "pointer-event", Nf = 40, Af = {
  endCallback: null,
  leftCallback: null,
  rightCallback: null
}, yf = {
  endCallback: "(function|null)",
  leftCallback: "(function|null)",
  rightCallback: "(function|null)"
};
class Bn extends Tn {
  constructor(e, n) {
    super(), this._element = e, !(!e || !Bn.isSupported()) && (this._config = this._getConfig(n), this._deltaX = 0, this._supportPointerEvents = !!window.PointerEvent, this._initEvents());
  }
  // Getters
  static get Default() {
    return Af;
  }
  static get DefaultType() {
    return yf;
  }
  static get NAME() {
    return _f;
  }
  // Public
  dispose() {
    A.off(this._element, rn);
  }
  // Private
  _start(e) {
    if (!this._supportPointerEvents) {
      this._deltaX = e.touches[0].clientX;
      return;
    }
    this._eventIsPointerPenTouch(e) && (this._deltaX = e.clientX);
  }
  _end(e) {
    this._eventIsPointerPenTouch(e) && (this._deltaX = e.clientX - this._deltaX), this._handleSwipe(), be(this._config.endCallback);
  }
  _move(e) {
    this._deltaX = e.touches && e.touches.length > 1 ? 0 : e.touches[0].clientX - this._deltaX;
  }
  _handleSwipe() {
    const e = Math.abs(this._deltaX);
    if (e <= Nf)
      return;
    const n = e / this._deltaX;
    this._deltaX = 0, n && be(n > 0 ? this._config.rightCallback : this._config.leftCallback);
  }
  _initEvents() {
    this._supportPointerEvents ? (A.on(this._element, gf, (e) => this._start(e)), A.on(this._element, Ef, (e) => this._end(e)), this._element.classList.add(Tf)) : (A.on(this._element, hf, (e) => this._start(e)), A.on(this._element, mf, (e) => this._move(e)), A.on(this._element, pf, (e) => this._end(e)));
  }
  _eventIsPointerPenTouch(e) {
    return this._supportPointerEvents && (e.pointerType === bf || e.pointerType === vf);
  }
  // Static
  static isSupported() {
    return "ontouchstart" in document.documentElement || navigator.maxTouchPoints > 0;
  }
}
const Of = "carousel", Cf = "bs.carousel", vt = `.${Cf}`, Fo = ".data-api", Lf = "ArrowLeft", If = "ArrowRight", Sf = 500, cn = "next", Ft = "prev", Wt = "left", Fn = "right", Df = `slide${vt}`, cs = `slid${vt}`, wf = `keydown${vt}`, Pf = `mouseenter${vt}`, $f = `mouseleave${vt}`, kf = `dragstart${vt}`, Rf = `load${vt}${Fo}`, Mf = `click${vt}${Fo}`, Vo = "carousel", Sn = "active", Ff = "slide", Vf = "carousel-item-end", Uf = "carousel-item-start", Hf = "carousel-item-next", Wf = "carousel-item-prev", Uo = ".active", Ho = ".carousel-item", xf = Uo + Ho, Bf = ".carousel-item img", Yf = ".carousel-indicators", Kf = "[data-bs-slide], [data-bs-slide-to]", jf = '[data-bs-ride="carousel"]', Gf = {
  [Lf]: Fn,
  [If]: Wt
}, Xf = {
  interval: 5e3,
  keyboard: !0,
  pause: "hover",
  ride: !1,
  touch: !0,
  wrap: !0
}, qf = {
  interval: "(number|boolean)",
  // TODO:v6 remove boolean support
  keyboard: "boolean",
  pause: "(string|boolean)",
  ride: "(boolean|string)",
  touch: "boolean",
  wrap: "boolean"
};
class Nn extends xe {
  constructor(e, n) {
    super(e, n), this._interval = null, this._activeElement = null, this._isSliding = !1, this.touchTimeout = null, this._swipeHelper = null, this._indicatorsElement = $.findOne(Yf, this._element), this._addEventListeners(), this._config.ride === Vo && this.cycle();
  }
  // Getters
  static get Default() {
    return Xf;
  }
  static get DefaultType() {
    return qf;
  }
  static get NAME() {
    return Of;
  }
  // Public
  next() {
    this._slide(cn);
  }
  nextWhenVisible() {
    !document.hidden && sn(this._element) && this.next();
  }
  prev() {
    this._slide(Ft);
  }
  pause() {
    this._isSliding && Co(this._element), this._clearInterval();
  }
  cycle() {
    this._clearInterval(), this._updateInterval(), this._interval = setInterval(() => this.nextWhenVisible(), this._config.interval);
  }
  _maybeEnableCycle() {
    if (this._config.ride) {
      if (this._isSliding) {
        A.one(this._element, cs, () => this.cycle());
        return;
      }
      this.cycle();
    }
  }
  to(e) {
    const n = this._getItems();
    if (e > n.length - 1 || e < 0)
      return;
    if (this._isSliding) {
      A.one(this._element, cs, () => this.to(e));
      return;
    }
    const s = this._getItemIndex(this._getActive());
    if (s === e)
      return;
    const r = e > s ? cn : Ft;
    this._slide(r, n[e]);
  }
  dispose() {
    this._swipeHelper && this._swipeHelper.dispose(), super.dispose();
  }
  // Private
  _configAfterMerge(e) {
    return e.defaultInterval = e.interval, e;
  }
  _addEventListeners() {
    this._config.keyboard && A.on(this._element, wf, (e) => this._keydown(e)), this._config.pause === "hover" && (A.on(this._element, Pf, () => this.pause()), A.on(this._element, $f, () => this._maybeEnableCycle())), this._config.touch && Bn.isSupported() && this._addTouchEventListeners();
  }
  _addTouchEventListeners() {
    for (const s of $.find(Bf, this._element))
      A.on(s, kf, (r) => r.preventDefault());
    const n = {
      leftCallback: () => this._slide(this._directionToOrder(Wt)),
      rightCallback: () => this._slide(this._directionToOrder(Fn)),
      endCallback: () => {
        this._config.pause === "hover" && (this.pause(), this.touchTimeout && clearTimeout(this.touchTimeout), this.touchTimeout = setTimeout(() => this._maybeEnableCycle(), Sf + this._config.interval));
      }
    };
    this._swipeHelper = new Bn(this._element, n);
  }
  _keydown(e) {
    if (/input|textarea/i.test(e.target.tagName))
      return;
    const n = Gf[e.key];
    n && (e.preventDefault(), this._slide(this._directionToOrder(n)));
  }
  _getItemIndex(e) {
    return this._getItems().indexOf(e);
  }
  _setActiveIndicatorElement(e) {
    if (!this._indicatorsElement)
      return;
    const n = $.findOne(Uo, this._indicatorsElement);
    n.classList.remove(Sn), n.removeAttribute("aria-current");
    const s = $.findOne(`[data-bs-slide-to="${e}"]`, this._indicatorsElement);
    s && (s.classList.add(Sn), s.setAttribute("aria-current", "true"));
  }
  _updateInterval() {
    const e = this._activeElement || this._getActive();
    if (!e)
      return;
    const n = Number.parseInt(e.getAttribute("data-bs-interval"), 10);
    this._config.interval = n || this._config.defaultInterval;
  }
  _slide(e, n = null) {
    if (this._isSliding)
      return;
    const s = this._getActive(), r = e === cn, i = n || or(this._getItems(), s, r, this._config.wrap);
    if (i === s)
      return;
    const o = this._getItemIndex(i), a = (T) => A.trigger(this._element, T, {
      relatedTarget: i,
      direction: this._orderToDirection(e),
      from: this._getItemIndex(s),
      to: o
    });
    if (a(Df).defaultPrevented || !s || !i)
      return;
    const d = !!this._interval;
    this.pause(), this._isSliding = !0, this._setActiveIndicatorElement(o), this._activeElement = i;
    const f = r ? Uf : Vf, v = r ? Hf : Wf;
    i.classList.add(v), bn(i), s.classList.add(f), i.classList.add(f);
    const p = () => {
      i.classList.remove(f, v), i.classList.add(Sn), s.classList.remove(Sn, v, f), this._isSliding = !1, a(cs);
    };
    this._queueCallback(p, s, this._isAnimated()), d && this.cycle();
  }
  _isAnimated() {
    return this._element.classList.contains(Ff);
  }
  _getActive() {
    return $.findOne(xf, this._element);
  }
  _getItems() {
    return $.find(Ho, this._element);
  }
  _clearInterval() {
    this._interval && (clearInterval(this._interval), this._interval = null);
  }
  _directionToOrder(e) {
    return $e() ? e === Wt ? Ft : cn : e === Wt ? cn : Ft;
  }
  _orderToDirection(e) {
    return $e() ? e === Ft ? Wt : Fn : e === Ft ? Fn : Wt;
  }
  // Static
  static jQueryInterface(e) {
    return this.each(function() {
      const n = Nn.getOrCreateInstance(this, e);
      if (typeof e == "number") {
        n.to(e);
        return;
      }
      if (typeof e == "string") {
        if (n[e] === void 0 || e.startsWith("_") || e === "constructor")
          throw new TypeError(`No method named "${e}"`);
        n[e]();
      }
    });
  }
}
A.on(document, Mf, Kf, function(t) {
  const e = $.getElementFromSelector(this);
  if (!e || !e.classList.contains(Vo))
    return;
  t.preventDefault();
  const n = Nn.getOrCreateInstance(e), s = this.getAttribute("data-bs-slide-to");
  if (s) {
    n.to(s), n._maybeEnableCycle();
    return;
  }
  if (rt.getDataAttribute(this, "slide") === "next") {
    n.next(), n._maybeEnableCycle();
    return;
  }
  n.prev(), n._maybeEnableCycle();
});
A.on(window, Rf, () => {
  const t = $.find(jf);
  for (const e of t)
    Nn.getOrCreateInstance(e);
});
Me(Nn);
const Qf = "collapse", Jf = "bs.collapse", An = `.${Jf}`, zf = ".data-api", Zf = `show${An}`, ed = `shown${An}`, td = `hide${An}`, nd = `hidden${An}`, sd = `click${An}${zf}`, us = "show", Yt = "collapse", Dn = "collapsing", rd = "collapsed", id = `:scope .${Yt} .${Yt}`, od = "collapse-horizontal", ad = "width", ld = "height", cd = ".collapse.show, .collapse.collapsing", Ms = '[data-bs-toggle="collapse"]', ud = {
  parent: null,
  toggle: !0
}, fd = {
  parent: "(null|element)",
  toggle: "boolean"
};
class pn extends xe {
  constructor(e, n) {
    super(e, n), this._isTransitioning = !1, this._triggerArray = [];
    const s = $.find(Ms);
    for (const r of s) {
      const i = $.getSelectorFromElement(r), o = $.find(i).filter((a) => a === this._element);
      i !== null && o.length && this._triggerArray.push(r);
    }
    this._initializeChildren(), this._config.parent || this._addAriaAndCollapsedClass(this._triggerArray, this._isShown()), this._config.toggle && this.toggle();
  }
  // Getters
  static get Default() {
    return ud;
  }
  static get DefaultType() {
    return fd;
  }
  static get NAME() {
    return Qf;
  }
  // Public
  toggle() {
    this._isShown() ? this.hide() : this.show();
  }
  show() {
    if (this._isTransitioning || this._isShown())
      return;
    let e = [];
    if (this._config.parent && (e = this._getFirstLevelChildren(cd).filter((a) => a !== this._element).map((a) => pn.getOrCreateInstance(a, {
      toggle: !1
    }))), e.length && e[0]._isTransitioning || A.trigger(this._element, Zf).defaultPrevented)
      return;
    for (const a of e)
      a.hide();
    const s = this._getDimension();
    this._element.classList.remove(Yt), this._element.classList.add(Dn), this._element.style[s] = 0, this._addAriaAndCollapsedClass(this._triggerArray, !0), this._isTransitioning = !0;
    const r = () => {
      this._isTransitioning = !1, this._element.classList.remove(Dn), this._element.classList.add(Yt, us), this._element.style[s] = "", A.trigger(this._element, ed);
    }, o = `scroll${s[0].toUpperCase() + s.slice(1)}`;
    this._queueCallback(r, this._element, !0), this._element.style[s] = `${this._element[o]}px`;
  }
  hide() {
    if (this._isTransitioning || !this._isShown() || A.trigger(this._element, td).defaultPrevented)
      return;
    const n = this._getDimension();
    this._element.style[n] = `${this._element.getBoundingClientRect()[n]}px`, bn(this._element), this._element.classList.add(Dn), this._element.classList.remove(Yt, us);
    for (const r of this._triggerArray) {
      const i = $.getElementFromSelector(r);
      i && !this._isShown(i) && this._addAriaAndCollapsedClass([r], !1);
    }
    this._isTransitioning = !0;
    const s = () => {
      this._isTransitioning = !1, this._element.classList.remove(Dn), this._element.classList.add(Yt), A.trigger(this._element, nd);
    };
    this._element.style[n] = "", this._queueCallback(s, this._element, !0);
  }
  _isShown(e = this._element) {
    return e.classList.contains(us);
  }
  // Private
  _configAfterMerge(e) {
    return e.toggle = !!e.toggle, e.parent = _t(e.parent), e;
  }
  _getDimension() {
    return this._element.classList.contains(od) ? ad : ld;
  }
  _initializeChildren() {
    if (!this._config.parent)
      return;
    const e = this._getFirstLevelChildren(Ms);
    for (const n of e) {
      const s = $.getElementFromSelector(n);
      s && this._addAriaAndCollapsedClass([n], this._isShown(s));
    }
  }
  _getFirstLevelChildren(e) {
    const n = $.find(id, this._config.parent);
    return $.find(e, this._config.parent).filter((s) => !n.includes(s));
  }
  _addAriaAndCollapsedClass(e, n) {
    if (e.length)
      for (const s of e)
        s.classList.toggle(rd, !n), s.setAttribute("aria-expanded", n);
  }
  // Static
  static jQueryInterface(e) {
    const n = {};
    return typeof e == "string" && /show|hide/.test(e) && (n.toggle = !1), this.each(function() {
      const s = pn.getOrCreateInstance(this, n);
      if (typeof e == "string") {
        if (typeof s[e] > "u")
          throw new TypeError(`No method named "${e}"`);
        s[e]();
      }
    });
  }
}
A.on(document, sd, Ms, function(t) {
  (t.target.tagName === "A" || t.delegateTarget && t.delegateTarget.tagName === "A") && t.preventDefault();
  for (const e of $.getMultipleElementsFromSelector(this))
    pn.getOrCreateInstance(e, {
      toggle: !1
    }).toggle();
});
Me(pn);
const ti = "dropdown", dd = "bs.dropdown", $t = `.${dd}`, lr = ".data-api", _d = "Escape", ni = "Tab", hd = "ArrowUp", si = "ArrowDown", md = 2, pd = `hide${$t}`, gd = `hidden${$t}`, Ed = `show${$t}`, vd = `shown${$t}`, Wo = `click${$t}${lr}`, xo = `keydown${$t}${lr}`, bd = `keyup${$t}${lr}`, xt = "show", Td = "dropup", Nd = "dropend", Ad = "dropstart", yd = "dropup-center", Od = "dropdown-center", Ot = '[data-bs-toggle="dropdown"]:not(.disabled):not(:disabled)', Cd = `${Ot}.${xt}`, Vn = ".dropdown-menu", Ld = ".navbar", Id = ".navbar-nav", Sd = ".dropdown-menu .dropdown-item:not(.disabled):not(:disabled)", Dd = $e() ? "top-end" : "top-start", wd = $e() ? "top-start" : "top-end", Pd = $e() ? "bottom-end" : "bottom-start", $d = $e() ? "bottom-start" : "bottom-end", kd = $e() ? "left-start" : "right-start", Rd = $e() ? "right-start" : "left-start", Md = "top", Fd = "bottom", Vd = {
  autoClose: !0,
  boundary: "clippingParents",
  display: "dynamic",
  offset: [0, 2],
  popperConfig: null,
  reference: "toggle"
}, Ud = {
  autoClose: "(boolean|string)",
  boundary: "(string|element)",
  display: "string",
  offset: "(array|string|function)",
  popperConfig: "(null|object|function)",
  reference: "(string|element|object)"
};
class Je extends xe {
  constructor(e, n) {
    super(e, n), this._popper = null, this._parent = this._element.parentNode, this._menu = $.next(this._element, Vn)[0] || $.prev(this._element, Vn)[0] || $.findOne(Vn, this._parent), this._inNavbar = this._detectNavbar();
  }
  // Getters
  static get Default() {
    return Vd;
  }
  static get DefaultType() {
    return Ud;
  }
  static get NAME() {
    return ti;
  }
  // Public
  toggle() {
    return this._isShown() ? this.hide() : this.show();
  }
  show() {
    if (ht(this._element) || this._isShown())
      return;
    const e = {
      relatedTarget: this._element
    };
    if (!A.trigger(this._element, Ed, e).defaultPrevented) {
      if (this._createPopper(), "ontouchstart" in document.documentElement && !this._parent.closest(Id))
        for (const s of [].concat(...document.body.children))
          A.on(s, "mouseover", xn);
      this._element.focus(), this._element.setAttribute("aria-expanded", !0), this._menu.classList.add(xt), this._element.classList.add(xt), A.trigger(this._element, vd, e);
    }
  }
  hide() {
    if (ht(this._element) || !this._isShown())
      return;
    const e = {
      relatedTarget: this._element
    };
    this._completeHide(e);
  }
  dispose() {
    this._popper && this._popper.destroy(), super.dispose();
  }
  update() {
    this._inNavbar = this._detectNavbar(), this._popper && this._popper.update();
  }
  // Private
  _completeHide(e) {
    if (!A.trigger(this._element, pd, e).defaultPrevented) {
      if ("ontouchstart" in document.documentElement)
        for (const s of [].concat(...document.body.children))
          A.off(s, "mouseover", xn);
      this._popper && this._popper.destroy(), this._menu.classList.remove(xt), this._element.classList.remove(xt), this._element.setAttribute("aria-expanded", "false"), rt.removeDataAttribute(this._menu, "popper"), A.trigger(this._element, gd, e);
    }
  }
  _getConfig(e) {
    if (e = super._getConfig(e), typeof e.reference == "object" && !st(e.reference) && typeof e.reference.getBoundingClientRect != "function")
      throw new TypeError(`${ti.toUpperCase()}: Option "reference" provided type "object" without a required "getBoundingClientRect" method.`);
    return e;
  }
  _createPopper() {
    if (typeof yo > "u")
      throw new TypeError("Bootstrap's dropdowns require Popper (https://popper.js.org)");
    let e = this._element;
    this._config.reference === "parent" ? e = this._parent : st(this._config.reference) ? e = _t(this._config.reference) : typeof this._config.reference == "object" && (e = this._config.reference);
    const n = this._getPopperConfig();
    this._popper = ir(e, this._menu, n);
  }
  _isShown() {
    return this._menu.classList.contains(xt);
  }
  _getPlacement() {
    const e = this._parent;
    if (e.classList.contains(Nd))
      return kd;
    if (e.classList.contains(Ad))
      return Rd;
    if (e.classList.contains(yd))
      return Md;
    if (e.classList.contains(Od))
      return Fd;
    const n = getComputedStyle(this._menu).getPropertyValue("--bs-position").trim() === "end";
    return e.classList.contains(Td) ? n ? wd : Dd : n ? $d : Pd;
  }
  _detectNavbar() {
    return this._element.closest(Ld) !== null;
  }
  _getOffset() {
    const {
      offset: e
    } = this._config;
    return typeof e == "string" ? e.split(",").map((n) => Number.parseInt(n, 10)) : typeof e == "function" ? (n) => e(n, this._element) : e;
  }
  _getPopperConfig() {
    const e = {
      placement: this._getPlacement(),
      modifiers: [{
        name: "preventOverflow",
        options: {
          boundary: this._config.boundary
        }
      }, {
        name: "offset",
        options: {
          offset: this._getOffset()
        }
      }]
    };
    return (this._inNavbar || this._config.display === "static") && (rt.setDataAttribute(this._menu, "popper", "static"), e.modifiers = [{
      name: "applyStyles",
      enabled: !1
    }]), {
      ...e,
      ...be(this._config.popperConfig, [e])
    };
  }
  _selectMenuItem({
    key: e,
    target: n
  }) {
    const s = $.find(Sd, this._menu).filter((r) => sn(r));
    s.length && or(s, n, e === si, !s.includes(n)).focus();
  }
  // Static
  static jQueryInterface(e) {
    return this.each(function() {
      const n = Je.getOrCreateInstance(this, e);
      if (typeof e == "string") {
        if (typeof n[e] > "u")
          throw new TypeError(`No method named "${e}"`);
        n[e]();
      }
    });
  }
  static clearMenus(e) {
    if (e.button === md || e.type === "keyup" && e.key !== ni)
      return;
    const n = $.find(Cd);
    for (const s of n) {
      const r = Je.getInstance(s);
      if (!r || r._config.autoClose === !1)
        continue;
      const i = e.composedPath(), o = i.includes(r._menu);
      if (i.includes(r._element) || r._config.autoClose === "inside" && !o || r._config.autoClose === "outside" && o || r._menu.contains(e.target) && (e.type === "keyup" && e.key === ni || /input|select|option|textarea|form/i.test(e.target.tagName)))
        continue;
      const a = {
        relatedTarget: r._element
      };
      e.type === "click" && (a.clickEvent = e), r._completeHide(a);
    }
  }
  static dataApiKeydownHandler(e) {
    const n = /input|textarea/i.test(e.target.tagName), s = e.key === _d, r = [hd, si].includes(e.key);
    if (!r && !s || n && !s)
      return;
    e.preventDefault();
    const i = this.matches(Ot) ? this : $.prev(this, Ot)[0] || $.next(this, Ot)[0] || $.findOne(Ot, e.delegateTarget.parentNode), o = Je.getOrCreateInstance(i);
    if (r) {
      e.stopPropagation(), o.show(), o._selectMenuItem(e);
      return;
    }
    o._isShown() && (e.stopPropagation(), o.hide(), i.focus());
  }
}
A.on(document, xo, Ot, Je.dataApiKeydownHandler);
A.on(document, xo, Vn, Je.dataApiKeydownHandler);
A.on(document, Wo, Je.clearMenus);
A.on(document, bd, Je.clearMenus);
A.on(document, Wo, Ot, function(t) {
  t.preventDefault(), Je.getOrCreateInstance(this).toggle();
});
Me(Je);
const Bo = "backdrop", Hd = "fade", ri = "show", ii = `mousedown.bs.${Bo}`, Wd = {
  className: "modal-backdrop",
  clickCallback: null,
  isAnimated: !1,
  isVisible: !0,
  // if false, we use the backdrop helper without adding any element to the dom
  rootElement: "body"
  // give the choice to place backdrop under different elements
}, xd = {
  className: "string",
  clickCallback: "(function|null)",
  isAnimated: "boolean",
  isVisible: "boolean",
  rootElement: "(element|string)"
};
class Yo extends Tn {
  constructor(e) {
    super(), this._config = this._getConfig(e), this._isAppended = !1, this._element = null;
  }
  // Getters
  static get Default() {
    return Wd;
  }
  static get DefaultType() {
    return xd;
  }
  static get NAME() {
    return Bo;
  }
  // Public
  show(e) {
    if (!this._config.isVisible) {
      be(e);
      return;
    }
    this._append();
    const n = this._getElement();
    this._config.isAnimated && bn(n), n.classList.add(ri), this._emulateAnimation(() => {
      be(e);
    });
  }
  hide(e) {
    if (!this._config.isVisible) {
      be(e);
      return;
    }
    this._getElement().classList.remove(ri), this._emulateAnimation(() => {
      this.dispose(), be(e);
    });
  }
  dispose() {
    this._isAppended && (A.off(this._element, ii), this._element.remove(), this._isAppended = !1);
  }
  // Private
  _getElement() {
    if (!this._element) {
      const e = document.createElement("div");
      e.className = this._config.className, this._config.isAnimated && e.classList.add(Hd), this._element = e;
    }
    return this._element;
  }
  _configAfterMerge(e) {
    return e.rootElement = _t(e.rootElement), e;
  }
  _append() {
    if (this._isAppended)
      return;
    const e = this._getElement();
    this._config.rootElement.append(e), A.on(e, ii, () => {
      be(this._config.clickCallback);
    }), this._isAppended = !0;
  }
  _emulateAnimation(e) {
    So(e, this._getElement(), this._config.isAnimated);
  }
}
const Bd = "focustrap", Yd = "bs.focustrap", Yn = `.${Yd}`, Kd = `focusin${Yn}`, jd = `keydown.tab${Yn}`, Gd = "Tab", Xd = "forward", oi = "backward", qd = {
  autofocus: !0,
  trapElement: null
  // The element to trap focus inside of
}, Qd = {
  autofocus: "boolean",
  trapElement: "element"
};
class Ko extends Tn {
  constructor(e) {
    super(), this._config = this._getConfig(e), this._isActive = !1, this._lastTabNavDirection = null;
  }
  // Getters
  static get Default() {
    return qd;
  }
  static get DefaultType() {
    return Qd;
  }
  static get NAME() {
    return Bd;
  }
  // Public
  activate() {
    this._isActive || (this._config.autofocus && this._config.trapElement.focus(), A.off(document, Yn), A.on(document, Kd, (e) => this._handleFocusin(e)), A.on(document, jd, (e) => this._handleKeydown(e)), this._isActive = !0);
  }
  deactivate() {
    this._isActive && (this._isActive = !1, A.off(document, Yn));
  }
  // Private
  _handleFocusin(e) {
    const {
      trapElement: n
    } = this._config;
    if (e.target === document || e.target === n || n.contains(e.target))
      return;
    const s = $.focusableChildren(n);
    s.length === 0 ? n.focus() : this._lastTabNavDirection === oi ? s[s.length - 1].focus() : s[0].focus();
  }
  _handleKeydown(e) {
    e.key === Gd && (this._lastTabNavDirection = e.shiftKey ? oi : Xd);
  }
}
const ai = ".fixed-top, .fixed-bottom, .is-fixed, .sticky-top", li = ".sticky-top", wn = "padding-right", ci = "margin-right";
class Fs {
  constructor() {
    this._element = document.body;
  }
  // Public
  getWidth() {
    const e = document.documentElement.clientWidth;
    return Math.abs(window.innerWidth - e);
  }
  hide() {
    const e = this.getWidth();
    this._disableOverFlow(), this._setElementAttributes(this._element, wn, (n) => n + e), this._setElementAttributes(ai, wn, (n) => n + e), this._setElementAttributes(li, ci, (n) => n - e);
  }
  reset() {
    this._resetElementAttributes(this._element, "overflow"), this._resetElementAttributes(this._element, wn), this._resetElementAttributes(ai, wn), this._resetElementAttributes(li, ci);
  }
  isOverflowing() {
    return this.getWidth() > 0;
  }
  // Private
  _disableOverFlow() {
    this._saveInitialAttribute(this._element, "overflow"), this._element.style.overflow = "hidden";
  }
  _setElementAttributes(e, n, s) {
    const r = this.getWidth(), i = (o) => {
      if (o !== this._element && window.innerWidth > o.clientWidth + r)
        return;
      this._saveInitialAttribute(o, n);
      const a = window.getComputedStyle(o).getPropertyValue(n);
      o.style.setProperty(n, `${s(Number.parseFloat(a))}px`);
    };
    this._applyManipulationCallback(e, i);
  }
  _saveInitialAttribute(e, n) {
    const s = e.style.getPropertyValue(n);
    s && rt.setDataAttribute(e, n, s);
  }
  _resetElementAttributes(e, n) {
    const s = (r) => {
      const i = rt.getDataAttribute(r, n);
      if (i === null) {
        r.style.removeProperty(n);
        return;
      }
      rt.removeDataAttribute(r, n), r.style.setProperty(n, i);
    };
    this._applyManipulationCallback(e, s);
  }
  _applyManipulationCallback(e, n) {
    if (st(e)) {
      n(e);
      return;
    }
    for (const s of $.find(e, this._element))
      n(s);
  }
}
const Jd = "modal", zd = "bs.modal", ke = `.${zd}`, Zd = ".data-api", e_ = "Escape", t_ = `hide${ke}`, n_ = `hidePrevented${ke}`, jo = `hidden${ke}`, Go = `show${ke}`, s_ = `shown${ke}`, r_ = `resize${ke}`, i_ = `click.dismiss${ke}`, o_ = `mousedown.dismiss${ke}`, a_ = `keydown.dismiss${ke}`, l_ = `click${ke}${Zd}`, ui = "modal-open", c_ = "fade", fi = "show", fs = "modal-static", u_ = ".modal.show", f_ = ".modal-dialog", d_ = ".modal-body", __ = '[data-bs-toggle="modal"]', h_ = {
  backdrop: !0,
  focus: !0,
  keyboard: !0
}, m_ = {
  backdrop: "(boolean|string)",
  focus: "boolean",
  keyboard: "boolean"
};
class mt extends xe {
  constructor(e, n) {
    super(e, n), this._dialog = $.findOne(f_, this._element), this._backdrop = this._initializeBackDrop(), this._focustrap = this._initializeFocusTrap(), this._isShown = !1, this._isTransitioning = !1, this._scrollBar = new Fs(), this._addEventListeners();
  }
  // Getters
  static get Default() {
    return h_;
  }
  static get DefaultType() {
    return m_;
  }
  static get NAME() {
    return Jd;
  }
  // Public
  toggle(e) {
    return this._isShown ? this.hide() : this.show(e);
  }
  show(e) {
    this._isShown || this._isTransitioning || A.trigger(this._element, Go, {
      relatedTarget: e
    }).defaultPrevented || (this._isShown = !0, this._isTransitioning = !0, this._scrollBar.hide(), document.body.classList.add(ui), this._adjustDialog(), this._backdrop.show(() => this._showElement(e)));
  }
  hide() {
    !this._isShown || this._isTransitioning || A.trigger(this._element, t_).defaultPrevented || (this._isShown = !1, this._isTransitioning = !0, this._focustrap.deactivate(), this._element.classList.remove(fi), this._queueCallback(() => this._hideModal(), this._element, this._isAnimated()));
  }
  dispose() {
    A.off(window, ke), A.off(this._dialog, ke), this._backdrop.dispose(), this._focustrap.deactivate(), super.dispose();
  }
  handleUpdate() {
    this._adjustDialog();
  }
  // Private
  _initializeBackDrop() {
    return new Yo({
      isVisible: !!this._config.backdrop,
      // 'static' option will be translated to true, and booleans will keep their value,
      isAnimated: this._isAnimated()
    });
  }
  _initializeFocusTrap() {
    return new Ko({
      trapElement: this._element
    });
  }
  _showElement(e) {
    document.body.contains(this._element) || document.body.append(this._element), this._element.style.display = "block", this._element.removeAttribute("aria-hidden"), this._element.setAttribute("aria-modal", !0), this._element.setAttribute("role", "dialog"), this._element.scrollTop = 0;
    const n = $.findOne(d_, this._dialog);
    n && (n.scrollTop = 0), bn(this._element), this._element.classList.add(fi);
    const s = () => {
      this._config.focus && this._focustrap.activate(), this._isTransitioning = !1, A.trigger(this._element, s_, {
        relatedTarget: e
      });
    };
    this._queueCallback(s, this._dialog, this._isAnimated());
  }
  _addEventListeners() {
    A.on(this._element, a_, (e) => {
      if (e.key === e_) {
        if (this._config.keyboard) {
          this.hide();
          return;
        }
        this._triggerBackdropTransition();
      }
    }), A.on(window, r_, () => {
      this._isShown && !this._isTransitioning && this._adjustDialog();
    }), A.on(this._element, o_, (e) => {
      A.one(this._element, i_, (n) => {
        if (!(this._element !== e.target || this._element !== n.target)) {
          if (this._config.backdrop === "static") {
            this._triggerBackdropTransition();
            return;
          }
          this._config.backdrop && this.hide();
        }
      });
    });
  }
  _hideModal() {
    this._element.style.display = "none", this._element.setAttribute("aria-hidden", !0), this._element.removeAttribute("aria-modal"), this._element.removeAttribute("role"), this._isTransitioning = !1, this._backdrop.hide(() => {
      document.body.classList.remove(ui), this._resetAdjustments(), this._scrollBar.reset(), A.trigger(this._element, jo);
    });
  }
  _isAnimated() {
    return this._element.classList.contains(c_);
  }
  _triggerBackdropTransition() {
    if (A.trigger(this._element, n_).defaultPrevented)
      return;
    const n = this._element.scrollHeight > document.documentElement.clientHeight, s = this._element.style.overflowY;
    s === "hidden" || this._element.classList.contains(fs) || (n || (this._element.style.overflowY = "hidden"), this._element.classList.add(fs), this._queueCallback(() => {
      this._element.classList.remove(fs), this._queueCallback(() => {
        this._element.style.overflowY = s;
      }, this._dialog);
    }, this._dialog), this._element.focus());
  }
  /**
   * The following methods are used to handle overflowing modals
   */
  _adjustDialog() {
    const e = this._element.scrollHeight > document.documentElement.clientHeight, n = this._scrollBar.getWidth(), s = n > 0;
    if (s && !e) {
      const r = $e() ? "paddingLeft" : "paddingRight";
      this._element.style[r] = `${n}px`;
    }
    if (!s && e) {
      const r = $e() ? "paddingRight" : "paddingLeft";
      this._element.style[r] = `${n}px`;
    }
  }
  _resetAdjustments() {
    this._element.style.paddingLeft = "", this._element.style.paddingRight = "";
  }
  // Static
  static jQueryInterface(e, n) {
    return this.each(function() {
      const s = mt.getOrCreateInstance(this, e);
      if (typeof e == "string") {
        if (typeof s[e] > "u")
          throw new TypeError(`No method named "${e}"`);
        s[e](n);
      }
    });
  }
}
A.on(document, l_, __, function(t) {
  const e = $.getElementFromSelector(this);
  ["A", "AREA"].includes(this.tagName) && t.preventDefault(), A.one(e, Go, (r) => {
    r.defaultPrevented || A.one(e, jo, () => {
      sn(this) && this.focus();
    });
  });
  const n = $.findOne(u_);
  n && mt.getInstance(n).hide(), mt.getOrCreateInstance(e).toggle(this);
});
zn(mt);
Me(mt);
const p_ = "offcanvas", g_ = "bs.offcanvas", lt = `.${g_}`, Xo = ".data-api", E_ = `load${lt}${Xo}`, v_ = "Escape", di = "show", _i = "showing", hi = "hiding", b_ = "offcanvas-backdrop", qo = ".offcanvas.show", T_ = `show${lt}`, N_ = `shown${lt}`, A_ = `hide${lt}`, mi = `hidePrevented${lt}`, Qo = `hidden${lt}`, y_ = `resize${lt}`, O_ = `click${lt}${Xo}`, C_ = `keydown.dismiss${lt}`, L_ = '[data-bs-toggle="offcanvas"]', I_ = {
  backdrop: !0,
  keyboard: !0,
  scroll: !1
}, S_ = {
  backdrop: "(boolean|string)",
  keyboard: "boolean",
  scroll: "boolean"
};
class Ze extends xe {
  constructor(e, n) {
    super(e, n), this._isShown = !1, this._backdrop = this._initializeBackDrop(), this._focustrap = this._initializeFocusTrap(), this._addEventListeners();
  }
  // Getters
  static get Default() {
    return I_;
  }
  static get DefaultType() {
    return S_;
  }
  static get NAME() {
    return p_;
  }
  // Public
  toggle(e) {
    return this._isShown ? this.hide() : this.show(e);
  }
  show(e) {
    if (this._isShown || A.trigger(this._element, T_, {
      relatedTarget: e
    }).defaultPrevented)
      return;
    this._isShown = !0, this._backdrop.show(), this._config.scroll || new Fs().hide(), this._element.setAttribute("aria-modal", !0), this._element.setAttribute("role", "dialog"), this._element.classList.add(_i);
    const s = () => {
      (!this._config.scroll || this._config.backdrop) && this._focustrap.activate(), this._element.classList.add(di), this._element.classList.remove(_i), A.trigger(this._element, N_, {
        relatedTarget: e
      });
    };
    this._queueCallback(s, this._element, !0);
  }
  hide() {
    if (!this._isShown || A.trigger(this._element, A_).defaultPrevented)
      return;
    this._focustrap.deactivate(), this._element.blur(), this._isShown = !1, this._element.classList.add(hi), this._backdrop.hide();
    const n = () => {
      this._element.classList.remove(di, hi), this._element.removeAttribute("aria-modal"), this._element.removeAttribute("role"), this._config.scroll || new Fs().reset(), A.trigger(this._element, Qo);
    };
    this._queueCallback(n, this._element, !0);
  }
  dispose() {
    this._backdrop.dispose(), this._focustrap.deactivate(), super.dispose();
  }
  // Private
  _initializeBackDrop() {
    const e = () => {
      if (this._config.backdrop === "static") {
        A.trigger(this._element, mi);
        return;
      }
      this.hide();
    }, n = !!this._config.backdrop;
    return new Yo({
      className: b_,
      isVisible: n,
      isAnimated: !0,
      rootElement: this._element.parentNode,
      clickCallback: n ? e : null
    });
  }
  _initializeFocusTrap() {
    return new Ko({
      trapElement: this._element
    });
  }
  _addEventListeners() {
    A.on(this._element, C_, (e) => {
      if (e.key === v_) {
        if (this._config.keyboard) {
          this.hide();
          return;
        }
        A.trigger(this._element, mi);
      }
    });
  }
  // Static
  static jQueryInterface(e) {
    return this.each(function() {
      const n = Ze.getOrCreateInstance(this, e);
      if (typeof e == "string") {
        if (n[e] === void 0 || e.startsWith("_") || e === "constructor")
          throw new TypeError(`No method named "${e}"`);
        n[e](this);
      }
    });
  }
}
A.on(document, O_, L_, function(t) {
  const e = $.getElementFromSelector(this);
  if (["A", "AREA"].includes(this.tagName) && t.preventDefault(), ht(this))
    return;
  A.one(e, Qo, () => {
    sn(this) && this.focus();
  });
  const n = $.findOne(qo);
  n && n !== e && Ze.getInstance(n).hide(), Ze.getOrCreateInstance(e).toggle(this);
});
A.on(window, E_, () => {
  for (const t of $.find(qo))
    Ze.getOrCreateInstance(t).show();
});
A.on(window, y_, () => {
  for (const t of $.find("[aria-modal][class*=show][class*=offcanvas-]"))
    getComputedStyle(t).position !== "fixed" && Ze.getOrCreateInstance(t).hide();
});
zn(Ze);
Me(Ze);
const D_ = /^aria-[\w-]*$/i, Jo = {
  // Global attributes allowed on any supplied element below.
  "*": ["class", "dir", "id", "lang", "role", D_],
  a: ["target", "href", "title", "rel"],
  area: [],
  b: [],
  br: [],
  col: [],
  code: [],
  div: [],
  em: [],
  hr: [],
  h1: [],
  h2: [],
  h3: [],
  h4: [],
  h5: [],
  h6: [],
  i: [],
  img: ["src", "srcset", "alt", "title", "width", "height"],
  li: [],
  ol: [],
  p: [],
  pre: [],
  s: [],
  small: [],
  span: [],
  sub: [],
  sup: [],
  strong: [],
  u: [],
  ul: []
}, w_ = /* @__PURE__ */ new Set(["background", "cite", "href", "itemtype", "longdesc", "poster", "src", "xlink:href"]), P_ = /^(?!javascript:)(?:[a-z0-9+.-]+:|[^&:/?#]*(?:[/?#]|$))/i, $_ = (t, e) => {
  const n = t.nodeName.toLowerCase();
  return e.includes(n) ? w_.has(n) ? !!P_.test(t.nodeValue) : !0 : e.filter((s) => s instanceof RegExp).some((s) => s.test(n));
};
function k_(t, e, n) {
  if (!t.length)
    return t;
  if (n && typeof n == "function")
    return n(t);
  const r = new window.DOMParser().parseFromString(t, "text/html"), i = [].concat(...r.body.querySelectorAll("*"));
  for (const o of i) {
    const a = o.nodeName.toLowerCase();
    if (!Object.keys(e).includes(a)) {
      o.remove();
      continue;
    }
    const l = [].concat(...o.attributes), d = [].concat(e["*"] || [], e[a] || []);
    for (const f of l)
      $_(f, d) || o.removeAttribute(f.nodeName);
  }
  return r.body.innerHTML;
}
const R_ = "TemplateFactory", M_ = {
  allowList: Jo,
  content: {},
  // { selector : text ,  selector2 : text2 , }
  extraClass: "",
  html: !1,
  sanitize: !0,
  sanitizeFn: null,
  template: "<div></div>"
}, F_ = {
  allowList: "object",
  content: "object",
  extraClass: "(string|function)",
  html: "boolean",
  sanitize: "boolean",
  sanitizeFn: "(null|function)",
  template: "string"
}, V_ = {
  entry: "(string|element|function|null)",
  selector: "(string|element)"
};
class U_ extends Tn {
  constructor(e) {
    super(), this._config = this._getConfig(e);
  }
  // Getters
  static get Default() {
    return M_;
  }
  static get DefaultType() {
    return F_;
  }
  static get NAME() {
    return R_;
  }
  // Public
  getContent() {
    return Object.values(this._config.content).map((e) => this._resolvePossibleFunction(e)).filter(Boolean);
  }
  hasContent() {
    return this.getContent().length > 0;
  }
  changeContent(e) {
    return this._checkContent(e), this._config.content = {
      ...this._config.content,
      ...e
    }, this;
  }
  toHtml() {
    const e = document.createElement("div");
    e.innerHTML = this._maybeSanitize(this._config.template);
    for (const [r, i] of Object.entries(this._config.content))
      this._setContent(e, i, r);
    const n = e.children[0], s = this._resolvePossibleFunction(this._config.extraClass);
    return s && n.classList.add(...s.split(" ")), n;
  }
  // Private
  _typeCheckConfig(e) {
    super._typeCheckConfig(e), this._checkContent(e.content);
  }
  _checkContent(e) {
    for (const [n, s] of Object.entries(e))
      super._typeCheckConfig({
        selector: n,
        entry: s
      }, V_);
  }
  _setContent(e, n, s) {
    const r = $.findOne(s, e);
    if (r) {
      if (n = this._resolvePossibleFunction(n), !n) {
        r.remove();
        return;
      }
      if (st(n)) {
        this._putElementInTemplate(_t(n), r);
        return;
      }
      if (this._config.html) {
        r.innerHTML = this._maybeSanitize(n);
        return;
      }
      r.textContent = n;
    }
  }
  _maybeSanitize(e) {
    return this._config.sanitize ? k_(e, this._config.allowList, this._config.sanitizeFn) : e;
  }
  _resolvePossibleFunction(e) {
    return be(e, [this]);
  }
  _putElementInTemplate(e, n) {
    if (this._config.html) {
      n.innerHTML = "", n.append(e);
      return;
    }
    n.textContent = e.textContent;
  }
}
const H_ = "tooltip", W_ = /* @__PURE__ */ new Set(["sanitize", "allowList", "sanitizeFn"]), ds = "fade", x_ = "modal", Pn = "show", B_ = ".tooltip-inner", pi = `.${x_}`, gi = "hide.bs.modal", un = "hover", _s = "focus", Y_ = "click", K_ = "manual", j_ = "hide", G_ = "hidden", X_ = "show", q_ = "shown", Q_ = "inserted", J_ = "click", z_ = "focusin", Z_ = "focusout", eh = "mouseenter", th = "mouseleave", nh = {
  AUTO: "auto",
  TOP: "top",
  RIGHT: $e() ? "left" : "right",
  BOTTOM: "bottom",
  LEFT: $e() ? "right" : "left"
}, sh = {
  allowList: Jo,
  animation: !0,
  boundary: "clippingParents",
  container: !1,
  customClass: "",
  delay: 0,
  fallbackPlacements: ["top", "right", "bottom", "left"],
  html: !1,
  offset: [0, 6],
  placement: "top",
  popperConfig: null,
  sanitize: !0,
  sanitizeFn: null,
  selector: !1,
  template: '<div class="tooltip" role="tooltip"><div class="tooltip-arrow"></div><div class="tooltip-inner"></div></div>',
  title: "",
  trigger: "hover focus"
}, rh = {
  allowList: "object",
  animation: "boolean",
  boundary: "(string|element)",
  container: "(string|element|boolean)",
  customClass: "(string|function)",
  delay: "(number|object)",
  fallbackPlacements: "array",
  html: "boolean",
  offset: "(array|string|function)",
  placement: "(string|function)",
  popperConfig: "(null|object|function)",
  sanitize: "boolean",
  sanitizeFn: "(null|function)",
  selector: "(string|boolean)",
  template: "string",
  title: "(string|element|function)",
  trigger: "string"
};
class on extends xe {
  constructor(e, n) {
    if (typeof yo > "u")
      throw new TypeError("Bootstrap's tooltips require Popper (https://popper.js.org)");
    super(e, n), this._isEnabled = !0, this._timeout = 0, this._isHovered = null, this._activeTrigger = {}, this._popper = null, this._templateFactory = null, this._newContent = null, this.tip = null, this._setListeners(), this._config.selector || this._fixTitle();
  }
  // Getters
  static get Default() {
    return sh;
  }
  static get DefaultType() {
    return rh;
  }
  static get NAME() {
    return H_;
  }
  // Public
  enable() {
    this._isEnabled = !0;
  }
  disable() {
    this._isEnabled = !1;
  }
  toggleEnabled() {
    this._isEnabled = !this._isEnabled;
  }
  toggle() {
    if (this._isEnabled) {
      if (this._activeTrigger.click = !this._activeTrigger.click, this._isShown()) {
        this._leave();
        return;
      }
      this._enter();
    }
  }
  dispose() {
    clearTimeout(this._timeout), A.off(this._element.closest(pi), gi, this._hideModalHandler), this._element.getAttribute("data-bs-original-title") && this._element.setAttribute("title", this._element.getAttribute("data-bs-original-title")), this._disposePopper(), super.dispose();
  }
  show() {
    if (this._element.style.display === "none")
      throw new Error("Please use show on visible elements");
    if (!(this._isWithContent() && this._isEnabled))
      return;
    const e = A.trigger(this._element, this.constructor.eventName(X_)), s = (Lo(this._element) || this._element.ownerDocument.documentElement).contains(this._element);
    if (e.defaultPrevented || !s)
      return;
    this._disposePopper();
    const r = this._getTipElement();
    this._element.setAttribute("aria-describedby", r.getAttribute("id"));
    const {
      container: i
    } = this._config;
    if (this._element.ownerDocument.documentElement.contains(this.tip) || (i.append(r), A.trigger(this._element, this.constructor.eventName(Q_))), this._popper = this._createPopper(r), r.classList.add(Pn), "ontouchstart" in document.documentElement)
      for (const a of [].concat(...document.body.children))
        A.on(a, "mouseover", xn);
    const o = () => {
      A.trigger(this._element, this.constructor.eventName(q_)), this._isHovered === !1 && this._leave(), this._isHovered = !1;
    };
    this._queueCallback(o, this.tip, this._isAnimated());
  }
  hide() {
    if (!this._isShown() || A.trigger(this._element, this.constructor.eventName(j_)).defaultPrevented)
      return;
    if (this._getTipElement().classList.remove(Pn), "ontouchstart" in document.documentElement)
      for (const r of [].concat(...document.body.children))
        A.off(r, "mouseover", xn);
    this._activeTrigger[Y_] = !1, this._activeTrigger[_s] = !1, this._activeTrigger[un] = !1, this._isHovered = null;
    const s = () => {
      this._isWithActiveTrigger() || (this._isHovered || this._disposePopper(), this._element.removeAttribute("aria-describedby"), A.trigger(this._element, this.constructor.eventName(G_)));
    };
    this._queueCallback(s, this.tip, this._isAnimated());
  }
  update() {
    this._popper && this._popper.update();
  }
  // Protected
  _isWithContent() {
    return !!this._getTitle();
  }
  _getTipElement() {
    return this.tip || (this.tip = this._createTipElement(this._newContent || this._getContentForTemplate())), this.tip;
  }
  _createTipElement(e) {
    const n = this._getTemplateFactory(e).toHtml();
    if (!n)
      return null;
    n.classList.remove(ds, Pn), n.classList.add(`bs-${this.constructor.NAME}-auto`);
    const s = Bu(this.constructor.NAME).toString();
    return n.setAttribute("id", s), this._isAnimated() && n.classList.add(ds), n;
  }
  setContent(e) {
    this._newContent = e, this._isShown() && (this._disposePopper(), this.show());
  }
  _getTemplateFactory(e) {
    return this._templateFactory ? this._templateFactory.changeContent(e) : this._templateFactory = new U_({
      ...this._config,
      // the `content` var has to be after `this._config`
      // to override config.content in case of popover
      content: e,
      extraClass: this._resolvePossibleFunction(this._config.customClass)
    }), this._templateFactory;
  }
  _getContentForTemplate() {
    return {
      [B_]: this._getTitle()
    };
  }
  _getTitle() {
    return this._resolvePossibleFunction(this._config.title) || this._element.getAttribute("data-bs-original-title");
  }
  // Private
  _initializeOnDelegatedTarget(e) {
    return this.constructor.getOrCreateInstance(e.delegateTarget, this._getDelegateConfig());
  }
  _isAnimated() {
    return this._config.animation || this.tip && this.tip.classList.contains(ds);
  }
  _isShown() {
    return this.tip && this.tip.classList.contains(Pn);
  }
  _createPopper(e) {
    const n = be(this._config.placement, [this, e, this._element]), s = nh[n.toUpperCase()];
    return ir(this._element, e, this._getPopperConfig(s));
  }
  _getOffset() {
    const {
      offset: e
    } = this._config;
    return typeof e == "string" ? e.split(",").map((n) => Number.parseInt(n, 10)) : typeof e == "function" ? (n) => e(n, this._element) : e;
  }
  _resolvePossibleFunction(e) {
    return be(e, [this._element]);
  }
  _getPopperConfig(e) {
    const n = {
      placement: e,
      modifiers: [{
        name: "flip",
        options: {
          fallbackPlacements: this._config.fallbackPlacements
        }
      }, {
        name: "offset",
        options: {
          offset: this._getOffset()
        }
      }, {
        name: "preventOverflow",
        options: {
          boundary: this._config.boundary
        }
      }, {
        name: "arrow",
        options: {
          element: `.${this.constructor.NAME}-arrow`
        }
      }, {
        name: "preSetPlacement",
        enabled: !0,
        phase: "beforeMain",
        fn: (s) => {
          this._getTipElement().setAttribute("data-popper-placement", s.state.placement);
        }
      }]
    };
    return {
      ...n,
      ...be(this._config.popperConfig, [n])
    };
  }
  _setListeners() {
    const e = this._config.trigger.split(" ");
    for (const n of e)
      if (n === "click")
        A.on(this._element, this.constructor.eventName(J_), this._config.selector, (s) => {
          this._initializeOnDelegatedTarget(s).toggle();
        });
      else if (n !== K_) {
        const s = n === un ? this.constructor.eventName(eh) : this.constructor.eventName(z_), r = n === un ? this.constructor.eventName(th) : this.constructor.eventName(Z_);
        A.on(this._element, s, this._config.selector, (i) => {
          const o = this._initializeOnDelegatedTarget(i);
          o._activeTrigger[i.type === "focusin" ? _s : un] = !0, o._enter();
        }), A.on(this._element, r, this._config.selector, (i) => {
          const o = this._initializeOnDelegatedTarget(i);
          o._activeTrigger[i.type === "focusout" ? _s : un] = o._element.contains(i.relatedTarget), o._leave();
        });
      }
    this._hideModalHandler = () => {
      this._element && this.hide();
    }, A.on(this._element.closest(pi), gi, this._hideModalHandler);
  }
  _fixTitle() {
    const e = this._element.getAttribute("title");
    e && (!this._element.getAttribute("aria-label") && !this._element.textContent.trim() && this._element.setAttribute("aria-label", e), this._element.setAttribute("data-bs-original-title", e), this._element.removeAttribute("title"));
  }
  _enter() {
    if (this._isShown() || this._isHovered) {
      this._isHovered = !0;
      return;
    }
    this._isHovered = !0, this._setTimeout(() => {
      this._isHovered && this.show();
    }, this._config.delay.show);
  }
  _leave() {
    this._isWithActiveTrigger() || (this._isHovered = !1, this._setTimeout(() => {
      this._isHovered || this.hide();
    }, this._config.delay.hide));
  }
  _setTimeout(e, n) {
    clearTimeout(this._timeout), this._timeout = setTimeout(e, n);
  }
  _isWithActiveTrigger() {
    return Object.values(this._activeTrigger).includes(!0);
  }
  _getConfig(e) {
    const n = rt.getDataAttributes(this._element);
    for (const s of Object.keys(n))
      W_.has(s) && delete n[s];
    return e = {
      ...n,
      ...typeof e == "object" && e ? e : {}
    }, e = this._mergeConfigObj(e), e = this._configAfterMerge(e), this._typeCheckConfig(e), e;
  }
  _configAfterMerge(e) {
    return e.container = e.container === !1 ? document.body : _t(e.container), typeof e.delay == "number" && (e.delay = {
      show: e.delay,
      hide: e.delay
    }), typeof e.title == "number" && (e.title = e.title.toString()), typeof e.content == "number" && (e.content = e.content.toString()), e;
  }
  _getDelegateConfig() {
    const e = {};
    for (const [n, s] of Object.entries(this._config))
      this.constructor.Default[n] !== s && (e[n] = s);
    return e.selector = !1, e.trigger = "manual", e;
  }
  _disposePopper() {
    this._popper && (this._popper.destroy(), this._popper = null), this.tip && (this.tip.remove(), this.tip = null);
  }
  // Static
  static jQueryInterface(e) {
    return this.each(function() {
      const n = on.getOrCreateInstance(this, e);
      if (typeof e == "string") {
        if (typeof n[e] > "u")
          throw new TypeError(`No method named "${e}"`);
        n[e]();
      }
    });
  }
}
Me(on);
const ih = "popover", oh = ".popover-header", ah = ".popover-body", lh = {
  ...on.Default,
  content: "",
  offset: [0, 8],
  placement: "right",
  template: '<div class="popover" role="tooltip"><div class="popover-arrow"></div><h3 class="popover-header"></h3><div class="popover-body"></div></div>',
  trigger: "click"
}, ch = {
  ...on.DefaultType,
  content: "(null|string|element|function)"
};
class cr extends on {
  // Getters
  static get Default() {
    return lh;
  }
  static get DefaultType() {
    return ch;
  }
  static get NAME() {
    return ih;
  }
  // Overrides
  _isWithContent() {
    return this._getTitle() || this._getContent();
  }
  // Private
  _getContentForTemplate() {
    return {
      [oh]: this._getTitle(),
      [ah]: this._getContent()
    };
  }
  _getContent() {
    return this._resolvePossibleFunction(this._config.content);
  }
  // Static
  static jQueryInterface(e) {
    return this.each(function() {
      const n = cr.getOrCreateInstance(this, e);
      if (typeof e == "string") {
        if (typeof n[e] > "u")
          throw new TypeError(`No method named "${e}"`);
        n[e]();
      }
    });
  }
}
Me(cr);
const uh = "scrollspy", fh = "bs.scrollspy", ur = `.${fh}`, dh = ".data-api", _h = `activate${ur}`, Ei = `click${ur}`, hh = `load${ur}${dh}`, mh = "dropdown-item", Vt = "active", ph = '[data-bs-spy="scroll"]', hs = "[href]", gh = ".nav, .list-group", vi = ".nav-link", Eh = ".nav-item", vh = ".list-group-item", bh = `${vi}, ${Eh} > ${vi}, ${vh}`, Th = ".dropdown", Nh = ".dropdown-toggle", Ah = {
  offset: null,
  // TODO: v6 @deprecated, keep it for backwards compatibility reasons
  rootMargin: "0px 0px -25%",
  smoothScroll: !1,
  target: null,
  threshold: [0.1, 0.5, 1]
}, yh = {
  offset: "(number|null)",
  // TODO v6 @deprecated, keep it for backwards compatibility reasons
  rootMargin: "string",
  smoothScroll: "boolean",
  target: "element",
  threshold: "array"
};
class ts extends xe {
  constructor(e, n) {
    super(e, n), this._targetLinks = /* @__PURE__ */ new Map(), this._observableSections = /* @__PURE__ */ new Map(), this._rootElement = getComputedStyle(this._element).overflowY === "visible" ? null : this._element, this._activeTarget = null, this._observer = null, this._previousScrollData = {
      visibleEntryTop: 0,
      parentScrollTop: 0
    }, this.refresh();
  }
  // Getters
  static get Default() {
    return Ah;
  }
  static get DefaultType() {
    return yh;
  }
  static get NAME() {
    return uh;
  }
  // Public
  refresh() {
    this._initializeTargetsAndObservables(), this._maybeEnableSmoothScroll(), this._observer ? this._observer.disconnect() : this._observer = this._getNewObserver();
    for (const e of this._observableSections.values())
      this._observer.observe(e);
  }
  dispose() {
    this._observer.disconnect(), super.dispose();
  }
  // Private
  _configAfterMerge(e) {
    return e.target = _t(e.target) || document.body, e.rootMargin = e.offset ? `${e.offset}px 0px -30%` : e.rootMargin, typeof e.threshold == "string" && (e.threshold = e.threshold.split(",").map((n) => Number.parseFloat(n))), e;
  }
  _maybeEnableSmoothScroll() {
    this._config.smoothScroll && (A.off(this._config.target, Ei), A.on(this._config.target, Ei, hs, (e) => {
      const n = this._observableSections.get(e.target.hash);
      if (n) {
        e.preventDefault();
        const s = this._rootElement || window, r = n.offsetTop - this._element.offsetTop;
        if (s.scrollTo) {
          s.scrollTo({
            top: r,
            behavior: "smooth"
          });
          return;
        }
        s.scrollTop = r;
      }
    }));
  }
  _getNewObserver() {
    const e = {
      root: this._rootElement,
      threshold: this._config.threshold,
      rootMargin: this._config.rootMargin
    };
    return new IntersectionObserver((n) => this._observerCallback(n), e);
  }
  // The logic of selection
  _observerCallback(e) {
    const n = (o) => this._targetLinks.get(`#${o.target.id}`), s = (o) => {
      this._previousScrollData.visibleEntryTop = o.target.offsetTop, this._process(n(o));
    }, r = (this._rootElement || document.documentElement).scrollTop, i = r >= this._previousScrollData.parentScrollTop;
    this._previousScrollData.parentScrollTop = r;
    for (const o of e) {
      if (!o.isIntersecting) {
        this._activeTarget = null, this._clearActiveClass(n(o));
        continue;
      }
      const a = o.target.offsetTop >= this._previousScrollData.visibleEntryTop;
      if (i && a) {
        if (s(o), !r)
          return;
        continue;
      }
      !i && !a && s(o);
    }
  }
  _initializeTargetsAndObservables() {
    this._targetLinks = /* @__PURE__ */ new Map(), this._observableSections = /* @__PURE__ */ new Map();
    const e = $.find(hs, this._config.target);
    for (const n of e) {
      if (!n.hash || ht(n))
        continue;
      const s = $.findOne(decodeURI(n.hash), this._element);
      sn(s) && (this._targetLinks.set(decodeURI(n.hash), n), this._observableSections.set(n.hash, s));
    }
  }
  _process(e) {
    this._activeTarget !== e && (this._clearActiveClass(this._config.target), this._activeTarget = e, e.classList.add(Vt), this._activateParents(e), A.trigger(this._element, _h, {
      relatedTarget: e
    }));
  }
  _activateParents(e) {
    if (e.classList.contains(mh)) {
      $.findOne(Nh, e.closest(Th)).classList.add(Vt);
      return;
    }
    for (const n of $.parents(e, gh))
      for (const s of $.prev(n, bh))
        s.classList.add(Vt);
  }
  _clearActiveClass(e) {
    e.classList.remove(Vt);
    const n = $.find(`${hs}.${Vt}`, e);
    for (const s of n)
      s.classList.remove(Vt);
  }
  // Static
  static jQueryInterface(e) {
    return this.each(function() {
      const n = ts.getOrCreateInstance(this, e);
      if (typeof e == "string") {
        if (n[e] === void 0 || e.startsWith("_") || e === "constructor")
          throw new TypeError(`No method named "${e}"`);
        n[e]();
      }
    });
  }
}
A.on(window, hh, () => {
  for (const t of $.find(ph))
    ts.getOrCreateInstance(t);
});
Me(ts);
const Oh = "tab", Ch = "bs.tab", kt = `.${Ch}`, Lh = `hide${kt}`, Ih = `hidden${kt}`, Sh = `show${kt}`, Dh = `shown${kt}`, wh = `click${kt}`, Ph = `keydown${kt}`, $h = `load${kt}`, kh = "ArrowLeft", bi = "ArrowRight", Rh = "ArrowUp", Ti = "ArrowDown", ms = "Home", Ni = "End", Ct = "active", Ai = "fade", ps = "show", Mh = "dropdown", zo = ".dropdown-toggle", Fh = ".dropdown-menu", gs = `:not(${zo})`, Vh = '.list-group, .nav, [role="tablist"]', Uh = ".nav-item, .list-group-item", Hh = `.nav-link${gs}, .list-group-item${gs}, [role="tab"]${gs}`, Zo = '[data-bs-toggle="tab"], [data-bs-toggle="pill"], [data-bs-toggle="list"]', Es = `${Hh}, ${Zo}`, Wh = `.${Ct}[data-bs-toggle="tab"], .${Ct}[data-bs-toggle="pill"], .${Ct}[data-bs-toggle="list"]`;
class Zt extends xe {
  constructor(e) {
    super(e), this._parent = this._element.closest(Vh), this._parent && (this._setInitialAttributes(this._parent, this._getChildren()), A.on(this._element, Ph, (n) => this._keydown(n)));
  }
  // Getters
  static get NAME() {
    return Oh;
  }
  // Public
  show() {
    const e = this._element;
    if (this._elemIsActive(e))
      return;
    const n = this._getActiveElem(), s = n ? A.trigger(n, Lh, {
      relatedTarget: e
    }) : null;
    A.trigger(e, Sh, {
      relatedTarget: n
    }).defaultPrevented || s && s.defaultPrevented || (this._deactivate(n, e), this._activate(e, n));
  }
  // Private
  _activate(e, n) {
    if (!e)
      return;
    e.classList.add(Ct), this._activate($.getElementFromSelector(e));
    const s = () => {
      if (e.getAttribute("role") !== "tab") {
        e.classList.add(ps);
        return;
      }
      e.removeAttribute("tabindex"), e.setAttribute("aria-selected", !0), this._toggleDropDown(e, !0), A.trigger(e, Dh, {
        relatedTarget: n
      });
    };
    this._queueCallback(s, e, e.classList.contains(Ai));
  }
  _deactivate(e, n) {
    if (!e)
      return;
    e.classList.remove(Ct), e.blur(), this._deactivate($.getElementFromSelector(e));
    const s = () => {
      if (e.getAttribute("role") !== "tab") {
        e.classList.remove(ps);
        return;
      }
      e.setAttribute("aria-selected", !1), e.setAttribute("tabindex", "-1"), this._toggleDropDown(e, !1), A.trigger(e, Ih, {
        relatedTarget: n
      });
    };
    this._queueCallback(s, e, e.classList.contains(Ai));
  }
  _keydown(e) {
    if (![kh, bi, Rh, Ti, ms, Ni].includes(e.key))
      return;
    e.stopPropagation(), e.preventDefault();
    const n = this._getChildren().filter((r) => !ht(r));
    let s;
    if ([ms, Ni].includes(e.key))
      s = n[e.key === ms ? 0 : n.length - 1];
    else {
      const r = [bi, Ti].includes(e.key);
      s = or(n, e.target, r, !0);
    }
    s && (s.focus({
      preventScroll: !0
    }), Zt.getOrCreateInstance(s).show());
  }
  _getChildren() {
    return $.find(Es, this._parent);
  }
  _getActiveElem() {
    return this._getChildren().find((e) => this._elemIsActive(e)) || null;
  }
  _setInitialAttributes(e, n) {
    this._setAttributeIfNotExists(e, "role", "tablist");
    for (const s of n)
      this._setInitialAttributesOnChild(s);
  }
  _setInitialAttributesOnChild(e) {
    e = this._getInnerElement(e);
    const n = this._elemIsActive(e), s = this._getOuterElement(e);
    e.setAttribute("aria-selected", n), s !== e && this._setAttributeIfNotExists(s, "role", "presentation"), n || e.setAttribute("tabindex", "-1"), this._setAttributeIfNotExists(e, "role", "tab"), this._setInitialAttributesOnTargetPanel(e);
  }
  _setInitialAttributesOnTargetPanel(e) {
    const n = $.getElementFromSelector(e);
    n && (this._setAttributeIfNotExists(n, "role", "tabpanel"), e.id && this._setAttributeIfNotExists(n, "aria-labelledby", `${e.id}`));
  }
  _toggleDropDown(e, n) {
    const s = this._getOuterElement(e);
    if (!s.classList.contains(Mh))
      return;
    const r = (i, o) => {
      const a = $.findOne(i, s);
      a && a.classList.toggle(o, n);
    };
    r(zo, Ct), r(Fh, ps), s.setAttribute("aria-expanded", n);
  }
  _setAttributeIfNotExists(e, n, s) {
    e.hasAttribute(n) || e.setAttribute(n, s);
  }
  _elemIsActive(e) {
    return e.classList.contains(Ct);
  }
  // Try to get the inner element (usually the .nav-link)
  _getInnerElement(e) {
    return e.matches(Es) ? e : $.findOne(Es, e);
  }
  // Try to get the outer element (usually the .nav-item)
  _getOuterElement(e) {
    return e.closest(Uh) || e;
  }
  // Static
  static jQueryInterface(e) {
    return this.each(function() {
      const n = Zt.getOrCreateInstance(this);
      if (typeof e == "string") {
        if (n[e] === void 0 || e.startsWith("_") || e === "constructor")
          throw new TypeError(`No method named "${e}"`);
        n[e]();
      }
    });
  }
}
A.on(document, wh, Zo, function(t) {
  ["A", "AREA"].includes(this.tagName) && t.preventDefault(), !ht(this) && Zt.getOrCreateInstance(this).show();
});
A.on(window, $h, () => {
  for (const t of $.find(Wh))
    Zt.getOrCreateInstance(t);
});
Me(Zt);
const xh = "toast", Bh = "bs.toast", bt = `.${Bh}`, Yh = `mouseover${bt}`, Kh = `mouseout${bt}`, jh = `focusin${bt}`, Gh = `focusout${bt}`, Xh = `hide${bt}`, qh = `hidden${bt}`, Qh = `show${bt}`, Jh = `shown${bt}`, zh = "fade", yi = "hide", $n = "show", kn = "showing", Zh = {
  animation: "boolean",
  autohide: "boolean",
  delay: "number"
}, em = {
  animation: !0,
  autohide: !0,
  delay: 5e3
};
class en extends xe {
  constructor(e, n) {
    super(e, n), this._timeout = null, this._hasMouseInteraction = !1, this._hasKeyboardInteraction = !1, this._setListeners();
  }
  // Getters
  static get Default() {
    return em;
  }
  static get DefaultType() {
    return Zh;
  }
  static get NAME() {
    return xh;
  }
  // Public
  show() {
    if (A.trigger(this._element, Qh).defaultPrevented)
      return;
    this._clearTimeout(), this._config.animation && this._element.classList.add(zh);
    const n = () => {
      this._element.classList.remove(kn), A.trigger(this._element, Jh), this._maybeScheduleHide();
    };
    this._element.classList.remove(yi), bn(this._element), this._element.classList.add($n, kn), this._queueCallback(n, this._element, this._config.animation);
  }
  hide() {
    if (!this.isShown() || A.trigger(this._element, Xh).defaultPrevented)
      return;
    const n = () => {
      this._element.classList.add(yi), this._element.classList.remove(kn, $n), A.trigger(this._element, qh);
    };
    this._element.classList.add(kn), this._queueCallback(n, this._element, this._config.animation);
  }
  dispose() {
    this._clearTimeout(), this.isShown() && this._element.classList.remove($n), super.dispose();
  }
  isShown() {
    return this._element.classList.contains($n);
  }
  // Private
  _maybeScheduleHide() {
    this._config.autohide && (this._hasMouseInteraction || this._hasKeyboardInteraction || (this._timeout = setTimeout(() => {
      this.hide();
    }, this._config.delay)));
  }
  _onInteraction(e, n) {
    switch (e.type) {
      case "mouseover":
      case "mouseout": {
        this._hasMouseInteraction = n;
        break;
      }
      case "focusin":
      case "focusout": {
        this._hasKeyboardInteraction = n;
        break;
      }
    }
    if (n) {
      this._clearTimeout();
      return;
    }
    const s = e.relatedTarget;
    this._element === s || this._element.contains(s) || this._maybeScheduleHide();
  }
  _setListeners() {
    A.on(this._element, Yh, (e) => this._onInteraction(e, !0)), A.on(this._element, Kh, (e) => this._onInteraction(e, !1)), A.on(this._element, jh, (e) => this._onInteraction(e, !0)), A.on(this._element, Gh, (e) => this._onInteraction(e, !1));
  }
  _clearTimeout() {
    clearTimeout(this._timeout), this._timeout = null;
  }
  // Static
  static jQueryInterface(e) {
    return this.each(function() {
      const n = en.getOrCreateInstance(this, e);
      if (typeof e == "string") {
        if (typeof n[e] > "u")
          throw new TypeError(`No method named "${e}"`);
        n[e](this);
      }
    });
  }
}
zn(en);
Me(en);
const tm = he({
  name: "BsToast",
  emits: ["shown", "hidden"],
  mounted() {
    const t = this.$refs.toastRef;
    en.getOrCreateInstance(t).show(), t.addEventListener("shown.bs.toast", this.onShown), t.addEventListener("hidden.bs.toast", this.onHidden);
  },
  methods: {
    /**
     * Trigger toast hide event.
     */
    hide() {
      en.getOrCreateInstance(this.$refs.toastRef).hide();
    },
    /**
     * Hidden event.
     */
    onShown() {
      this.$emit("shown");
    },
    /**
     * Hidden event.
     */
    onHidden() {
      this.$emit("hidden");
    }
  }
}), nm = {
  ref: "toastRef",
  class: "toast hide",
  role: "alert",
  "aria-live": "assertive",
  "aria-atomic": "true"
};
function sm(t, e, n, s, r, i) {
  return F(), V("div", nm, [
    He(t.$slots, "default")
  ], 512);
}
const xm = /* @__PURE__ */ Re(tm, [["render", sm]]), rm = he({
  name: "BsModal",
  props: {
    /**
     * Modal title
     */
    title: {
      type: String,
      required: !0
    },
    classDialog: {
      type: [String, Object],
      default: null
    },
    hideHeader: {
      type: Boolean,
      default: !1
    },
    hideBody: {
      type: Boolean,
      default: !1
    },
    hideFooter: {
      type: Boolean,
      default: !1
    }
  },
  emits: ["shown", "hidden"],
  mounted() {
    const t = this.$refs.modalRef;
    mt.getOrCreateInstance(t).show(), t.addEventListener("shown.bs.modal", this.onShown), t.addEventListener("hidden.bs.modal", this.onHidden);
  },
  methods: {
    /**
     * Trigger modal hide event.
     */
    hide() {
      mt.getOrCreateInstance(this.$refs.modalRef).hide();
    },
    /**
     * Shown event.
     */
    onShown() {
      this.$emit("shown");
    },
    /**
     * Hidden event.
     */
    onHidden() {
      this.$emit("hidden");
    }
  }
}), im = {
  ref: "modalRef",
  class: "modal fade",
  tabindex: "-1",
  "aria-hidden": "true"
}, om = { class: "modal-content" }, am = {
  key: 0,
  class: "modal-header"
}, lm = ["textContent"], cm = /* @__PURE__ */ B("button", {
  type: "button",
  class: "btn-close",
  "data-bs-dismiss": "modal"
}, null, -1), um = {
  key: 1,
  class: "modal-body"
}, fm = {
  key: 2,
  class: "modal-footer"
};
function dm(t, e, n, s, r, i) {
  return F(), V("div", im, [
    B("div", {
      class: ve(["modal-dialog", t.classDialog])
    }, [
      B("div", om, [
        t.hideHeader ? te("", !0) : (F(), V("div", am, [
          He(t.$slots, "header", {}, () => [
            B("div", {
              class: "h5 modal-title",
              textContent: X(t.title)
            }, null, 8, lm),
            cm
          ])
        ])),
        t.hideBody ? te("", !0) : (F(), V("div", um, [
          He(t.$slots, "body")
        ])),
        t.hideFooter ? te("", !0) : (F(), V("div", fm, [
          He(t.$slots, "footer")
        ]))
      ])
    ], 2)
  ], 512);
}
const Bm = /* @__PURE__ */ Re(rm, [["render", dm]]), _m = he({
  name: "BsSelect",
  props: {
    /**
     * Value for v-model
     */
    modelValue: {
      type: [String, Number, Array],
      default: null
    },
    /**
     * Html id
     */
    id: {
      type: String,
      required: !0
    },
    /**
     * Label for input
     */
    label: {
      type: String,
      default: void 0
    },
    /**
     * Attribute hint
     */
    hint: {
      type: String,
      default: void 0
    },
    /**
     * Options
     */
    options: {
      type: Array,
      required: !0
    },
    /**
     * Placeholder
     */
    placeholder: {
      type: String,
      default: void 0
    },
    /**
     * Enable or disable validator
     */
    validatorEnabled: {
      type: Boolean,
      default: !0
    }
  },
  emits: ["update:modelValue"],
  setup() {
    const t = we(null);
    return {
      inputRef: t,
      validator: En(t)
    };
  },
  methods: {
    /**
     * Hint id is generated
     */
    getHintId() {
      return this.id + "Hint";
    },
    /**
     * On input event
     *
     * @param event
     */
    onInput(t) {
      const e = t.target;
      this.$emit("update:modelValue", e.value);
    },
    /**
     * On invalid event
     *
     * @param event
     */
    onInvalid(t) {
      this.validatorEnabled && this.validator.onInvalid(t);
    }
  }
}), hm = ["for", "textContent"], mm = ["id", "value", "aria-labelledby"], pm = {
  key: 0,
  value: "",
  disabled: "",
  hidden: ""
}, gm = ["value"], Em = ["textContent"], vm = ["id", "textContent"];
function bm(t, e, n, s, r, i) {
  return F(), V(We, null, [
    t.label !== void 0 ? (F(), V("label", {
      key: 0,
      for: t.id,
      class: "form-label",
      textContent: X(t.label)
    }, null, 8, hm)) : te("", !0),
    B("select", gn({
      id: t.id,
      ref: "inputRef",
      class: "form-select",
      value: t.modelValue,
      "aria-labelledby": t.hint !== void 0 ? t.getHintId() : null
    }, t.$attrs, {
      onInput: e[0] || (e[0] = (...o) => t.onInput && t.onInput(...o)),
      onInvalid: e[1] || (e[1] = (...o) => t.onInvalid && t.onInvalid(...o))
    }), [
      t.placeholder !== void 0 ? (F(), V("option", pm, X(t.placeholder), 1)) : te("", !0),
      (F(!0), V(We, null, Kt(t.options, (o, a) => (F(), V("option", {
        key: a,
        value: o.value
      }, X(o.text), 9, gm))), 128))
    ], 16, mm),
    t.validatorEnabled && t.validator.getInvalidMessage() !== null ? (F(), V("div", {
      key: 1,
      class: "invalid-feedback",
      textContent: X(t.validator.getInvalidMessage())
    }, null, 8, Em)) : te("", !0),
    t.hint !== void 0 ? (F(), V("div", {
      key: 2,
      id: t.getHintId(),
      class: "form-text",
      textContent: X(t.hint)
    }, null, 8, vm)) : te("", !0)
  ], 64);
}
const Ym = /* @__PURE__ */ Re(_m, [["render", bm]]), Tm = he({
  name: "BsRadio",
  props: {
    /**
     * Radio value
     */
    value: {
      type: [String, Number],
      default: null
    },
    /**
     * Value for v-model
     */
    modelValue: {
      type: [String, Number],
      default: null
    },
    /**
     * Html id
     */
    id: {
      type: String,
      required: !0
    },
    /**
     * Label for input
     */
    label: {
      type: String,
      default: void 0
    },
    /**
     * Attribute hint
     */
    hint: {
      type: String,
      default: void 0
    },
    /**
     * Input container div class.
     */
    classContainer: {
      type: String,
      default: void 0
    },
    /**
     * Enable or disable validator
     */
    validatorEnabled: {
      type: Boolean,
      default: !0
    }
  },
  emits: ["update:modelValue"],
  setup() {
    const t = we(null);
    return {
      inputRef: t,
      validator: En(t)
    };
  },
  computed: {
    /**
     * Radio is checked or not.
     */
    isChecked() {
      return this.modelValue === this.value;
    }
  },
  methods: {
    /**
     * Hint id is generated
     */
    getHintId() {
      return this.id + "Hint";
    },
    /**
     * On input event
     */
    onInput() {
      this.$emit("update:modelValue", this.value);
    },
    /**
     * On invalid event
     *
     * @param event
     */
    onInvalid(t) {
      this.validatorEnabled && this.validator.onInvalid(t);
    }
  }
}), Nm = ["id", "value", "checked", "aria-describedby"], Am = ["for", "textContent"], ym = ["textContent"], Om = ["id", "textContent"];
function Cm(t, e, n, s, r, i) {
  return F(), V("div", {
    class: ve(["form-check", t.classContainer])
  }, [
    B("input", gn({
      id: t.id,
      ref: "inputRef",
      value: t.modelValue
    }, t.$attrs, {
      type: "radio",
      class: "form-check-input",
      checked: t.isChecked,
      "aria-describedby": t.hint !== void 0 ? t.getHintId() : null,
      onInput: e[0] || (e[0] = (...o) => t.onInput && t.onInput(...o)),
      onInvalid: e[1] || (e[1] = (...o) => t.onInvalid && t.onInvalid(...o))
    }), null, 16, Nm),
    t.label !== void 0 ? (F(), V("label", {
      key: 0,
      for: t.id,
      class: "form-check-label",
      textContent: X(t.label)
    }, null, 8, Am)) : te("", !0),
    t.validatorEnabled && t.validator.getInvalidMessage() !== null ? (F(), V("div", {
      key: 1,
      class: "invalid-feedback",
      textContent: X(t.validator.getInvalidMessage())
    }, null, 8, ym)) : te("", !0),
    t.hint !== void 0 ? (F(), V("div", {
      key: 2,
      id: t.getHintId(),
      class: "form-text",
      textContent: X(t.hint)
    }, null, 8, Om)) : te("", !0)
  ], 2);
}
const Km = /* @__PURE__ */ Re(Tm, [["render", Cm]]), Lm = he({
  name: "BsOffcanvas",
  props: {
    /**
     * Offcanvas title
     */
    title: {
      type: String,
      required: !0
    }
  },
  emits: ["shown", "hidden"],
  mounted() {
    const t = this.$refs.offcanvasRef;
    Ze.getOrCreateInstance(t).show(), t.addEventListener("shown.bs.offcanvas", this.onShown), t.addEventListener("hidden.bs.offcanvas", this.onHidden);
  },
  methods: {
    /**
     * Trigger offcanvas hide event.
     */
    hide() {
      Ze.getOrCreateInstance(this.$refs.offcanvasRef).hide();
    },
    /**
     * Shown event.
     */
    onShown() {
      this.$emit("shown");
    },
    /**
     * Hidden event.
     */
    onHidden() {
      this.$emit("hidden");
    }
  }
}), Im = {
  ref: "offcanvasRef",
  class: "offcanvas",
  tabindex: "-1",
  "aria-labelledby": "offcanvasTitle"
}, Sm = { class: "offcanvas-header" }, Dm = ["textContent"], wm = /* @__PURE__ */ B("button", {
  type: "button",
  class: "btn-close text-reset",
  "data-bs-dismiss": "offcanvas"
}, null, -1), Pm = { class: "offcanvas-body" };
function $m(t, e, n, s, r, i) {
  return F(), V("div", Im, [
    B("div", Sm, [
      He(t.$slots, "header", {}, () => [
        B("div", {
          id: "offcanvasTitle",
          class: "h5 mb-0",
          textContent: X(t.title)
        }, null, 8, Dm),
        wm
      ])
    ]),
    B("div", Pm, [
      He(t.$slots, "body")
    ])
  ], 512);
}
const jm = /* @__PURE__ */ Re(Lm, [["render", $m]]);
export {
  Rm as BsBreadcrumb,
  Vm as BsCheckbox,
  Mm as BsForm,
  Fm as BsInput,
  Bm as BsModal,
  jm as BsOffcanvas,
  Hm as BsPaginator,
  Km as BsRadio,
  Ym as BsSelect,
  Wm as BsTable,
  Um as BsTextarea,
  xm as BsToast,
  En as useValidator
};
